2004-12-31  Archie Cobbs  <archie@dellroad.org>

	* NEWS: Add documentation about reference implementation.
	* java/lang/Thread.java (sleep(long,int)): Only do argument
	checking and push implementation to VMThread.sleep().
	* vm/reference/java/lang/VMThread.java (join): Prevent ms overflow.
	(sleep): Provide default implementation using Object.wait() and
	Thread.yield().

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/LookAndFeel.java
	(getDesktopPropertyValue): New method.

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(hasChildren): New instance field.

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(getToolTipText): New method.
	(getTitledBorderText): Likewise.
	(getAccessibleKeyBinding): Likewise.
	(getVerifyInputWhenFocusTarget): Likewise.
	(setVerifyInputWhenFocusTarget): Likewise.
	(verifyInputWhenFocusTarget): New instance field.

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultListSelectionModel.java
	(fireValueChanged): New method.

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultBoundedRangeModel.java:
	Fixed javadocs all over.
	(fireStateChanged): Simplified.
	* javax/swing/BoundedRangeModel.java:
	Reformatted.

2004-12-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JRootPane.java
	(setMenuBar): Added @deprecated tag.
	(getMenuBar): Likewise.
	* javax/swing/JTable.java
	(sizeColumnsToFit): Likewise.

2004-12-30  Paul Jenner  <psj.home@ntlworld.com>

	* javax/swing/ImageIcon.java (setImage): Implemented.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java:
	Regenerated with new gnu.localegen to get timeZone arrays correct.

2004-12-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/locale/LocaleInformation.java
	Added EEK -> kr mapping for currency symbols.

2004-12-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/DecimalFormatSymbols.java
	New transient currency variable.
	(getCurrency()): uses local variable instead
	(getExponential()): documentation
	(setExponential(char)): documentation
	(getInternationalCurrencySymbol()): documentation fix
	(setInternationalCurrencySymbol(String)): sets currency
	* java/text/NumberFormat.java
	(getCurrencyInstance(java.util.Locale)): sets fraction digits
	from the currency after creation of the format.
	
2004-12-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Locale.java
	(getDisplayLanguage(java.util.Locale)): more documentation,
	uses getDisplayString
	(getDisplayCountry(java.util.Locale)): more documentation,
	uses getDisplayString
	(getDIsplayVariant(java.util.Locale)): more documentation,
	uses getDisplayString
	(getDisplayString(java.util.Locale,String,String)): returns
	a possibly localized string, using appropriate information from
	gnu.java.locale.LocaleInformation

2004-12-30  Olga Rodimina  <rodimina@redhat.com>

	(prepareRenderer): Get column's index in dataModel instead
	of column's view index.
	(getColumnCount): return count of the columns in ColumnModel,
	not in dataModel.
	(removeColumn): Implemented.
	(moveColumm): Likewise.
	(setRowHeight): throw IllegalArgumentException if height is
	less then 1.
	* javax/swing/table/DefaultTableColumnModel.java: Add javadocs.
	(DefaultTableColumnModel):Add call to createSelectionModel().
	(addColumn): Fire columnAdded event to registered listeners.
	(removeColumn): Fire columnRemoved event to registered listeners.
	(moveColumn): Fire columnMoved event to registered listeners.
	(setColumnMargin): Fire ColumnMarginChanged event to registered listeners.
	(getColumnIndex): Changed parameter name.
	(setColumnSelectionAllowed): Likewise.
	(fireColumnAdded): Implemented.
	(fireColumnRemoved): Likewise.
	(fireColumnMoved): Likewise.
	(fireColumnMarginChanged): Likewise.
	(getListeners): Changed parameter name.
	(propertyChange): Implemented.
	(valueChanged): Changed parameter name.
	(createSelectionModel): Implemented.

004-12-29  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/Button.java,
	java/awt/Canvas.java,
	java/awt/Checkbox.java,
	java/awt/CheckboxMenuItem.java,
	java/awt/Choice.java,
	java/awt/Dialog.java,
	java/awt/Frame.java,
	java/awt/Label.java,
	java/awt/List.java,
	java/awt/Menu.java,
	java/awt/MenuBar.java,
	java/awt/MenuItem.java,
	java/awt/PopupMenu.java,
	java/awt/ScrollPane.java,
	java/awt/Scrollbar.java,
	java/awt/TextArea.java,
	java/awt/Window.java (getAccessibleContext): Clean up comments.
	Reformat.
	* java/awt/Button.java,
	java/awt/Checkbox.java,
	java/awt/Choice.java,
	java/awt/Menu.java,
	java/awt/PopupMenu.java,
	java/awt/TextArea.java (getAccessibleContext): Only create new
	accessible once.
	* java/awt/TextComponent.java (getAccessibleContext): Implement.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/metadata/IIOInvalidTreeException.java
	(IIOInvalidTreeException): Reformatted.
	* javax/imageio/spi/IIORegistry.java
	(static): Register ImageReaderSpi.class and ImageWriterSpi.class.
	* javax/imageio/stream/MemoryCacheImageInputStream.java:
	Reworked import statements.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java:
	Regenerated with newer gnu.lcoalegen to include localized variant
	names.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GtkToolkit.java:
	Explicitely import used classes.
	(getLocalGraphicsEnvironment): Simplify.
	* java/awt/Window.java (Window):
	Enable code to get the default GraphicsConfiguration.

2004-12-30  Chris Burdess <dog@gnu.org>

	* GnomeDocument.java,GnomeXPathNSResolver: Fixed XPathNSResolver
	implementation to resolve relative to node argument.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/DefaultMetalTheme.java
	(CONTROL_TEXT_FONT): New static field.
	(MENU_TEXT_FONT): Likewise.
	(SUB_TEXT_FONT): Likewise.
	(SYSTEM_TEXT_FONT): Likewise.
	(USER_TEXT_FONT): Likewise.
	(WINDOW_TITLE_FONT): Likewise.
	(getControlTextFont): New method.
	(getMenuTextFont): Likewise.
	(getSubTextFont): Likewise.
	(getSystemTextFont): Likewise.
	(getUserTextFont): Likewise.
	(getWindowTitleFont): Likewise.
	* javax/swing/plaf/metal/MetalTheme.java
	(BLACK): Initialize with Color.BLACK.
	(WHITE): Initialize with Color.WHITE.
	(getInactiveControlTextColor): Return getControlDisabled().
	(getMenuDisabledForeground): Return getSecondary3().
	(getControlTextFont): New abstract method.
	(getMenuTextFont): Likewise.
	(getSubTextFont): Likewise.
	(getSystemTextFont): Likewise.
	(getUserTextFont): Likewise.
	(getWindowTitleFont): Likewise.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* java/text/DateFormat.java
	(getAvailableLocales): Implemented.
	* java/util/Locale.java
	(availableLocales): Fix modifier order.
	(localeMap): Likewise.
	(getAvailableLocales): Likewise.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_aa.java,
	gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_ar.java,
	gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_az.java,
	gnu/java/locale/LocaleInformation_be.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_bn.java,
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_dv.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fo.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_gl.java,
	gnu/java/locale/LocaleInformation_gu.java,
	gnu/java/locale/LocaleInformation_gv.java,
	gnu/java/locale/LocaleInformation_he.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_iu.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_kk.java,
	gnu/java/locale/LocaleInformation_kl.java,
	gnu/java/locale/LocaleInformation_km.java,
	gnu/java/locale/LocaleInformation_kn.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_kw.java,
	gnu/java/locale/LocaleInformation_ky.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_ml.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_om.java,
	gnu/java/locale/LocaleInformation_or.java,
	gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_ps.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_sa.java,
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_so.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sr_Latn.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_te.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_ti.java,
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_tt.java,
	gnu/java/locale/LocaleInformation_uk.java,
	gnu/java/locale/LocaleInformation_ur.java,
	gnu/java/locale/LocaleInformation_uz.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java,
	gnu/java/locale/LocaleInformation_zh_SG_Hans.java:
	Regenerated.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java:
	Updated to match update CLDR data more.

2004-12-30  Mark Wielaard  <mark@klomp.org>

	* java/lang/Thread.java (sleep): Update documentation. Make sure
	VMThread.sleep() is never called with zero arguments.
	* vm/reference/java/lang/VMThread.java (sleep): Update documentation.
	* NEWS: Mention change in VMThread.sleep() interface.

2004-12-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* gnu/java/locale/LocaleInformation.java
	Additional currency symbols.
	* java/text/DecimalFormat.java
	Correction of authorship < to (.
	(scanFix): removed currency changes
	(DecimalFormat()): documentation
	(DecimalFormat(String)): documentation
	(DecimalFormat(String, DecimalFormatSymbols): documentation
	(formatInternal(double,FormatBuffer,FieldPosition)): added currency
	substitution (apologies for reformatting).
	(format(long,FormatBuffer,FieldPosition): ditto
	(parse(String)): corrected compile warning (naming of multiplier)
	(substituteCurrency(String,double)): new method
	* java/text/DecimalFormatSymbols.java
	Correction of authorship < to (.
	(safeGetString): documentation
	(DecimalFormatSymbols()): currency uses java.util.Currency
	(setCurrency(java.util.Currency)): changes currency symbol and intl.
	currency symbol
	(setInternationalCurrencySymbol(String)): sets currency symbol
	on basis of change
	* java/text/NumberFormat.java
	Correction of authorship < to (.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation.java
	Addition of currency code to symbols mapping.
	* java/util/Currency.java
	(Currency()): added symbol retrieval
	(getSymbol()): implemented

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_et.java
	(contents): Removed localPatternChars entry.

2004-12-30  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* java/nio/ByteBufferImpl.java (compact):
	Set position and limit even if no bytes were moved.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* java/nio/CharViewBufferImpl.java (compact): Likewise.
	* java/nio/DirectByteBufferImpl.java (compact): Likewise.
	* java/nio/DoubleViewBufferImpl.java (compact): Likewise.
	* java/nio/FloatViewBufferImpl.java (compact): Likewise.
	* java/nio/IntViewBufferImpl.java (compact): Likewise.
	* java/nio/LongViewBufferImpl.java (compact): Likewise.
	* java/nio/MappedByteBufferImpl.java (compact): Likewise.
	* java/nio/ShortViewBufferImpl.java (compact): Likewise.
	* java/nio/FloatBufferImpl.java (compact): Set position.
	* java/nio/CharBufferImpl.java (compact): Likewise.
	* java/nio/DoubleBufferImpl.java (compact): Likewise.
	* java/nio/IntBufferImpl.java (compact): Likewise.
	* java/nio/LongBufferImpl.java (compact): Likewise.
	* java/nio/ShortBufferImpl.java (compact): Likewise.

2004-12-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(getFocusLostBehavior): Fixed typo in method name.
	(setFocusLostBehavior): Likewise.

2004-12-29  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Add --enable-xmlj option. Check for libxml2 and
	libxslt libraries when enabled. Add native/jni/xmlj/Makefile.
	* gnu/xml/libxmlj/*: New files.
	* include/Makefile.am: Add XMLJ_H_FILES. Group awt gtk peer headers
	under GTKPEER_H_FILES. Generate new headers.
	* include/gnu_xml_libxmlj_*.h: New generated files.
	* native/jni/Makefile.am: Conditionally add xmlj dir.
	* native/jni/xmlj/*: New files.

2004-12-29  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/CheckboxMenuItem.java (getAccessibleContext,
	AccessibleAWTCheckboxMenuItem): Implement.
	* java/awt/Choice.java: Add implements declaration for Accessible.
	* java/awt/Dialog.java (AccessibleAWTFrame, getAccessibleContext):
	Implement.
	* java/awt/Frame.java (AccessibleAWTFrame, getAccessibleContext):
	Implement.
	* java/awt/List.java: Implement AccessibleAWTList, AccessibleAWTListChild.
	* java/awt/MenuComponent.java (accessibleContext): Make package visible.
	* java/awt/MenuItem.java (getAccessibleContext): Implement.
	* java/awt/Scrollbar.java (AccessibleAWTScrollbar, getAccessibleContext):
	Implement.
	* java/awt/ScrollPane.java (AccessibleAWTScrollPane, getAccessibleContext):
	Implement.
	* java/awt/Window.java (AccessibleAWTWindow): Implement.
	(isActive, isFocused, getAccessibleContext): Implement.

2004-12-29  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/TextAction.java
	(getTextComponent): Simplified. Added Javadoc.
	(augmentList): Implemented. Added Javadoc.
	(getFocusedComponent): Added javadoc.

2004-12-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/text/DecimalFormat.java
	(format(long,StringBuffer,FieldPosition)): multiply
	number by multiplier before formatting.
	
2004-12-29  Michael Koch  <konqueror@gmx.de>

	* java/nio/DirectByteBufferImpl.java
	(owner): Reformatted javadoc.
	(ReadOnly): Reorganized keywords.
	(ReadWrite): Likewise.

2004-12-29  Michael Koch  <konqueror@gmx.de>

	* java/awt/Button.java,
	java/lang/Runtime.java,
	java/lang/System.java,
	java/security/cert/X509CRLSelector.java,
	java/security/cert/X509CertSelector.java,
	java/util/ResourceBundle.java,
	java/util/jar/JarFile.java,
	javax/swing/JApplet.java,
	javax/swing/JFormattedTextField.java,
	javax/swing/JTree.java,
	javax/swing/JWindow.java,
	javax/swing/TransferHandler.java,
	javax/swing/plaf/basic/BasicEditorPaneUI.java,
	javax/swing/plaf/basic/BasicTextPaneUI.java
	javax/swing/plaf/basic/BasicTreeUI.java:
	Imports reworked.

2004-12-28  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Runtime.java
	(runShutdownHooks): Rewrote wait for shutdown hooks loop.

2004-12-28  Jeroen Frijters  <jeroen@frijters.net>

	* NEWS: Added entry about new method.
	* java/lang/Runtime.java
	(addShutdownHook): Added call to new method.
	* vm/reference/java/lang/VMRuntime.java
	(enableShutdownHooks): New method.

2004-12-27  Jeroen Frijters  <jeroen@frijters.net>

	* java/nio/ByteBufferImpl.java,
	java/nio/CharBufferImpl.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/DoubleBufferImpl.java,
	java/nio/FloatBufferImpl.java,
	java/nio/IntBufferImpl.java,
	java/nio/LongBufferImpl.java,
	java/nio/MappedByteBufferImpl.java,
	java/nio/ShortBufferImpl.java
	(compact): Added explicit read-only check and invalidate mark.

2004-12-27  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/IIOParam.java
	(setSourceBands): New method.
	(setSourceSubsampling): Likewise.
	* javax/imageio/ImageReadParam.java
	(setDestination): Likewise.
	(setDestinationBands): Likewise.
	(setSourceProgressivePasses): Likewise.

2004-12-27  Jeroen Frijters  <jeroen@frijters.net>

	* NEWS: Added entry about class change.
	* java/lang/Class.java
	(Class(Object,Object)): Added protection domain "inheriting" for
	array classes.

2004-12-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractAction.java,
	javax/swing/AbstractCellEditor.java,
	javax/swing/AbstractListModel.java,
	javax/swing/DefaultBoundedRangeModel.java,
	javax/swing/DefaultButtonModel.java,
	javax/swing/DefaultCellEditor.java,
	javax/swing/DefaultComboBoxModel.java,
	javax/swing/DefaultDesktopManager.java,
	javax/swing/JMenu.java,
	javax/swing/JSlider.java,
	javax/swing/KeyStroke.java,
	javax/swing/OverlayLayout.java,
	javax/swing/ScrollPaneLayout.java,
	javax/swing/SizeRequirements.java,
	javax/swing/ViewportLayout.java:
	Made serialVersionUID private.

2004-12-27  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/metadata/IIOInvalidTreeException.java:
	Use org.w3c.dom.Node instead of java.lang.Object.
	(serialVersionUID): New field.

2004-12-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de_AT.java: Reformatted.

2004-12-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de_BE.java: Reformatted.

2004-12-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_aa.java,
	gnu/java/locale/LocaleInformation_aa_DJ.java,
	gnu/java/locale/LocaleInformation_aa_ER.java,
	gnu/java/locale/LocaleInformation_aa_ER_SAAHO.java,
	gnu/java/locale/LocaleInformation_aa_ET.java,
	gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_am_ET.java,
	gnu/java/locale/LocaleInformation_ar.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_as_IN.java,
	gnu/java/locale/LocaleInformation_az.java,
	gnu/java/locale/LocaleInformation_be.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_bg_BG.java,
	gnu/java/locale/LocaleInformation_bn.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LI.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_dv.java,
	gnu/java/locale/LocaleInformation_dv_MV.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_dz_BT.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AS.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BE.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_BZ.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_GU.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_MH.java,
	gnu/java/locale/LocaleInformation_en_MP.java,
	gnu/java/locale/LocaleInformation_en_MT.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_PK.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_UM.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_US_POSIX.java,
	gnu/java/locale/LocaleInformation_en_VI.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gu.java,
	gnu/java/locale/LocaleInformation_gu_IN.java,
	gnu/java/locale/LocaleInformation_gv.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_hy_AM.java,
	gnu/java/locale/LocaleInformation_hy_AM_REVISED.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_is_IS.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_iu.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_kk.java,
	gnu/java/locale/LocaleInformation_kk_KZ.java,
	gnu/java/locale/LocaleInformation_kl.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_km.java,
	gnu/java/locale/LocaleInformation_km_KH.java,
	gnu/java/locale/LocaleInformation_kn.java,
	gnu/java/locale/LocaleInformation_kn_IN.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_ky.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lo_LA.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_ml.java,
	gnu/java/locale/LocaleInformation_ml_IN.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_ms_BN.java,
	gnu/java/locale/LocaleInformation_ms_MY.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nb_NO.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_om.java,
	gnu/java/locale/LocaleInformation_om_ET.java,
	gnu/java/locale/LocaleInformation_om_KE.java,
	gnu/java/locale/LocaleInformation_or.java,
	gnu/java/locale/LocaleInformation_or_IN.java,
	gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pa_IN.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_ps.java,
	gnu/java/locale/LocaleInformation_ps_AF.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sa.java,
	gnu/java/locale/LocaleInformation_sa_IN.java,
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_so.java,
	gnu/java/locale/LocaleInformation_so_DJ.java,
	gnu/java/locale/LocaleInformation_so_ET.java,
	gnu/java/locale/LocaleInformation_so_KE.java,
	gnu/java/locale/LocaleInformation_so_SO.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sr_Latn.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_sw_KE.java,
	gnu/java/locale/LocaleInformation_sw_TZ.java,
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_th_TH.java,
	gnu/java/locale/LocaleInformation_ti.java,
	gnu/java/locale/LocaleInformation_ti_ER.java,
	gnu/java/locale/LocaleInformation_ti_ET.java,
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_tt.java,
	gnu/java/locale/LocaleInformation_tt_RU.java,
	gnu/java/locale/LocaleInformation_uk.java,
	gnu/java/locale/LocaleInformation_uk_UA.java,
	gnu/java/locale/LocaleInformation_ur.java,
	gnu/java/locale/LocaleInformation_uz.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_CN_Hans.java,
	gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java,
	gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
	gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
	gnu/java/locale/LocaleInformation_zh_TW_Hant.java:
	Regenerated with newer version of gnu.localegen.

2004-12-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(drawImage): Update image observer.

2004-12-26  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GdkGraphics2D.h: Regenerated.

2004-12-26  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java:
	Rework painting into BufferedImages
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java:
	Construct BufferedImage with alpha only when alpha is
	present in colormodel.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c:
	Rework painting into client-side jint arrays.
	* jni/gtk-peer/gtkcairopeer.h:
	Likewise.

2004-12-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java: Reformatted.

2004-12-25  Tom Tromey  <tromey@redhat.com>

	* lib/Makefile.am (JAVAC): Handle GCJX.
	(GCJ): Removed.
	(JIKES): Likewise.
	(USER_JABBA): Likewise.
	(USER_JAVAH): Likewise.
	(FIND): Likewise.
	(USER_CLASSLIB): Likewise.
	* examples/Makefile.am (JCOMPILER): Handle gcjx.
	(GCJ): Removed.
	(JIKES): Likewise.
	* acinclude.m4 (CLASSPATH_WITH_GCJX): New macro.
	(CLASSPATH_CHECK_GCJX): Likewise.
	(CLASSPATH_FIND_JAVAC): Use it.

2004-12-24  Mark Wielaard  <mark@klomp.org>

	Fixes bug libgcj/18014.
	* java/util/Locale.java (Locale(String, String, String)):
	Don't uppercase variant.

2004-12-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/PasswordView.java
	(drawEchoCharacter): Added javadoc.
	(drawSelectedText): Likewise.
	(drawUnselectedText): Likewise.

2004-12-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JRootPane.java
	(windowDecorationStyle): New field.
	(setMenuBar): New method.
	(getMenuBar): Likewise.
	(getWindowDecorationStyle): Likewise.
	(setWindowDecorationStyle): Likewise.

2004-12-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultListSelectionModel.java
	(leadAnchorNotificationEnabled): Made protected.

2004-12-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/InternalFrameFocusTraversalPolicy.java: New file.

2004-12-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java: Implemented.
	* javax/swing/JWindow.java
	(JWindow): New constructors.
	(initWindow): Renamed from initFrame.
	* javax/swing/UIDefaults.java
	(ActiveValue): Made interface static.
	(LazyValue): Likewise.
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(TitlePaneLayout.TitlePaneLayout): New constructor.
	* javax/swing/plaf/basic/BasicSliderUI.java
	(ChangeHandler): Made public.
	(FocusHandler): Likewise.
	(PropertyChangeHandler): Likewise.
	(ScrollListener): Likewise.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(FocusHandler): Likewise.
	(MouseHandler): Likewise.
	* javax/swing/plaf/basic/BasicTextPaneUI.java
	(BasicTextPaneUI): Extend BasicEditorPaneUI.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(BasicToolBarUI): Simplified. Reworked javadoc.
	(canDock): Simplified. Make public.
	(DockingListener): Made public.
	* javax/swing/text/JTextComponent.java
	(navigationFilter): New field.
	(getNavigationFilter): New method.
	(setNavigationFilter): Likewise.

2004-12-23  Mark Wielaard  <mark@klomp.org>

	* gnu/xml/*: Imported from GNU JAXP.
	* javax/xml/*: Likewise.
	* external/*: Imported external sax and w3c_dom projects.
	* LICENSE: Add new copyright and distribution notices.
	* Makefile.am (SUBDirs): Add external.
	(DIST_SUBDIRS): Likewise.
	* configure.ac (AC_CONFIG_FILES): Add external/Makefile,
	external/sax/Makefile and external/w3c_dom/Makefile.
	* lib/gen-classlist.sh.in (FIND): Search in external/sax and
	external/w3c_dom. 
	(Split): Add new classes.xml for gcj.
	* lib/Makefile.am (compile_classpath): Add external/sax and
	external/w3c_dom.
	(FOUND_GCJ): Compile classes.xml.
	* lib/.cvsignore: Add classes.xml.
	* .classpath: Updated exclusion filter and add external projects plus
	examples.

2004-12-23  Mark Wielaard  <mark@klomp.org>

	* lib/Makefile.am (compile_classpath): New variable.
	Use when compiling with either jikes or gcj.
	(LocaleData.java): New rules.
	(genclasses): Depend on new rule.
	(CLEANFILES): Add LocaleData.java, classes.locale1 and classes.locale2.
	(dist-hook): Remove generated LocaleData.java file.
	* lib/gen-classlist.sh.in: Add extra split files for locales.
	* lib/.cvsignore: Add classes.locale1 and classes.locale2.

2004-12-23  Mark Wielaard  <mark@klomp.org>

	* include/java_lang_Double.h: Regenerated.

2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/MetalTheme.java
	(getControlTextColor): Return getControlInfo().
	(getHighlightedTextColor): Return getControlTextColor().

2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicButtonListener.java
	(BasicButtonListener): New constructor.
	* javax/swing/plaf/basic/BasicButtonUI.java
	(createButtonListener): Usw new BasicButtonListener constructor.

2004-12-23  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/MemoryImageSource.java: Reformatted.

2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/TreeCellEditor.java: Refomatted.

2004-12-22  Michael Koch  <konqueror@gmx.de>
	    Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JTable.java
	(editorComp): New field.
	(JTable): Initialize local variables and call updateUI
	(selectionBackground): Make protected.
	(selectionForeground): Likewise.
	(initializeLocalVars): Create default editors and renderers,
	initialize editingColumn, editingRow variables.
	(createDefaultEditors): New Method.
	(createDefaultRenderers): Likewise.
	(createDefaultListSelectionModel): Removed
	(createDefaultSelectionModel): New Method.
	(createDefaultTableHeader): Likewise
	(removeColumn): Likewise.
	(getEditingColumn): Likewise.
	(setEditingColumn): Likewise.
	(getEditingRow): Likewise.
	(setEditingRow): Likewise.
	(getEditorComponent): Likewise.
	(isEditing): Likewise.
	(setDefaultEditor): Likewise.
	(addColumnSelectionInterval): Likewise.
	(addRowSelectionInterval): Likewise.
	(setColumnSelectionInterval): Likewise.
	(setRowSelectionInterval): Likewise.
	(removeColumnSelectionInterval): Likewise.
	(removeRowSelectionInterval): Likewise.
	(isColumnSelected): Likewise.
	(isRowSelected): Likewise.
	(isCellSelected): Likewise.
	(selectAll): Likewise.

2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFileChooser.java
	(showDialog): Return CANCEL_OPTION for now.
	(showOpenDialog): Likewise.
	(showSaveDialog): Likewise.

2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java (getPreferredSize):
	Re-implemented.

2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicEditorPaneUI.java: New file.

2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/MetalTheme.java,
	javax/swing/plaf/metal/DefaultMetalTheme.java:
	New files.
	* javax/swing/plaf/metal/MetalLookAndFeel.java:
	Implemented all color resource getter methods.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLabel.java (setDisplayedMnemoic):
	Make text upper case before searching mnemonic character.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLabel.java
	(setDisplayedMnemonicIndex): Handle index == -1 and fire
	PropertyChangeEvent after property got set to the new index.
	(setDisplayedMnemonic): Use only upper case characters.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* lib/.cvsignore,  scripts/.cvsignore:
	Added more files to ignore.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java
	(setDefaultLookAndFeelDecorated): Removed wrong code again.
	* javax/swing/JInternalFrame.java
	(setDefaultCloseOperation): Fixed typo.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java
	(HIDE_ON_CLOSE): Removed.
	(EXIT_ON_CLOSE): Likewise.
	(DISPOSE_ON_CLOSE): Likewise.
	(DO_NOTHING_ON_CLOSE): Likewise.
	(close_action): Likewise.
	(getDefaultCloseOperation): Likewise.
	(setDefaultCloseOperation): Likewise.
	(processWindowEvent): Likewise.
	(getPreferredSize): Simplified.
	* javax/swing/JDialog.java
	(setDefaultLookAndFeelDecorated): Throw exception on wrong argument
	value.
	* javax/swing/JFrame.java
	(setDefaultLookAndFeelDecorated): Likewise.
	* javax/swing/JInternalFrame.java
	(setDefaultCloseOperation): Fixed throwing exception on wrong argument
	value.
	* javax/swing/JWindow.java
	(HIDE_ON_CLOSE): Removed.
	(EXIT_ON_CLOSE): Likewise.
	(DISPOSE_ON_CLOSE): Likewise.
	(DO_NOTHING_ON_CLOSE): Likewise.
	(close_action): Likewise.
	(processKeyEvent): Likewise.
	(setDefaultCloseOperation): Likewise.
	(getPreferredSize): Simplified.

2004-12-21  Chris Burdess  <dog@gnu.org>

	* configure.ac: Check for presence of crt_externs.h on Darwin.
	* native/jni/java-lang/java_lang_VMProcess.c: If HAVE_CRT_EXTERNS_H
	is defined, define environ as calling _NSGetEnviron(), otherwise
	define it as an external variable.

2004-12-21  Chris Burdess  <dog@gnu.org>

	* acinclude.m4: Check version of Jikes.

2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DefaultStyledDocument.java:
	New file.

2004-12-20  Michael Koch  <konqueror@gmx.de>

	* lib/Makefile.am: Generate java/util/LocaleData.java in build tree.
	* lib/gen-classlist.sh.in: Include classes in java.* packages in build
	tree.
	* scripts/Makefile.am: Include generate-locale-list.sh in dist
	tarball.

2004-12-19  Robert Schuster <thebohemian@gmx.net>

	* javax/swing/JComboBox.java:
	(JComboBox): Removed selection of the
	first item in the model.

2004-12-19  Michael Koch  <konqueror@gmx.de>

	* resource/Makfile.am: Don't call make for subdirs.
	* resource/gnu/.cvsignore,
	resource/gnu/java/.cvsignore,
	resource/gnu/java/awt/.cvsignore,
	resource/gnu/java/awt/peer/.cvsignore,
	resource/gnu/java/awt/peer/gtk/.cvsignore,
	resource/gnu/regexp/.cvsignore,
	resource/java/.cvsignore,
	resource/java/security/.cvsignore,
	resource/java/util/.cvsignore,
	resource/java/util/logging/.cvsignore,
	resource/org/.cvsignore,
	resource/org/ietf/.cvsignore,
	resource/org/ietf/jgss/.cvsignore: Removed.

2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/iso3166-a3.properties,
	gnu/java/locale/iso3166_de.properties,
	gnu/java/locale/iso3166.properties,
	gnu/java/locale/iso639-a2-old.properties,
	gnu/java/locale/iso639-a3.properties,
	gnu/java/locale/iso639_de.properties,
	gnu/java/locale/iso639_fr.properties,
	gnu/java/locale/iso639_ga.properties,
	gnu/java/locale/iso639.properties: Removed.
	* lib/Makefile.am: Install resource files into dist tarball
	* resource/java/util/iso4217.properties:
	New file.

2004-12-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Currency.java
	New implementation of this class so as to
	use iso4271.properties.

2004-12-19  Michael Koch  <konqueror@gmx.de>

	* java/util/Locale.java: Make sure all locales get only created once.
	(availableLocales): New static field.
	(localeMap): Likewise.
	(getLocale): New private static method.
	(getAvailableLocales): Re-implemented.
	(getISOCountries): Fixed typo in javadoc.
	(getDisplayLanguage): Load iso639.properties from correct package.
	(getDisplayCountry): Load iso3166.properties from correct package.
	* scripts/generate-locale-list.sh: New script.
	* lib/Makefile.am: Call scripts/generate-locale-list.sh to generate
	java/util/LocaleData.java.

2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_aa.java,
	gnu/java/locale/LocaleInformation_aa_DJ.java,
	gnu/java/locale/LocaleInformation_aa_ER.java,
	gnu/java/locale/LocaleInformation_aa_ER_SAAHO.java,
	gnu/java/locale/LocaleInformation_aa_ET.java,
	gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_am_ET.java,
	gnu/java/locale/LocaleInformation_ar.java,
	gnu/java/locale/LocaleInformation_ar_SA.java,
	gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_as_IN.java,
	gnu/java/locale/LocaleInformation_az.java,
	gnu/java/locale/LocaleInformation_be.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_bg_BG.java,
	gnu/java/locale/LocaleInformation_bn.java,
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de_LI.java,
	gnu/java/locale/LocaleInformation_dv.java,
	gnu/java/locale/LocaleInformation_dv_MV.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_dz_BT.java,
	gnu/java/locale/LocaleInformation_en_AS.java,
	gnu/java/locale/LocaleInformation_en_BE.java,
	gnu/java/locale/LocaleInformation_en_BZ.java,
	gnu/java/locale/LocaleInformation_en_GU.java,
	gnu/java/locale/LocaleInformation_en_MH.java,
	gnu/java/locale/LocaleInformation_en_MP.java,
	gnu/java/locale/LocaleInformation_en_MT.java,
	gnu/java/locale/LocaleInformation_en_PK.java,
	gnu/java/locale/LocaleInformation_en_UM.java,
	gnu/java/locale/LocaleInformation_en_US_POSIX.java,
	gnu/java/locale/LocaleInformation_en_VI.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fo.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_gl.java,
	gnu/java/locale/LocaleInformation_gu.java,
	gnu/java/locale/LocaleInformation_gu_IN.java,
	gnu/java/locale/LocaleInformation_gv.java,
	gnu/java/locale/LocaleInformation_he.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_hy_AM.java,
	gnu/java/locale/LocaleInformation_hy_AM_REVISED.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_is_IS.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_iu.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_kk.java,
	gnu/java/locale/LocaleInformation_kk_KZ.java,
	gnu/java/locale/LocaleInformation_kl.java,
	gnu/java/locale/LocaleInformation_km.java,
	gnu/java/locale/LocaleInformation_km_KH.java,
	gnu/java/locale/LocaleInformation_kn.java,
	gnu/java/locale/LocaleInformation_kn_IN.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_kw.java,
	gnu/java/locale/LocaleInformation_ky.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lo_LA.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_ml.java,
	gnu/java/locale/LocaleInformation_ml_IN.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_ms_BN.java,
	gnu/java/locale/LocaleInformation_ms_MY.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nb_NO.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_om.java,
	gnu/java/locale/LocaleInformation_om_ET.java,
	gnu/java/locale/LocaleInformation_om_KE.java,
	gnu/java/locale/LocaleInformation_or.java,
	gnu/java/locale/LocaleInformation_or_IN.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_ps.java,
	gnu/java/locale/LocaleInformation_ps_AF.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_sa.java,
	gnu/java/locale/LocaleInformation_sa_IN.java,
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_so.java,
	gnu/java/locale/LocaleInformation_so_DJ.java,
	gnu/java/locale/LocaleInformation_so_ET.java,
	gnu/java/locale/LocaleInformation_so_KE.java,
	gnu/java/locale/LocaleInformation_so_SO.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sr_Latn.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_sw_KE.java,
	gnu/java/locale/LocaleInformation_sw_TZ.java,
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_te.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_th_TH.java,
	gnu/java/locale/LocaleInformation_ti.java,
	gnu/java/locale/LocaleInformation_ti_ER.java,
	gnu/java/locale/LocaleInformation_ti_ET.java,
	gnu/java/locale/LocaleInformation_tt.java,
	gnu/java/locale/LocaleInformation_tt_RU.java,
	gnu/java/locale/LocaleInformation_uk.java,
	gnu/java/locale/LocaleInformation_ur.java,
	gnu/java/locale/LocaleInformation_uz.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_CN_Hans.java,
	gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java,
	gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
	gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
	gnu/java/locale/LocaleInformation_zh_TW_Hant.java:
	New locale files.
	* gnu/java/locale/LocaleInformation_ar_AE.java,
	gnu/java/locale/LocaleInformation_ar_BH.java,
	gnu/java/locale/LocaleInformation_ar_EG.java,
	gnu/java/locale/LocaleInformation_ar_OM.java,
	gnu/java/locale/LocaleInformation_ar_SD.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_hr_HR.java,
	gnu/java/locale/LocaleInformation_ka_GE.java,
	gnu/java/locale/LocaleInformation_mk_MK.java,
	gnu/java/locale/LocaleInformation_sl_SI.java,
	gnu/java/locale/LocaleInformation_sr_YU.java,
	gnu/java/locale/LocaleInformation_ur_PK.java,
	gnu/java/locale/LocaleInformation_uz_UZ.java,
	gnu/java/locale/LocaleInformation_vi_VN.java,
	gnu/java/locale/LocaleInformation_zh_CN.java,
	gnu/java/locale/LocaleInformation_zh_HK.java,
	gnu/java/locale/LocaleInformation_zh_SG.java,
	gnu/java/locale/LocaleInformation_zh_TW.java:
	Removed.

2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation.java (LocaleInformation):
	Don't inherit LocaleInformation_en and put all default values into
	this class.
	* gnu/java/locale/LocaleInformation_af_ZA.java
	gnu/java/locale/LocaleInformation_ar_DZ.java
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Removed all redundant stuff.

2004-12-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pa_IN.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Updated to latest gnu.localegen and locale date.

2004-12-18  Robert Schuster <thebohemian@gmx.net>

	* javax/swing/JComboBox.java
	added support for no item being selected
	(JComboBox): select first or nothing depending on element
	count
	(setModel): cleaned up unneeded "this." usage, added more
	docs, made exception behavior match that of the JDK
	(setLighWeightPopupEnabled): removed unneeded "this." usage
	(setEditable): dito
	(setMaximumRowCount): dito
	(setRenderer): dito
	(setPrototypeDisplayValue): dito
	(getSelectedItem): simplified, added more user doc
	(setSelectedIndex): corrected exception behavior, added more user
	doc
	(getSelectedIndex): fixed hardcoded dependency on DefaultComboBoxModel
	 (see bug #11255), added performance warning to user doc
	(addItem): fixed exception behavior, added user doc
	(insertItemAt): dito
	(removeItem): dito
	(removeItemAt): dito
	(removeAll): fixed exception behavior, added user doc, added support
	for model not being instance of DefaultComboBoxModel (see bug #11255)
	(getSelectedItemObjects): simplified
	(getItemCount): fixed dependency on DefaultComboBoxModel (see bug #11255)
	(getItemAt): fixed dependency on MutableComboBoxModel (see bug #11255)
	* javax/swing/DefaultComboBoxModel.java:
	(setSelectedItem): updates selected item only if new 
	value is null or known (match JDK behavior)
	* javax/swing/plaf/basic/BasicComboBoxUI.java:
	(paintCurrentValue): renders "" if no item is selected

2004-12-18  Tom Tromey  <tromey@redhat.com>

	* java/lang/String.java (String(StringBuilder)): Rewrote.
	* java/lang/StringBuilder.java (shared): Removed.
	(ensureCapacity): Updated.
	(substrinng): Likewise.
	(toString): Likewise.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_oc_FR.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_tr_TR.java:
	Updated.
	* gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_tr.java:
	New files.

2004-12-17  Mark Wielaard  <mark@klomp.org>

	* INSTALL: We need jikes 1.19 or higher now.
	* lib/Makefile.am: Add +Pno-shadow to JIKES compilation.

2004-12-17  Mark Wielaard  <mark@klomp.org>

	* scripts/.cvsignore: New file.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_gd_GB.java:
	Updated.
	gnu/java/locale/LocaleInformation_mi_NZ.java
	gnu/java/locale/LocaleInformation_tl_PH.java
	gnu/java/locale/LocaleInformation_yi_US.java:
	Removed.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Updated.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_AE.java,
	gnu/java/locale/LocaleInformation_ar_BH.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_EG.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_OM.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SD.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_br_FR.java,
	gnu/java/locale/LocaleInformation_bs_BA.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_DK.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gd_GB.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hr_HR.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_iw_IL.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_ka_GE.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mi_NZ.java,
	gnu/java/locale/LocaleInformation_mk_MK.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_no_NO.java,
	gnu/java/locale/LocaleInformation_oc_FR.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_se_NO.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sl_SI.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sr_YU.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tg_TJ.java,
	gnu/java/locale/LocaleInformation_tl_PH.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java,
	gnu/java/locale/LocaleInformation_ur_PK.java,
	gnu/java/locale/LocaleInformation_uz_UZ.java,
	gnu/java/locale/LocaleInformation_vi_VN.java,
	gnu/java/locale/LocaleInformation_yi_US.java,
	gnu/java/locale/LocaleInformation_zh_CN.java,
	gnu/java/locale/LocaleInformation_zh_HK.java,
	gnu/java/locale/LocaleInformation_zh_SG.java,
	gnu/java/locale/LocaleInformation_zh_TW.java:
	Updated.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_DE.java:
	Updated.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_NL.java:
	Updated.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(addColumn): New method.
	(getColumnClass): Likewise.
	(getColumnName): Likewise.

2004-12-17  Paul Jenner  <psj.home@ntlworld.com>

	* javax/swing/TransferHandler.java
	(createTransferable): Made protected.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java,
	javax/swing/plaf/basic/BasicTableHeaderUI.java,
	javax/swing/plaf/basic/BasicTableUI.java:
	Use fixed get/setIntercellSpacing() methods.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(getIntercellSpacing): Fixed typo in method name.
	(setIntercellSpacing): Likewise.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/JTextComponent.java
	(focusAccelerator): New variable.
	(getFocusAccelerator): New method.
	(setFocusAccelerator): Likewise.

2004-12-15  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(setTransferHandler): Made public. Fire property change event.
	* javax/swing/TransferHandler.java: Implemented.
	* javax/swing/text/JTextComponent.java
	(DefaultTransferHandler): New inner class.
	(defaultTransferHandler): New variable.
	(copy): New method.
	(cut): Likewise.
	(paste): Likewise.
	(doTransferAction): Likewise.

2004-12-14  Michael Koch  <konqueror@gmx.de>

	* java/text/NumberFormat.java (getIntegerInstance):
	Make sure that doubles get formatted as integers.

2004-12-14  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(collapsePath): New method.
	(collapseRow): Likewise.
	(expandPath): Likewise.
	(expandRow): Likewise.
	(checkExpandParents): Likewise.
	(doExpandParents): Likewise.
	(setExpandedState): Likewise.
	(makeVisible): Likewise.

2004-12-13  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JPasswordField.java: Updated javadocs.

2004-12-13  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GtkWindowPeer.h:
	Regenerated.

2004-12-13  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLayeredPane.java
	(getLayer): Fixed return type, made public.
	(getPosition): Use new getLayer().
	(SetPosition): Likewise.
	(getIndexOf): Likewise.
	(remove): Likewise.
	* javax/swing/JInternalFrame.java
	(getLayer): Use new JLayeredPane.getLayer().


2004-12-13  Michael Koch  <konqueror@gmx.de>

	* javax/swing/table/TableColumn.java: Added/fixed javadocs over all.
	(setHeaderValue): Simplified. Do nothing when old value == new value.

2004-12-13  Michael Koch  <konqueror@gmx.de>

	* vm/reference/java/lang/VMClassLoader.java:
	Reworked import statements.

2004-12-12  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/zip/ZipFile.java
	(getEntry): Fix to find dir entries without slash.
	* java/util/zip/ZipEntry.java
	(ZipEntry(ZipEntry,String)): New constructor to copy and change name.
	(ZipEntry(ZipEntry)): Delegate to new constructor.

2004-12-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java (setClip): Protect
	against null clip region.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (create): Call
	gtkWindowSetResizable.
	(postConfigureEvent): Only revalidate if frame size has changed.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (postConfigureEvent):
	Only revalidate if frame size has changed.
	* java/awt/Component.java (reshape): Only repaint and post
	component events if component is showing.
	* java/awt/Container.java (addImpl): Only post container event if
	container is showing.
	(remove): Likewise.
	* java/awt/Window.java (setLocationRelativeTo): Implement.
	(setBoundsCallback): Only post component events if component is
	showing.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (clearRect):
	Protect against null graphics structure.  Flush gdk event queue.

2004-12-07  Mark Wielaard  <mark@klomp.org>

	* NEWS: Clarify VMRuntime and String/StringBuffer VMSystem usage.

	* vm/reference/gnu/classpath/VMSystemProperties.java (postInit):
	Provide empty default implementation.

	* java/lang/String.java: Replace all usage of System.arraycopy() with
	VMSystem.arraycopy().
	* java/lang/StringBuffer.java: Likewise.

2004-12-07  Mark Wielaard  <mark@klomp.org>

	* LICENSE: Add text about org.ietf.jgss documentation.
	* org/ietf/jgss/ChannelBinding.java: Merge top two comment blocks.
	* org/ietf/jgss/GSSCredential.java: Likewise.
	* org/ietf/jgss/GSSException.java: Likewise.
	* org/ietf/jgss/GSSManager.java: Likewise.
	* org/ietf/jgss/GSSName.java: Likewise.
	* org/ietf/jgss/MessageProp.java: Likewise.
	* org/ietf/jgss/Oid.java: Likewise.

2004-12-07  Mark Wielaard  <mark@klomp.org>

	* java/io/FileDescriptor.java (sync): Add real exception to
	SyncFailedException.

2004-12-07  Mark Wielaard  <mark@klomp.org>

	* java/text/MessageFormat.java (scanFormat): Chain thrown exception.

2004-12-07  Mark Wielaard  <mark@klomp.org>

	* java/util/zip/ZipEntry.java (KNOWN_EXTRA): New static field.
	(setExtra): Don't parse bytes.
	(parseExtra): New private method.
	(getTime): Call parseExtra.

2004-12-07  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java: Added support
	for http.agent, http.keepAlive, and http.maxConnections system
	properties (and LRU connection pool).

2004-12-07  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pa_IN.java:
	New locale files.

2004-12-07  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/FileImageOutputStream.java:
	Implemented.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Timer.java
	(run): Stop the queue if a task throws an exception.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/beans/PropertyDescriptor.java
	(PropertyDescriptor,setReadMethod): Set propertyType.

2004-12-07  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/FileCacheImageInputStream.java,
	javax/imageio/stream/FileCacheImageOutputStream.java,
	javax/imageio/stream/FileImageInputStream.java,
	javax/imageio/stream/ImageInputStreamImpl.java,
	javax/imageio/stream/ImageOutputStreamImpl.java,
	javax/imageio/stream/MemoryCacheImageInputStream.java,
	javax/imageio/stream/MemoryCacheImageOutputStream.java:
	Added all missing methods in javax.imageio.stream.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/BufferedInputStream.java
	(skip): Don't return -1 on EOF.

2004-12-06  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/LineInputStream.java: (read) fixed possible infinite
	loop (inetlib bug #11200).

2004-12-06  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java:
	(getHeaderField) return null if there are less than (index+1) fields.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectInputStream.java
	(readObject): Fix to consume TC_ENDBLOCKDATA after readExternal.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* vm/reference/gnu/classpath/VMSystemProperties.java:
	Added import to make it compile.

2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* include/java_lang_VMSystem.h:
	Removed isWordsBigEndian.

2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

	* NEWS: Updated.

2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/classpath/SystemProperties.java: New file.
	* vm/reference/gnu/classpath/VMSystemProperties.java: New file.
	* gnu/java/io/EncodingManager.java,
	gnu/java/net/protocol/file/Connection.java,
	java/io/File.java,
	java/lang/Throwable.java,
	java/security/Security.java,
	java/security/cert/X509CRLSelector.java,
	java/security/cert/X509CertSelector.java,
	java/util/Locale.java,
	vm/reference/java/lang/VMClassLoader.java:
	Modified to use SystemProperties.
	* java/lang/Class.java: Modified to use SecurityManager.current.
	* java/lang/ClassLoader.java
	(StaticData.systemClassLoader): New field.
	(StaticData.static): New static initializer to install default
	security manager.
	(ClassLoader()): Modified to use StaticData.systemClassLoader.
	ClassLoader(ClassLoader)): Modified to use SecurityManager.current.
	(findSystemClass): Modified to use StaticData.systemClassLoader.
	(getParent): Modified to use SecurityManager.current.
	(getSystemResource,getSystemResources): Modified to use
	StaticData.systemClassLoader.
	(getSystemClassLoader): Modified to use SecurityManager.current and
	StaticData.systemClassLoader.
	(getExtClassLoaderUrls,getSystemClassLoaderUrls): Modified to use
	SystemProperties.
	(defaultGetSystemClassLoader): Modified to use SecurityManager.current
	and SystemProperties.
	(getSystemProperty): Removed.
	* java/lang/Runtime.java
	(securityManager): Removed.
	(defaultProperties): Removed.
	(static): Removed.
	(Runtime): Modified to use SystemProperties.
	(exit,removeShutdownHook,halt,runFinalizersOnExit,exec,load,loadLib):
	Modified to use SecurityManager.current.
	(loadLibrary): Modified to use SecurityManager.current and changed
	call to System.mapLibraryName to VMRuntime.mapLibraryName.
	* java/lang/SecurityManager.java
	(current): New field.
	* java/lang/System.java
	(systemClassLoader): Removed.
	(properties): Removed.
	(in,out,err): Initialize in-line.
	(static): Removed.
	(initLoadLibrary): Removed.
	(initProperties): Removed.
	(initSystemClassLoader): Removed.
	(initSecurityManager): Removed.
	(setIn,setOut,setErr,setSecurityManager,getSecurityManager,getenv):
	Modified to use SecurityManager.current.
	(getProperties,setProperties,getProperty(String),
	getProperty(String,String),setProperty): Modified to use
	SecurityManager.current and SystemProperties.
	(mapLibraryName): Modified to call VMRuntime.mapLibraryName.
	* java/lang/Thread.java: Modified to use SecurityManager.current.
	* java/lang/ThreadGroup.java: Modified to use SecurityManager.current.
	* native/jni/java-lang/java_lang_VMSystem.c
	(Java_java_lang_VMSystem_isWordsBigEndian): Removed.
	* vm/reference/java/lang/VMRuntime.java
	(nativeGetLibname): Removed (renamed to mapLibraryName).
	(mapLibraryName): New method.
	(insertSystemProperties): Removed.
	* vm/reference/java/lang/VMSystem.java
	(isWordsBigEndian): Removed.

2004-12-06  Michael Koch  <konqueror@gmx.de>

	* include/java_io_ObjectInputStream.h: Regenerated.

2004-12-06  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DefaultListCellRenderer.java
	(serialVersionUID): Made private.
	(getListCellRendererComponent): Set horizontal alignment.
	* javax/swing/JLabel.java
	(setVerticalAlignment): Re-implemented.
	(setHorizontalAlignment): Do nothing if old value = new value.
	* javax/swing/JList.java
	(setCellRenderer): Likewise.
	(setModel): Re-implemented.
	(setSelectionModel): Likewise.

2004-12-06  David Gilbert <david.gilbert@object-refinery.com>

	* java/awt/Component.java,
	java/awt/geom/Rectangle2D.java:
	Javadoc fixes.

2004-12-06  Guilhem Lavaux  <guilhem@kaffe.org>
	Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectInputStream.java
	(newObject): Changed prototype. Get a constructor reflect object
	directly.
	(callConstructor): Removed.
	(allocateObject): Changed prototype.
	(readClassDescriptor): Build the constructor reflection directly.
	(readObject): Invoke newObject using the new prototype.

	* java/io/ObjectStreamClass.java
	(firstNonSerializableParent): Removed.
	(firstNonSerializableParentConstructor): Added.
	
	* include/java_io_ObjectInputStream.h: Regenerated.

	* native/jni/java-io/java_io_ObjectInputStream.c
	(allocateObject): Allocate an object and call the requested
	constructor.
	(callConstructor): Removed.
	
2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/BufferedInputStream.java
	(read(byte,int,int)): Handle case when zero bytes are requested.

2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/color/ICC_Profile.java
	(finalize): Removed pointless field assignments.

2004-12-05  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPConnection.java,
	gnu/java/net/protocol/http/HTTPURLConnection.java:
	HTTPURLConnection now derives from HttpsURLConnection.

2004-12-01  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPConnection.java:
	HTTPConnection's default User-Agent header set to "classpath/" plus
	the version of Classpath in use.

2004-12-03  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/ftp/package.html,
	gnu/java/net/protocol/http/package.html:
	Add missing files.

2004-12-02  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/EventDispatchThread.java,
	java/awt/Toolkit.java,
	java/io/ObjectStreamClass.java,
	java/lang/reflect/Proxy.java,
	java/net/URL.java,
	java/security/SecureRandom.java,
	java/util/Timer.java,
	java/util/prefs/AbstractPreferences.java,
	vm/reference/java/lang/VMProcess.java:
	Don't catch java.lang.ThreadDeath.

2004-12-02  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/java/net/protocol/file/Connection.java
	(StaticData): New inner class to contain statics.
	(connect, getHeaderField): Modified to use StaticData.
	* java/lang/Class.java
	(desiredAssertionStatus): Modified to use ClassLoader.StaticData.
	* java/lang/ClassLoader.java
	(StaticData): New inner class to contain statics.
	(defineClass, setPackageAssertionStatus, setClassAssertionStatus):
	Modified to use StaticData.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractListModel.java
	(fireContentsChanged): Simplified.
	(fireIntervalAdded): Likewise.
	(fireIntervalRemoved): Likewise.
	* javax/swing/DefaultSingleSelectionModel.java:
	Reformatted.
	(fireStateChanged): Simplified.
	* javax/swing/JPopupMenu.java
	(setSelectionModel): Set property.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SelectorImpl.java
	(register): Removed redundant code.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* java/awt/print/Book.java: Reformatted.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* java/awt/geom/Area.java
	(QuadSegment.curveArea): Remove unused variables.
	(CubicSegment.curveArea): Likewise.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_nl.java:
	Removed unneeded comments.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de.java:
	Re-generated with current gnu.localegen.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Updated to match by gnu.localegen generated locales more.

2004-12-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java (drawImage variants):
	Update image observer.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java (createImage):
	Start image production.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (setMenuBar): Protect
	against negative menu bar widths.
	(setBounds): Likewise.
	(postConfigureEvent): Likewise.
	* gnu/java/awt/peer/gtk/GtkImage.java (imageComplete): Don't
	remove consumer unless only a single frame has completed.
	* gnu/java/awt/peer/gtk/GtkImagePainter.java (GtkImagePainter):
	Add observer parameter.
	(setPixels): Update image observer.
	(imageComplete): Likewise.
	* java/applet/Applet.java (width): New field.
	(height): Likewise.
	(setStub): Set size if width or height field has been set.
	(resize): If stub is null save width and height values.
	* java/awt/Component.java (reshape): Protect against null
	parent.
	* java/awt/image/MemoryImageSource.java
	(MemoryImageSource(int,int,ColorModel,byte[],int,int)):
	Document.
	(MemoryImageSource(int,int,ColorModel,int[],int,int)):
	Likewise.
	(MemoryImageSource(int,int,ColorModel,byte[],int,int,Hashtable)):
	Reference pixel array directly, rather than creating a local
	copy.
	(MemoryImageSource(int,int,ColorModel,int[],int,int,Hashtable)):
	Likewise.
	(newPixels(int,int,int,int)): Fix for loop and array copy
	bounds.
	(newPixels(int,int,int,int,boolean)): Likewise.
	(startProduction): If animated call imageComplete with
	SINGLEFRAME.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Uncomment
	gdk_flush lines.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c
	(drawPixels): Return if g is null or g->drawable is not a gdk
	drawable.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(ANCHOR_SELECTION_PATH_PROPERTY): Added @since tag.
	(LEAD_SELECTION_PATH_PROPERTY): Likewise.
	(EXPANDS_SELECTED_PATHS_PROPERTY): Likewise.
	(EXPANDED): New constant.
	(COLLAPSED): Likewise.
	(nodeStates): New field.
	(cellEditor): New method.
	(cellRenderer): Likewise.
	(selectionModel): Likewise.
	(treeModel): Likewise.
	(scrollPathToVisible): Likewise.
	(scrollRowToVisible): Likewise.
	(isCollapsed): Likewise.
	(isExpanded): Likewise.
	(clearToggledPaths): Likewise.
	(getDescendantToggledPaths): Likewise.
	(hasBeenExpanded): Likewise.
	(isVisible): Likewise.
	(isPathEditable): Likewise.

2004-12-01  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLayeredPane.java: Reformatted.

2004-12-01  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java:
	HTTPURLConnection now returns Lists as getHeaderFields() values.

2004-12-01  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectOutputStream.java
	(writeObject, callWriteMethod): Replaced reflection with accessing
	cached info in ObjectStreamClass.
	(getMethod): Removed.
	* java/io/ObjectStreamClass.java
	(findMethod): Added check to make sure the method found has the
	right modifiers.
	(cacheMethods): Added writeReplace and writeObject methods.
	(setFlags): Look at new writeObjectMethod field instead of doing
	reflection again.
	(writeReplaceMethod): New field.
	(writeObjectMethod): New field.

2004-11-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/BASE64.java,
	gnu/java/net/CRLFInputStream.java,
	gnu/java/net/CRLFOutputStream.java,
	gnu/java/net/EmptyX509TrustManager.java,
	gnu/java/net/GetLocalHostAction.java,
	gnu/java/net/GetSystemPropertyAction.java,
	gnu/java/net/LineInputStream.java,
	gnu/java/net/protocol/http/Authenticator.java,
	gnu/java/net/protocol/http/ByteArrayRequestBodyWriter.java,
	gnu/java/net/protocol/http/ByteArrayResponseBodyReader.java,
	gnu/java/net/protocol/http/ChunkedInputStream.java,
	gnu/java/net/protocol/http/Cookie.java,
	gnu/java/net/protocol/http/CookieManager.java,
	gnu/java/net/protocol/http/Credentials.java,
	gnu/java/net/protocol/http/HTTPConnection.java,
	gnu/java/net/protocol/http/HTTPDateFormat.java,
	gnu/java/net/protocol/http/HTTPURLConnection.java,
	gnu/java/net/protocol/http/Headers.java,
	gnu/java/net/protocol/http/Request.java,
	gnu/java/net/protocol/http/RequestBodyWriter.java,
	gnu/java/net/protocol/http/Response.java,
	gnu/java/net/protocol/http/ResponseBodyReader.java,
	gnu/java/net/protocol/http/ResponseHeaderHandler.java,
	gnu/java/net/protocol/http/SimpleCookieManager.java,
	gnu/java/net/protocol/http/event/ConnectionEvent.java,
	gnu/java/net/protocol/http/event/ConnectionListener.java,
	gnu/java/net/protocol/http/event/RequestEvent.java,
	gnu/java/net/protocol/http/event/RequestListener.java:
	New files
	* gnu/java/net/protocol/http/Connection.java:
	gnu/java/net/protocol/http/TODO: Removed
	* gnu/java/net/protocol/http/Handler.java: Updated.
	Merged HTTP protocol implementation from GNU inetlib.

2004-11-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/ftp/ActiveModeDTP.java,
	gnu/java/net/protocol/ftp/BlockInputStream.java,
	gnu/java/net/protocol/ftp/BlockOutputStream.java,
	gnu/java/net/protocol/ftp/CompressedInputStream.java,
	gnu/java/net/protocol/ftp/CompressedOutputStream.java,
	gnu/java/net/protocol/ftp/DTP.java,
	gnu/java/net/protocol/ftp/DTPInputStream.java,
	gnu/java/net/protocol/ftp/DTPOutputStream.java,
	gnu/java/net/protocol/ftp/FTPConnection.java,
	gnu/java/net/protocol/ftp/FTPException.java,
	gnu/java/net/protocol/ftp/FTPResponse.java,
	gnu/java/net/protocol/ftp/FTPURLConnection.java,
	gnu/java/net/protocol/ftp/Handler.java,
	gnu/java/net/protocol/ftp/PassiveModeDTP.java,
	gnu/java/net/protocol/ftp/StreamInputStream.java,
	gnu/java/net/protocol/ftp/StreamOutputStream.java:
	New files. Merged from GNU inetlib.

2004-11-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/DefaultMutableTreeNode.java:
	Completely Revised.
	* javax/swing/tree/MutableTreeNode.java:
	Reformatted.

2004-11-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(setDocument): Call setDocument of super class. Don't fire property
	change event.

2004-11-28  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java: Fix typo.
  
2004-11-27  Sven de Marothy  <sven@physto.se>
  
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
        Reformatted.
        (drawRaster): Added FIXME.
        (drawRaster): Changed to work with packed-sample models.
  
2004-11-26  Michael Koch  <konqueror@gmx.de>
  
	* javax/swing/JList.java, javax/swing/JTree.java:
	Added much new methods and fixed much methods setting bound properties.
  
2004-11-26  Sven de Marothy  <sven@physto.se>
  
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java
        (drawRaster): Set alpha component to opaque if image has no alpha
	
2004-11-26  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/io/File.java
	(canWrite): Moved directory write test to VMFile.
	* vm/reference/java/io/VMFile.java
	(canWriteDirectory): New method.
  
2004-11-25  Sven de Marothy  <sven@physto.se>
  
	* java/awt/image/MultiPixelPackedSampleModel.java
	(MultiPixelPackedSampleModel): Corrected parameters, order of bit 
	shifts and masks, stride length off by one.		
  	
2004-11-25  Sven de Marothy  <sven@physto.se>
  
	* java/awt/image/IndexColorModel.java
	(IndexColorModel): Add FIXME with respect to alpha handling.
	(getAlpha): Default to returning opaque pixels.
  
2004-11-25  Mark Wielaard  <mark@klomp.org>
  
	* doc/vmintegration.texinfo: Fix link to Japhar.
	* doc/www.gnu.org/stories.wml: Likewise.
	* doc/www.gnu.org/announce/19990206.wml: Likewise.
	* doc/www.gnu.org/announce/20001120.wml: Likewise.
	* doc/www.gnu.org/announce/20010106.wml: Likewise.
	* doc/www.gnu.org/downloads/19990206.wml: Likewise.
	* doc/www.gnu.org/downloads/20001120.wml: Likewise.
	* doc/www.gnu.org/downloads/20010106.wml: Likewise.

2004-11-23 Jerry Quinn <jlquinn@optonline.net>

	* java/awt/Menu.java (AccessibleAWTMenu
	getAccessibleContext): Implement.
	* java/awt/PopupMenu.java (AccessibleAWTPopupMenu
	getAccessibleContext): Implement.
	* java/awt/TextComponent.java (AccessibleAWTTextComponent
	getAccessibleContext): Implement.
	(TextComponent): Extends Accessible.
	(getIndexAtPoint, getCharacterBounds): New methods.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Button.java
	(AccessibleAWTButton.getAccessibleActionDescription): Explain the
	source of 'click'.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Checkbox.java: Remove stub comments.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Button.java
	(AccessibleAWTButton.getAccessibleActionDescription): Return
	'click'.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Checkbox.java (AccessibleAWTCheckBox): Remove todo
	comments.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Checkbox.java (itemStateChanged): Implement function.
	(getAccessibleContext): Add AccessibleAWTCheckBox to item listeners.
	
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/TextArea.java (AccessibleAWTTextArea,
	getAccessibleContext): Implement.
	* java/awt/TextField.java (AccessibleAWTTextField,
	getAccessibleContext): Implement.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Checkbox.java (AccessibleAWTCheckBox): Implement.
	(getAccessibleContext): Implement.
	
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/MenuItem.java (AccessibleAWTMenuItem): Implement.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/Choice.java (AccessibleAWTChoice): Implement.
  
2004-11-23 Jerry Quinn <jlquinn@optonline.net>
  
	* java/awt/MenuItem.java (AccessibleAWTMenuItem): Implement.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* javax/swing/DefaultSingleSelectionModel.java,
	javax/swing/JPasswordField.java,
	javax/swing/tree/AbstractLayoutCache.java:
	Reformatted and javadocs cleaned up.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* java/nio/channels/spi/AbstractSelectableChannel.java
	(register): Only reuse valid selection keys.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/nio/NIOServerSocket.java
	(getPlainSocketImpl): Removed debug code.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/Component.java:
	Fixed argument names to match javadocs.
	(setFont): Rewritten set property first and then fire event.
	(setLocale): Likewise.
	* javax/swing/text/JTextComponent.java
	(setEditable): Likewise.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* java/util/zip/InflaterInputStream.java
	(onebytebuffer): Little reformatting to match libgcj's version.
	(read): Likewise.
  
2004-11-23  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/nio/NIOServerSocket.java
	(getPlainSocketImpl): Implemented in java with reflection.
	* include/gnu_java_nio_NIOServerSocket.h,
	native/jni/java-nio/gnu_java_nio_NIOServerSocket.c: Removed.
	* include/Makefile.am:
	Don't generate include/gnu_java_nio_NIOServerSocket.h.
	* native/jni/java-nio/Makefile.am:
	Don't build native/jni/java-nio/gnu_java_nio_NIOServerSocket.c.
  
2004-11-22  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/nio/SocketChannelImpl.java
	(read): Made check for blocking un-ambiguous.
	Removed wrong check for data array length.
  
2004-11-22  Patrik Reali  <reali@acm.org>
  
	* doc/www.gnu.org/newsitems.txt doc/www.gnu.org/announce/20041115.wml
	doc/www.gnu.org/downloads/downloads.wml: classpath 0.12 announcement
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/nio/SocketChannelImpl.java
	(read): Only return 0 when no bytes for reading available in
	non-blocking mode.
	* java/nio/channels/SocketChannel.java:
	Added some missing @return tags.

2004-11-21  Michael Koch  <konqueror@gmx.de>

	* java/beans/PropertyChangeSupport.java
	(propertyChangeSupportSerializedDataVersion): Made static.
	* java/beans/VetoableChangeSupport.java
	(propertyChangeSupportSerializedDataVersion): Likewise.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/CardLayout.java:
	Made some constants static.
	(serialVersionUID): Made private.
	(addLayoutComponent): Simplified code.
	* java/awt/event/InputEvent.java
	(getModifiersEx): Added missing @param tag.
	* java/awt/image/RGBImageFilter.java
	(filterRGBPixels): Reformatted, removed wrong @param tag.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* java/net/URLConnection.java
	(getContent): Added missing @return tag.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* javax/swing/text/FieldView.java,
	javax/swing/text/JTextComponent.java:
	Removed debug code.
  
2004-11-21  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/nio/DirectByteBufferImpl.java
	(ReadOnly): New inner subclass.
	(ReadWrite): New inner subclass.
	(owner): Made final and private.
	(address): Made final.
	(DirectByteBufferImpl(int)): New constructor.
	(DirectByteBufferImpl(Object,RawData,int,int,int)): New constructor.
	(DirectByteBufferImpl(Object,RawData,int,int,int,boolean)): Removed.
	(allocate): Modified to instantiate ReadWrite subclass.
	(finalize): Fixed to only free the buffer, if we own it.
	(put): Removed read-only check.
	(slice, duplicate): Modified to instantiate appropriate subclass.
	(isReadOnly): Removed.
	* java/nio/MappedByteBufferImpl.java
	(slice, duplicate): Modified to instantiate appropriate
	DirectByteBufferImpl subclass.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* javax/swing/BorderFactory.java
	(BorderFactory): Added private constructor.
	* javax/swing/SwingUtilities.java
	(SwingUtilities): Likewise.
	(computeStringWidth): New method.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/color/ICC_Profile.java
	(icSigNamedColorTag): Removed.
	* java/awt/datatransfer/DataFlavor.java
	(isMimeTypeEqual): Made final.
	* java/awt/image/AffineTransformOp.java:
	Reworked javadocs.
	(TYPE_BICUBIC): Added @since tag.
  
2004-11-21  Michael Koch  <konqueror@gmx.de>
  
	* gnu/classpath/RawData.java: Made abstract.
	* gnu/classpath/RawData32.java,
	gnu/classpath/RawData64.java: New files.
	* include/Makefile.am:
	Don't generate java_nio_DirectByteBufferImpl.h anymore
	and generate java_nio_VMDirectByteBuffer.h now.
	* java/nio/DirectByteBufferImpl.java:
	Moved native methods to VMDirectByteBuffer.
	* java/nio/MappedByteBufferImpl.java:
	Use methods from VMDirectBteBuffer.
	* native/jni/java-nio/Makefile.am:
	Removed java_nio_DirectByteBufferImpl.c
	and added java_nio_VMDirectByteBuffer.c
	* include/java_nio_DirectByteBufferImpl.h,
	native/jni/java-nio/java_nio_DirectByteBufferImpl.c:
	Removed.
	* include/java_nio_VMDirectByteBuffer.h,
	* native/jni/java-nio/java_nio_VMDirectByteBuffer.c,
	* vm/reference/java/nio/VMDirectByteBuffer.java:
	New files.
  
2004-11-20  Tom Tromey  <tromey@redhat.com>
  
	* java/util/ResourceBundle.java (tryBundle): Use
	Class.isAssignableFrom rather than catching ClassCastException.
  
2004-11-20  Bryce McKinlay  <mckinlay@redhat.com>
  
	* java/util/ResourceBundle.java (bundleCache): Renamed from
	resourceBundleCache. Update comments.
	(getObject): Don't catch MissingResourceException.
	(getBundle(String)): Remove 'final'. Use system classloader if
	getCallingClassLoader returned null.
	(getBundle(String, Locale)): Likewise.
	(BundleKey): New private class. HashMap key for bundle cache lookup.
	(lookupKey): New. Singleton instance of BundleKey.
	(nullEntry): New. Cache entry to represent failed lookups.
	(getBundle(String, Locale, ClassLoader)): Re-written to use new 
	caching strategy, no-allocation lookup, and new tryBundle methods.
	(tryBundle(String, ClassLoader)): New. Load a locale-qualified bundle 
	name using given classloader.
	(tryBundle(String, Locale, ClassLoader, boolean): New. Qualify 
	baseName for given Locale and attempt to load bundle.
  
2004-11-18  Jeroen Frijters  <jeroen@frijters.net>
  
	* gnu/java/io/decode/DecoderUTF8.java
	(charsInByteArray, convertToChars, read): Added surrogate pair
	support.
	(pendingChar): New field.
	* gnu/java/io/encode/EncoderUTF8.java
	(bytesInCharArray, convertToBytes): Added surrogate pair support.

2004-11-18  Casey Marshall  <csm@gnu.org>

	* gnu/java/nio/FileLock.java (isValid): locks are valid if the
	channel is open.

2004-11-17  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/java/io/decode/DecoderUTF8.java
	(read): Fixed EOF bug introduced in last commit.

2004-11-17  Jeroen Frijters  <jeroen@frijters.net>

	* gnu/java/io/decode/Decoder.java: Removed throws
	CharConversionException from the various methods.
	* gnu/java/io/decode/DecoderUTF8.java
	(REPLACEMENT_CHARACTER): New field.
	(charsInByteArray, convertToChars, read): Removed throws
	CharConversionException and reimplemented algorithm to replace
	illegal UTF-8 sequences with REPLACEMENT_CHARACTER instead of
	throwing an exception.
	* gnu/java/io/encode/Encoder.java
	(bad_char, bad_char_set, setBadCharValue): Removed.
	(bytesInCharArray, convertToBytes): Removed throws
	CharConversionException.
	* gnu/java/io/encode/EncoderEightBitLookup.java
	(BAD_CHARACTER): New field.
	(convertToBytes): Changed to always replace invalid characters with
	BAD_CHARACTER instead of throwing an exception if bad_char hadn't
	been set.
	* java/io/OutputStreamWriter.java
	(OutputStreamWriter): Removed call to Encoder.setBadCharValue().
	* java/lang/String.java: Removed try/catch block around
	Encoder/Decoder calls that no longer throw CharConversionException.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/print/PrinterJob.java: Reformatted.
  
2004-11-17  Jerry Quinn  <jlquinn@optonline.net>
  
	* java/awt/print/PrinterJob.java (lookupPrintServices,
	getPrintService, setPrintService): Implement.
	(lookupStreamPrintServices): Add commented out implementation.
	(printer): New field.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/net/Socket.java (getPort): Return 0 in error case.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	*  java/nio/DirectByteBufferImpl.java
	(owner): Updated comment.
	(allocate): New method.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/net/URL.java (URL): Handle case when argument is null.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/beans/Beans.java,
	java/beans/PropertyChangeEvent.java,
	java/beans/PropertyEditorSupport.java:
	Fixed javadocs.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/util/Timer.java (DEFAULT_SIZE): Made static.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/image/AffineTransformOp.java,
	java/awt/image/ColorConvertOp.java,
	java/awt/image/LookupOp.java,
	java/awt/image/RescaleOp.java:
	Added final keywords where they belong.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/CardLayout.java,
	java/awt/Component.java,
	java/awt/Font.java,
	java/awt/image/SinglePixelPackedSampleModel.java:
	Fixed javadocs and argument names all over.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/image/DataBufferShort.java: Fixed file header.
	* java/awt/image/DataBufferUShort.java: Likewise.
	(DataBufferUShort): Throw NullPointerException if dataArray is null.
  
2004-11-17  Michael Koch  <konqueror@gmx.de>
  
	* java/net/InetAddress.java (getCanonicalHostName):
	Support IPv6 addresses.
  
2004-11-17  Sven de Marothy  <sven@physto.se>
  
	* java/awt/geom/Arc2D.java,
	(setAngleStart): Corrected (wrong sign on atan2 y parameter)
	(setAngles): Likewise
	(containsAngle): Return false on zero extent, don't include final angle
	(contains): Treat OPEN-type arcs like CHORD ones, not as PIE ones.
  
2004-11-16  Sven de Marothy  <sven@physto.se>
  
	* java/awt/geom/AffineTransform.java,
	(inverseTransform): Fixed bug and simplified code.
	(createTransformedShape): Return null on null parameter.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* java/util/Collections.java (synchronizedSortedMap):
	Removed some cruft in javadoc.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/locale/LocaleInformation_de.java:
	Added some new locale informations to the contents object.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* java/io/BufferedReader.java,
	java/io/FileInputStream.java,
	java/io/FileOutputStream.java,
	java/io/FileWriter.java,
	java/io/OutputStreamWriter.java,
	java/io/PipedInputStream.java,
	java/io/PipedOutputStream.java,
	java/io/PipedReader.java,
	java/io/PipedWriter.java,
	java/io/PrintStream.java,
	java/io/PushbackInputStream.java,
	java/io/RandomAccessFile.java,
	java/io/Reader.java,
	java/io/StreamTokenizer.java,
	java/io/StringReader.java,
	java/net/NetworkInterface.java,
	java/net/URLClassLoader.java,
	java/nio/ByteOrder.java,
	java/nio/channels/Channel.java:
	Fixed javadocs all over.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/color/ICC_ColorSpace.java,
	java/awt/color/ICC_Profile.java,
	java/awt/color/ICC_ProfileGray.java,
	java/awt/color/ICC_ProfileRGB.java:
	Re-indent copyright header to be standardish.
	* java/awt/datatransfer/StringSelection.java:
	Reformatted.
	* java/awt/geom/Area.java
	(EPSILON): Made static.
	(RS_EPSILON): Likewise.
	(PE_EPSILON): Likewide.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/locale/LocaleInformation_de.java:
	Fix compile error.
  
2004-11-16  Sven de Marothy  <sven@physto.se>
  
	* javax/swing/SwingUtilities.java:
	(computeDifference): Implemented
	(computeIntersection): Likewise
	(computeUnion): Likewise
	(isRectangleContainingRectangle): Likewise
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* java/awt/BasicStroke.java,
	java/awt/Button.java,
	java/awt/Canvas.java,
	java/awt/CheckboxMenuItem.java,
	java/awt/Container.java,
	java/awt/EventQueue.java,
	java/awt/FileDialog.java,
	java/awt/FlowLayout.java,
	java/awt/FontMetrics.java,
	java/awt/Graphics.java,
	java/awt/GridLayout.java,
	java/awt/KeyboardFocusManager.java,
	java/awt/Label.java,
	java/awt/LayoutManager2.java,
	java/awt/List.java,
	java/awt/MenuBar.java,
	java/awt/Scrollbar.java,
	java/awt/Toolkit.java,
	java/awt/Window.java,
	java/awt/datatransfer/DataFlavor.java,
	java/awt/datatransfer/FlavorTable.java,
	java/awt/event/ActionListener.java,
	java/awt/event/HierarchyBoundsAdapter.java,
	java/awt/geom/Arc2D.java,
	java/awt/geom/Rectangle2D.java,
	java/awt/geom/RectangularShape.java,
	java/awt/im/spi/InputMethod.java,
	java/awt/image/ByteLookupTable.java,
	java/awt/image/ColorModel.java,
	java/awt/image/DirectColorModel.java,
	java/awt/image/ShortLookupTable.java,
	java/awt/print/Book.java:
	Fixed javadocs and method argument names all over.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/locale/LocaleInformation_de.java: Reordered entries in
	contents array, added support for ap/pm and territorial names.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/locale/LocaleInformation_de.java: Reformatted. Replaced
	some definitions with their generated counterparts.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/locale/LocaleInformation_de.java: Removed some comments to
	make it easier to merge this with the new generated classes.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* configure.ac: Added scripts/Makefile to output files.
	* Makefile.am (SUBDIRS): Add scripts
	* scripts/Makefile.am: New file.
  
2004-11-16  Michael Koch  <konqueror@gmx.de>
  
	* gnu/java/awt/peer/gtk/GdkFontPeer.java
	(buildString): Optimise String building.
  
2004-11-15  Michael Koch  <konqueror@gmx.de>
  
	* native/jni/Makefile.am: Add checking of JNI methods.
	* scripts/check_jni_methods.sh: New file.
  
2004-11-15  Michael Koch  <konqueror@gmx.de>
  
	* acinclude.m4 (CLASSPATH_WITH_GLIBJ): Added support to not build the
	class files/glibj.zip. Handle --disable-examples argument.
	* Makefile.am: Build examples subdir conditionally.
  
2004-11-15  Craig Black  <craig.black@aonix.com>
  
	* gnu/java/beans/BeanInfoEmbryo.java: Use TreeMap for proper sorting.
  
2004-11-15  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/lang/StackTraceElement.java: Made final.
	* java/nio/channels/Channels.java: Added private constructor.
	* java/rmi/Naming.java: Added private constructor.
	* java/rmi/registry/LocateRegistry.java: Added private constructor.
	* java/rmi/server/RMIClassLoader.java: Added private constructor.
	* java/security/KeyPairGeneratorSpi.java
	(clone): Made protected and simplified implementation.
	* java/text/DateFormat.java
	(allFields): Made package accessible.
	* java/text/DecimalFormat.java
	(formatInternal): Made private.
	* java/text/Format.java
	(formatInternal): Made private.
	* java/util/logging/Handler.java: Made constructor protected.
	* java/util/regex/Matcher.java: Made final.
	* java/util/regex/Pattern.java: Made final.
	* java/util/zip/InflaterHuffmanTree.java: Made package.
	* javax/crypto/CipherInputStream.java
	(mark): Corrected mark parameter type (from long to int).
	* javax/crypto/ExemptionMechanism.java
	(finalize): Added.
	* javax/crypto/Mac.java
	(getMacLength): Made final.
	(clone): Made final.
	* javax/imageio/ImageIO.java: Added private constructor.
	* javax/imageio/stream/ImageInputStreamImpl.java
	(checkClosed): Made final.
	* javax/net/ssl/SSLPermission.java: Made final.
	* javax/print/DocFlavor.java
	(hostEncoding): Added work-around to prevent the field from being
	a compile time constant.
	* javax/print/attribute/AttributeSetUtilities.java: Added private
	constructor.
	(UnmodifiableDocAttributeSet): Made private.
	(UnmodifiablePrintJobAttributeSet): Made private.
	(UnmodifiablePrintRequestAttributeSet): Made private.
	(UnmodifiablePrintServiceAttributeSet): Made private.
	(SynchronizedAttributeSet): Made private.
	(SynchronizedDocAttributeSet): Made private.
	(SynchronizedPrintJobAttributeSet): Made private.
	(SynchronizedPrintRequestAttributeSet): Made private.
	(SynchronizedPrintServiceAttributeSet): Made private.
	* javax/security/auth/PrivateCredentialPermission.java: Made final.
  
2004-11-14  Mark Wielaard  <mark@klomp.org>
  
	* configure.ac: Set version to 0.12+cvs.
  
2004-11-14  Mark Wielaard  <mark@klomp.org>
  
	* configure.ac: Set version to 0.12.
	* NEWS: Add new items for this release.
  
2004-11-14  Mattias Rehnberg  <Mattias.Rehnberg@home.se>
  
	* java/net/Inet6Address.java (getHostAddress): Fix textual
	representation of IPv6 address with embedded zeroes 
	to conform to RFC 2373.
  
2004-11-14  Mark Wielaard  <mark@klomp.org>
  
	* configure.ac (--disable-Werror): Make no the default.
  
2004-11-14  Mark Wielaard  <mark@klomp.org>
  
	* javax/swing/ToolTipManager.java (mouseMoved): Set currentComponent
	when not yet set.
  
2004-11-13  Robert Schuster <thebohemian@gmx.net>
  
	Complete 1.4 support
	* java/beans/PropertyDescriptor.java:
	(setReadMethod): New method
	(setWriteMethod): New method
	(equals): Implemented (1.4)
	(checkMethods): operates on arguments now (private)
  
2004-11-12  Steven Augart  <augart@watson.ibm.com>
  
	* gnu/classpath/Configuration.java.in: Added
	JAVA_LANG_SYSTEM_EXPLICIT_INITIALIZATION. 
	* configure.ac: Added
	--enable-java-lang-system-explicit-initialization. 
	* java/lang/System.java: Added support for
	JAVA_LANG_SYSTEM_EXPLICIT_INITIALIZATION. 
	
2004-11-12  Sven de Marothy  <sven@physto.se>
  
	* java/awt/Polygon.java (contains): Reimplemented.
  
2004-11-11  Mark Wielaard  <mark@klomp.org>
  
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java: Indentation fixups.
	* gnu/java/awt/peer/gtk/GtkToolkit.java: Likewise.
  
2004-11-11  Paul Jenner  <psj.home@ntlworld.com>
  
	* java/awt/image/Raster.java
	(createPackedRaster): Implemented.
  
2004-11-11  Mark Wielaard  <mark@klomp.org>
  
	* javax/swing/plaf/basic/BasicTableHeaderUI.java: Indentation fixups.
	* javax/swing/plaf/basic/BasicViewportUI.java: Likewise.
	* javax/swing/text/PlainDocument.java: Likewise.
	* javax/swing/text/SimpleAttributeSet.java: Likewise.
	* javax/swing/text/Utilities.java: Likewise.
  
2004-11-11  Graydon Hoare  <graydon@redhat.com>
  
	* javax/swing/plaf/basic/BasicTextUI.java:
	Listen to focus events, indicate focus via caret.
	* javax/swing/text/GapContent.java (getString): Return substring.
	* javax/swing/text/PlainDocument.java (reindex): New method.
	(createDefaultRoot): Call it.
	(insertUpdate): Likewise.
	(removeUpdate): Likewise.
	* javax/swing/text/Utilities.java (drawTabbedText): Always advance
	on tab and newline, even if no painting happens.
  
2004-11-11  Thomas Fitzsimmons  <fitzsim@redhat.com>
  
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c (setFont):
	Set pango context's description and language.
  
2004-11-11  Mark Wielaard  <mark@klomp.org>
  
	* include/gnu_java_awt_peer_gtk_GdkFontMetrics.h: Regenerated.
	* include/gnu_java_awt_peer_gtk_GdkGraphics.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkClipboard.h: Likewise.
	* include/gnu_java_net_PlainDatagramSocketImpl.h: Likewise.
	* include/java_io_ObjectInputStream.h: Likewise.
	* include/java_io_VMFile.h: Likewise.
	* include/java_lang_Math.h: Likewise.
	* include/java_lang_VMProcess.h: Likewise.
	* include/java_net_InetAddress.h: Likewise.
  
2004-11-11  Graydon Hoare  <graydon@redhat.com>
  
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(GdkGraphics2D): Set clip after transform.
	(drawImage): Protect against null image.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java
	(setIconImage): Protect against non-GtkImage args.
	* gnu/java/awt/peer/gtk/GtkToolkit.java
	(checkImage): Protect against non-GtkImage args.
	* java/awt/print/PrinterJob.java:
	(print): Add variant taking PrintRequestAttributeSet.
	(printDialog): Likewise.
	* javax/swing/JComponent.java:
	(transferHandler): New field.
	(getComponentGraphics): Build new Graphics for each sub-paint.
	(getTransferHandler): New method.
	(setTransferHandler): New method.
	* javax/swing/JDesktopPane.java
	(setDragMode): Force LIVE_DRAG_MODE.
	* javax/swing/JMenuItem.java
	(menuSelectionChanged): Protect against null parent.
	* javax/swing/JTable.java (setDefaultRenderer): New method.
	* javax/swing/JTree.java: Get basic ctors and UI working.
	* javax/swing/JViewport.java (JViewport): Set scroll mode.
	* javax/swing/RepaintManager.java
	(addDirtyRegion): Skip empty regions.
	* javax/swing/ScrollPaneLayout.java (minimumLayoutSize): Do not
	bound scrollpane minimum by central view minimum.
	* javax/swing/ToolTipManager.java
	(showTip): Guard against null component.
	* javax/swing/TransferHandler.java: Stub out.
	* javax/swing/plaf/basic/BasicLookAndFeel.java:
	Add entry for TextPaneUI, change Tree icons to pngs.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(installDefaults): Set text position and alignment.
	(paintMenuItem): Layout icon with normal compound function.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java:
	(getMaximumSize): Delete.
	(getMinimumSize): Delete.
	(getPreferredSize): Use column model's total width.
	* javax/swing/plaf/basic/BasicTextPaneUI.java: New file.
	* javax/swing/plaf/basic/BasicTextUI.java
	(modelChanged): Make resilient against nulls.
	* javax/swing/plaf/basic/BasicTreeUI.java:
	Add some simplistic config / painting functions.
	* javax/swing/plaf/basic/BasicViewportUI.java
	(paintSimple): Add new non-backingstore paint mode.
	(paintBackingStore): Split out backing store code.
	(paint): Switch on painting mode.
	* javax/swing/text/SimpleAttributeSet.java
	(SimpleAttributeSet): Resist nulls.
	* javax/swing/tree/DefaultTreeCellRenderer.java: Implement.
	* javax/swing/tree/DefaultTreeModel.java: Partially implement.

2004-11-11  Mark Wielaard  <mark@klomp.org>

	* java/util/jar/JarFile.java (verify): Make package private.
	(signaturesRead): Likewise.
	(verified): Likewise.
	(entryCerts): Likewise.
	(DEBUG): Likewise.
	(debug): Likewise.
	(entries): Construct new JarEnumeration with reference to this.
	(JarEnumeration): Make static.
	(JarEnumeration.jarfile): New field.
	(JarEnumeration.nextElement): Use and synchronize on jarfile.
	Compare verified value to Boolean.TRUE or Boolean.False only
	when verify is true.
	(getEntry): Make synchronized. Compare value of verified to
	Boolean.TRUE.
	(getInputStream): Construct EntryInputStream with reference to this.
	(getManifest): Make synchronized.
	(EntryInputStream): Make static.
	(EntryInputStream.jarfile): New field.
	(EntryInputStream.EntryInputStream): Check if manifest exists,
	before getting attributes.
	(eof): Synchronize on jarfile.
	
2004-11-11  Mark Wielaard  <mark@klomp.org>

	* lib/gen-classlist.sh.in: Split in classes list in standard, awt
	and standardx lists.
	* lib/Makefile.am (FOUND_GCJ): Split compilation in three parts.
	(CLEANFILES): Add classes.standard, classes.awt and classes.standardx.

2004-11-11  Michael Koch  <konqueror@gmx.de>

	* scripts/classpath-build: Use autogen.sh script. Added
	--with-glibj=both to configure. Make sure logfile is empty.

2004-11-09  Tom Tromey  <tromey@redhat.com>

	* scripts/eclipse-gnu.xml: New file.

	* java/io/File.java (directory.getName): Removed redundant cast.
	Changed "mask" to be of type "long".

2004-11-08  Casey Marshall  <csm@gnu.org>

	* java/util/jar/JarFile.java (verify): return if the jar is signed
	with an unsupported algorithm.

2004-11-08  Tom Tromey  <tromey@redhat.com>

	* java/util/GregorianCalendar.java: Removed unused imports.
	* java/util/Vector.java: Removed unused import.

	* java/io/PrintStream.java (ForwardStream): New constructor.

2004-11-08  Robert Schuster <thebohemian@gmx.net>

	Fixed regression:
	* gnu/java/beans/IntrospectionIncubator.java:
	(addMethod): corrected classification of normal and property methods
	(capitalize): added documentation
	(DoubleKey): [class] added documentation
	(isReachable): new method, refactoring of a large expression
  
2004-11-08  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/net/URLStreamHandler.java
	(parseURL): Fixed file path canonicalisation.
  
2004-11-08  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/io/File.java:
	(createTempFile): Use VMFile.IS_DOS_8_3 instead of separatorChar
	to determine file system naming restrictions.
	* vm/reference/java/io/VMFile.java
	(caseSensitive): Renamed to IS_CASE_SENSITIVE.
	(IS_DOS_8_3): New field.

2004-11-08  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/ClassLoader.java: Updated some comments.
	(systemClassLoader): Moved to java.lang.System to remove
	circular initialization dependency.
	* java/lang/System.java: Moved initialization of static fields
	to static initializers to make ordering more explicit.
	(static): Added creation of system class loader.
	(static): Added support for setting the default security manager.

2004-11-07  Mark Wielaard  <mark@klomp.org>

	* java/awt/image/LookupOp.java: Comments and indentation fixes.

2004-11-07  Casey Marshall  <csm@gnu.org>

	* gnu/java/security/provider/GnuDSAPrivateKey.java
	(encodedKey): new field.
	(getFormat): return "PKCS#8".
	(getEncoded): implemented.
	(toString): check for 'null' values.
	* gnu/java/security/provider/GnuDSAPublicKey.java
	(encodedKey): new field.
	(getFormat): return "X.509".
	(getEncoded): implemented.
	(toString): check for 'null' values.

2004-11-07  Casey Marshall  <csm@gnu.org>

	* NEWS: started 0.12 entry; mention signed JAR files and X.509
	improvements.

2004-11-07  Mark Wielaard  <mark@klomp.org>

	* java/util/jar/JarFile.java (EntryInputStream): Add actual
	InputStream as argument.
	(getInputStream): Construct a new EntryInputStream with the result of
	super.getInputStream(entry).

2004-11-07  Casey Marshall  <csm@gnu.org>

	Signed JAR file support.
	* java/net/URLClassLoader.java
	(JarURLResource.getCertificates): re-read jar entry to ensure
	certificates are picked up.
	(findClass): fill in class `signers' field, too.
	* java/util/jar/JarFile.java (META_INF): new constant.
	(PKCS7_DSA_SUFFIX): new constant.
	(PKCS7_RSA_SUFFIX): new constant.
	(DIGEST_KEY_SUFFIX): new constant.
	(SF_SUFFIX): new constant.
	(MD2_OID): new constant.
	(MD4_OID): new constant.
	(MD5_OID): new constant.
	(SHA1_OID): new constant.
	(DSA_ENCRYPTION_OID): new constant.
	(RSA_ENCRYPTION_OID): new constant.
	(signaturesRead): new field.
	(verified): new field.
	(entryCerts): new field.
	(DEBUG): new constant.
	(debug): new method.
	(JarEnumeration.nextElement): fill in entry certificates, read
	signatures if they haven't been read.
	(getEntry): likewise.
	(getInputStream): verify stream if it hasn't been verified
	yet.
	(readSignatures): new method.
	(verify): new method.
	(verifyHashes): new method.
	(readManifestEntry): new method.
	(EntryInputStream): new class.
	* java/util/zip/InflaterInputStream.java
	Don't defer to underlying stream for mark/reset.
	(markSupported): new method; return `false'.
	(mark): new method.
	(reset): new method.
	* gnu/java/io/Base64InputStream.java (decode): new class
	method.
	* gnu/java/security/der/DERReader.java don't make class
	final.
	(in): made protected.
	(encBuf): likewise.
	(readLength): likewise.
	* gnu/java/security/ber/BER.java,
	* gnu/java/security/ber/BEREncodingException.java,
	* gnu/java/security/ber/BERReader.java,
	* gnu/java/security/ber/BERValue.java,
	* gnu/java/security/pkcs/PKCS7SignedData.java,
	* gnu/java/security/pkcs/SignerInfo.java:
	new files.
  
2004-11-07  Casey Marshall  <csm@gnu.org>
  
	* gnu/java/security/provider/Gnu.java
	(<init>): add entries in a priviliged action.
	Add new algorithms.
	* gnu/java/security/provider/X509CertificateFactory.java
	(engineGenerateCertificate): chain exceptions.
	(engineGenerateCertificates): likewise.
	(engineGenerateCRL): likewise.
	(engineGenerateCRLs): likewise.
	(engineGenerateCertPath): new methods.
	(generateCert): throw exception if 'inStream' is null.
	(generateCRL): likewise.
	* gnu/java/security/x509/X500DistinguishedName.java: replaced with
	version from GNU Crypto CVS.
	* gnu/java/security/x509/X509CRL.java: likewise.
	* gnu/java/security/x509/X509CRLEntry.java: likewise.
	* gnu/java/security/x509/X509Certificate.java: likewise.
	* java/security/cert/TrustAnchor.java: call 'toString' and not
	toRFC2253.
	* gnu/java/security/provider/CollectionCertStoreImpl.java,
	* gnu/java/security/provider/EncodedKeyFactory.java,
	* gnu/java/security/provider/GnuDHPublicKey.java,
	* gnu/java/security/provider/GnuRSAPrivateKey.java,
	* gnu/java/security/provider/GnuRSAPublicKey.java,
	* gnu/java/security/provider/MD2withRSA.java,
	* gnu/java/security/provider/MD4withRSA.java,
	* gnu/java/security/provider/MD5withRSA.java,
	* gnu/java/security/provider/PKIXCertPathValidatorImpl.java,
	* gnu/java/security/provider/RSA.java,
	* gnu/java/security/provider/RSAKeyFactory.java,
	* gnu/java/security/provider/SHA1withRSA.java,
	* gnu/java/security/x509/GnuPKIExtension.java,
	* gnu/java/security/x509/PolicyNodeImpl.java,
	* gnu/java/security/x509/Util.java,
	* gnu/java/security/x509/X509CRLSelectorImpl.java,
	* gnu/java/security/x509/X509CertPath.java,
	* gnu/java/security/x509/X509CertSelectorImpl.java,
	* gnu/java/security/x509/ext/AuthorityKeyIdentifier.java,
	* gnu/java/security/x509/ext/BasicConstraints.java,
	* gnu/java/security/x509/ext/CRLNumber.java,
	* gnu/java/security/x509/ext/CertificatePolicies.java,
	* gnu/java/security/x509/ext/ExtendedKeyUsage.java,
	* gnu/java/security/x509/ext/Extension.java,
	* gnu/java/security/x509/ext/GeneralNames.java,
	* gnu/java/security/x509/ext/IssuerAlternativeNames.java,
	* gnu/java/security/x509/ext/KeyUsage.java,
	* gnu/java/security/x509/ext/PolicyConstraint.java,
	* gnu/java/security/x509/ext/PolicyMappings.java,
	* gnu/java/security/x509/ext/PrivateKeyUsagePeriod.java,
	* gnu/java/security/x509/ext/ReasonCode.java,
	* gnu/java/security/x509/ext/SubjectAlternativeNames.java,
	* gnu/java/security/x509/ext/SubjectKeyIdentifier.java:
	new files.
  
2004-11-07  Sven de Marothy  <sven@physto.se>
  
	* java/awt/geom/GeneralPath.java (evaluateCrossings):
	Fixed epsilon value, should always be nonzero.
  
2004-11-07  Jerry Quinn  <jlquinn@optonline.net>
  
	* java/awt/image/BandedSampleModel.java (scanlineStride): Remove
	field hiding ComponentSampleModel.scanlineStride.
  
2004-11-06  Thomas Fitzsimmons  <fitzsim@redhat.com>
  
	* java/awt/DefaultKeyboardFocusManager.java (dispatchEvent):
	Track Window focus owner on FOCUS_GAINED events.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* doc/hacking.texinfo (Source Code Style Guide): Fixed
	grammatical error.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* gnu/java/rmi/server/UnicastConnectionManager.java (clients): Now
	package-private.
	(connections): Likewise.
	(scavenger): Likewise.
	* gnu/java/rmi/server/ConnectionRunnerPool.java (freelist): Now
	package-private.
	* gnu/java/rmi/server/UnicastRemoteCall.java (vec): Now
	package-private.
	(ptr): Likewise.
	* gnu/java/security/PolicyFile.java (debug): Now package-private.
	* gnu/classpath/ServiceFactory.java (log): Now package-private.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* javax/naming/directory/BasicAttributes.java (attributes): Now
	package-private.
	* javax/imageio/spi/ServiceRegistry.java (categories): Now
	package-private.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* java/net/URLClassLoader.java (URLClassLoader): Now
	package-private.
	* java/nio/charset/CoderResult.java (CoderResult): Now
	package-private.
	(get): Likewise.
	(Cache): Likewise.  Don't synchronize on `this'.
	* java/rmi/server/RMIClassLoader.java (MyClassLoader): Now
	package-private.
	* java/util/TimeZone.java (timezones): Now package-private.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* java/security/Permissions.java (perms): Now package-private.
	* java/security/UnresolvedPermission.java (permissions): Now
	package-private.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* java/io/FilePermission.java: Reindented.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* java/io/ObjectOutputStream.java (currentObjectStreamClass): Now
	package-private.
	(setBlockDataMode): Likewise.
	* java/io/DeleteFileHelper.java (DeleteFileHelper): Now
	package-private.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* gnu/java/nio/charset/ISO_8859_1.java (Decoder): Now
	package-private.
	(Encoder): Likewise.
	* gnu/java/nio/charset/UTF_8.java (Decoder): Now package-private.
	(Encoder): Likewise.
	* gnu/java/nio/charset/US_ASCII.java (Decoder): Now
	package-private.
	(Encoder): Likewise.
  
2004-11-06  Robert Schuster  <theBohemian@gmx.net>
  
	Fixes bug #10908
	* gnu/java/beans/IntrospectionIncubator.java:
	(addMethod): static methods are discarded now, too.

2004-11-06  Sven de Marothy  <sven@physto.se>

	* java/awt/image/ConvolveOp.java: Added missing copyright notice.

2004-11-06  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/AffineTransformOp.java (filter): Implement
	filtering and bilinear interpolation for Rasters.
	 Add TYPE_BICUBIC.
	* java/awt/image/IndexColorModel.java (IndexColorModel): Actually
	use the provided colormap.  Throw documented exceptions.  Document
	exceptions.
	* java/awt/image/ComponentSampleModel.java (getDataElements,
	setDataElements): Implement SHORT, FLOAT, and INT transfer types.
	* java/awt/image/Raster.java (createBandedRaster): Implement.
	* java/awt/image/SampleModel.java (createSubsetSampleModel): Add
	javadocs.
	* java/awt/image/RescaleOp.java,
	java/awt/image/ColorConvertOp.java: Fix loop bounds.
	* java/awt/image/BandCombineOp.java,
	java/awt/image/LookupOp.java,
	java/awt/image/ConvolveOp.java: New classes.
  
2004-11-06  Andrew Haley  <aph@redhat.com>
  
	* java/io/ObjectInputStream.java
	(readObject): ENDBLOCKDATA is generated if the class has a write
	method, not if it has a read method.
  
2004-11-06  Mark Wielaard  <mark@klomp.org>
  
	* java/util/Vector.java (readObject): Removed.
  
2004-11-06  Tom Tromey  <tromey@redhat.com>
  
	* gnu/java/net/protocol/http/Connection.java (sendRequest): Fix
	typo.
  
2004-11-06  Michael Koch  <konqueror@gmx.de>
  
	PR libjava/14009
	* gnu/java/net/protocol/http/Connection.java
	(sendRequest): Handle case when url.getFile() returns an empty string.
  
2004-11-06  Patrik Reali  <reali@acm.org>
  
	* doc/www.gnu.org/newsitems.txt: JDK 1.0 compatibility news
  
2004-11-06  Tom Tromey  <tromey@redhat.com>

	* java/lang/Void.java (TYPE): Added cast to initializer.
	* java/lang/Short.java (TYPE): Added cast to initializer.
	* java/lang/Long.java (TYPE): Added cast to initializer.
	* java/lang/Integer.java (TYPE): Added cast to initializer.
	* java/lang/Float.java (TYPE): Added cast to initializer.
	* java/lang/Double.java (TYPE): Added cast to initializer.
	* java/lang/Character.java (TYPE): Added cast to initializer.
	* java/lang/Byte.java (TYPE): Added cast to initializer.
	* java/lang/Boolean.java (TYPE): Added cast to initializer.
	* java/util/Hashtable.java (elements): Fixed return type.

2004-11-05  Noa Resare  <noa@resare.com>
  
	* java/net/Socket.java(getPort): Return 0 instead of -1 on
	unconnected sockets.
  
2004-11-05  Sven de Marothy <sven@physto.se>
	
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java
	(createImage): Created bitmap should be filled with bg color
  
2004-11-04  Torsten Rupp  <rupp@aicas.com>
  
	* native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c:
	Replaced 'this' arguments by 'obj' to make source compatible with
	C++ compilers.
  
2004-11-04  Torsten Rupp  <rupp@aicas.com>
  
	* native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c:
	Add dummy return values for WITHOUT_NETWORK code path.
	(Java_gnu_java_net_PlainDatagramSocketImpl_receive0): Check fid not
	NULL for maxlen field id.
  
2004-11-04  Torsten Rupp  <rupp@aicas.com>
  
	* native/jni/java-net/gnu_java_net_PlainSocketImpl.c: Added missing
	return values for WITHOUT_NETWORK code path.
  
2004-11-03  Tom Tromey  <tromey@redhat.com>
  
	* Makefile.am (EXTRA_DIST): Added ChangeLog-2003.
  
2004-11-03  Tom Tromey  <tromey@redhat.com>
  
	* include/jni.h (struct JNINativeInterface) <NewObjectArray>: Now
	returns jobjectArray.
	(_Jv_JNIEnv::NewObjectArray): Likewise.
  
2004-11-03  Tom Tromey  <tromey@redhat.com>

	* java/util/Collection.java (iterator): Fixed return type.

	* java/util/AbstractSet.java (removeAll): Fixed iterator
	declaration.
	* java/util/AbstractList.java (RandomAccessSubList): RandomAccess
	is not generic.

2004-11-02  Mattias Rehnberg  <Mattias.Rehnberg@home.se>

	* java/io/Vector.java
	(readObject, writeObject): New function to match Sun's
	serialized output for Vector.
  
  	* java/io/ObjectOutputStream.java
	(writeObject): Move the assignment of the class handle to after
	the assignment of class descriptor handle.
  
2004-11-02  Thomas Fitzsimmons  <fitzsim@redhat.com>
  
	* java/awt/Font.java (name): New field.
	(size): Likewise.
	(style): Likewise.
  
2004-11-01  Andrew John Hughes <gnu_andrew@member.fsf.org>
  
	* java/util/GregorianCalendar.java:
	Added/amended documentation.
	
2004-11-01  Jeroen Frijters  <jeroen@frijters.net>
  
	* java/lang/ClassLoader.java:
	(addFileURL): New method.
	(getSystemClassLoaderUrls): Fixed to treat lone separators as
	current directory.
  
2004-11-01  Tom Tromey  <tromey@redhat.com>

	* java/util/AbstractMap.java: Removed old FIXME comment.

	* java/lang/Long.java (rotateRight): Fixed return type.
	* java/lang/Integer.java (reverse): Use correct name for
	variable.
	* java/lang/Character.java (valueOf): Use MIN_VALUE, not
	MIN_CACHE.
	* java/lang/Byte.java (valueOf): Use MIN_VALUE, not MIN_CACHE.

	* gnu/java/util/DoubleEnumeration.java: Genericized.

	* java/lang/Appendable.java (append): Throws IOException.

	* java/util/Hashtable.java: Genericized.

	* java/util/HashMap.java (putAll): Use correct type for iterator.
	(putAllInternal): Likewise.
	* java/lang/Class.java (cast): Call VMClass.cast.
	* java/util/Collections.java (UnmodifiableMap.remove): Corrected
	return type.
	(entrySet): Likewise.
	(entries): Corrected type.

	* vm/reference/java/lang/reflect/Constructor.java
	(getTypeParameters): Stubbed.

2004-10-31  Robert Schuster <thebohemian@gmx.net>
  
	Fixes documentation and indentation
	* java/beans/PropertyEditorSupport.java:
	 reworked initial API doc
	(value): changed name from val
  
2004-10-31  Robert Schuster <thebohemian@gmx.net>
  
	Updates to 1.5
	* java/beans/PropertyEditorSupport.java
	(PropertyEditorSupport()): Changed modifier to public
	(PropertyEditorSupport(Object): Changed modifier to public
	(setSource): New method
	(getSource): New method
  
2004-10-31  Robert Schuster <thebohemian@gmx.net>
  
	Fixes bug #10799
	* java/beans/PropertyEditorSupport.java
	(setValue): Fire property change event
  
2004-10-31  Noa Resare  <noa@resare.com>
  
	* java/util/Calendar.java (explicitDSTOffset): New instance field.
	(set(int,int)): Set and use new field.
	(set(int,int,int)): Check new field.
  
2004-10-29  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ColorConvertOp.java: New class.
	* java/awt/image/ColorModel.java (cloneColorModel): New method.

2004-10-29  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java
	(gtkWidgetSetVisible): Unused. Removed.
	(connectJObject): Likewise.
	* gnu/java/awt/peer/gtk/GtkScrollPanePeer.java
	(gtkScrolledWindowSetScrollPosition): Commented out.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h:
	Regenerated.

2004-10-29  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(cairoShowGlyphs) Removed.

2004-10-28  Michael Koch  <konqueror@gmx.de>

	* native/jni/java-nio/java_nio.c
	(Java_gnu_java_nio_FileChannelImpl_lengthInternal): Removed.

2004-10-28  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	native/jni/java-lang/java_lang_Double.c,
	native/jni/java-lang/java_lang_Math.c,
	native/jni/java-lang/java_lang_Object.c,
	native/jni/java-lang/java_lang_VMDouble.c,
	native/jni/java-lang/java_lang_VMFloat.c,
	native/jni/java-lang/java_lang_reflect_Array.c:
	Fixed method names to start at begin of line. This is desired by GNU
	coding style guide.

2004-10-28  Sven de Marothy  <sven@physto.se>

	* gnu/java/awt/color/CieXyzConverter.java,
	gnu/java/awt/color/GrayScaleConverter.java,
	gnu/java/awt/color/SrgbConverter.java,
	gnu/java/awt/color/ClutProfileConverter.java,
	gnu/java/awt/color/LinearRGBConverter.java,
	gnu/java/awt/color/TagEntry.java,
	gnu/java/awt/color/ColorLookUpTable.java,
	gnu/java/awt/color/ProfileHeader.java,
	gnu/java/awt/color/ToneReproductionCurve.java,
	gnu/java/awt/color/ColorSpaceConverter.java,
	gnu/java/awt/color/PyccConverter.java,
	gnu/java/awt/color/GrayProfileConverter.java,
	gnu/java/awt/color/RgbProfileConverter.java:
	New files.
	* java/awt/color/ICC_ColorSpace.java,
	java/awt/color/ICC_Profile.java,
	java/awt/color/ICC_ProfileGray.java,
	java/awt/color/ICC_ProfileRGB.java:
	Implemented (sans PhotoYCC color space).
	
2004-10-28  Michael Koch  <konqueror@gmx.de>

	* java/awt/font/TextAttribute.java
	(RUN_DIRECTION_LTR): Initialie with static value instead of
	calculating it.
	(RUN_DIRECTION_RTL): Likewise.
	(STRIKETHROUGH_ON): Likewise.
	(SWAP_COLORS_ON): Likewise.

2004-10-28  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(releasePeerGraphicsResource): Fixed typo in method name.
	* gnu/java/awt/peer/gtk/GdkFontPeer.java
	(finalize): Fixed typo in releasePeerGraphicsResource.
	* include/gnu_java_awt_peer_gtk_GdkGraphics2D.h:
	Regenerated.

2004-10-28  Noa Resare  <noa@resare.com>

	* java/awt/geom/GeneralPath.java (currentSegment):
	Fix typo in transform.transform() invocation.

2004-10-27  Mark Wielaard  <mark@klomp.org>

	* java/security/cert/X509Certificate.java: Fully qualify extends to
	java.security.cert.Certificate.

2004-10-27  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c
	(Java_gnu_java_awt_peer_gtk_GdkTextLayout_setText): Installed and
	and renamed from Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setText.

2004-10-26  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/Makefile.am (AM_CFLAGS): Add ERROR_CFLAGS.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c
	(Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setText): Removed.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
	(init_dpi_conversion_factor): Correct prototype.

2004-10-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c 
	(nativeSetIconImage): Rename to nativeSetIconImageFromDecoder.

2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c
	(Java_gnu_java_awt_peer_gtk_GThreadNativeMethodRunner_nativeRun):
	Fix pointer warning.

2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkFileDialogPeer_nativeSetFilenameFilter):
	Fix pointer warning.

	* native/jni/gtk-peer/gtkpeer.h: Introduce widget_union to fix type
	punned warnings.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_clearRect): Use widget_union
	to fix type punned pointer warning.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(pre_event_handler): Likewise.

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(window_get_new_state): Introduce unions to fix warnings as above.
	(window_property_changed_cb): Likewise.
	(window_active_state_change_cb): Mark unused variables unused.
	(window_focus_state_change_cb): Likewise.
	(window_focus_in_cb): Likewise.
	(window_focus_out_cb): Likewise.

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_setFont): Convert
	PangoFontMap correctly with PANGO_FT2FONT_MAP macro.

2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
 	(Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_create): Use the
 	GTK_TEXT_VIEW macro.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
 	(connect_awt_hook_cb): Mark unused variable unused.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c
	(selection_get): Do the cast right.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
 	(Java_gnu_java_awt_peer_gtk_GtkChoicePeer_create): According to
 	the gtk API gtk_combo_box_new_text actually returns a GtkWidget.
 	Remove unused var menu.
 	(selection_changed): Remove unused value.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
 	(Java_gnu_java_awt_peer_gtk_GtkButtonPeer_setNativeBounds): Fix pointer
 	warning with using an intermediate variable.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
 	(area_updated): Fix unused var warning for BE archs.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
 	(Java_gnu_java_awt_peer_gtk_GdkGraphics_connectSignals): Remove unused
 	var.
 	(realize_cb): Mark unused variable unused.
 
 	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
 	(seek_glyphstring_idx): Fix a C90 warning.

2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c
	(Java_gnu_java_awt_peer_gtk_GThreadNativeMethodRunner_nativeRun):
	Mark unused arguments unused.

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
	(Java_gnu_java_awt_peer_gtk_GdkGlyphVector_initState),
	(Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setGlyphCodes),
	(Java_gnu_java_awt_peer_gtk_GdkGlyphVector_glyphCharIndex),
	(Java_gnu_java_awt_peer_gtk_GdkGlyphVector_glyphIsHorizontal):
	Likewise.

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c
	(Java_gnu_java_awt_peer_gtk_GdkFontMetrics_getPeerFontMetrics),
	(Java_gnu_java_awt_peer_gtk_GdkFontMetrics_getPeerTextMetrics):
	Likewise.

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkFileDialogPeer_nativeSetFilenameFilter):
	Likewise.
	(filenameFilterCallback): Remove unused var.
	(handle_response): Declare str_fileName and remove last else statement.

2004-10-26  Mark Wielaard  <mark@klomp.org>

	* configure.ac (CLASSPATH_MODULE): Add -no-undefined.
	(Werror): New configure flag.
	(gtk-peer): Remove comma from help string.
	(AM_CFLAGS): Replace by...
	(WARNING_CFLAGS, STRICT_WARNING_CFLAGS, ERROR_CFLAGS): New gcc flags.
	(AM_CPPFLAGS): Replace by...
	(CLASSPATH_INCLUDES): New -I gcc flags.
	* native/fdlibm/Makefile.am: Use new AM_LDFLAGS, AM_CPPFLAGS and
	AM_CFLAGS when not library specific flags are used.
	* native/jni/gtk-peer/Makefile.am: Likewise.
	* native/jni/java-io/Makefile.am: Likewise.
	* native/jni/java-lang/Makefile.am: Likewise.
	* native/jni/java-net/Makefile.am: Likewise.
	* native/jni/java-nio/Makefile.am: Likewise.
	* native/jni/java-util/Makefile.am: Likewise.

	* native/jni/java-io/java_io_ObjectInputStream.c: Mark function
	arguments unused where necessary.
	* native/jni/java-io/java_io_VMFile.c: Likewise.
	* native/jni/java-io/java_io_VMObjectStreamClass.c: Likewise.
	(getFieldReference): Make sure we allocate the_type ourselves if we
	free it later. Removed unused argument object.
	* native/jni/java-io/javaio.c (javaio_read): Removed unused argument
	obj.
	(javaio_write): Likewise.
	* native/jni/java-io/javaio.h: Mark function arguments unused where
	necessary.
	* native/jni/java-lang/java_lang_Double.c: Likewise.
	(Java_java_lang_Double_parseDouble): Declare buf as const char*.
	* native/jni/java-lang/java_lang_Math.c: Mark function arguments
	unused where necessary.
	* native/jni/java-lang/java_lang_VMDouble.c: Likewise.
	* native/jni/java-lang/java_lang_VMFloat.c: Likewise.
	* native/jni/java-lang/java_lang_VMSystem.c: Likewise.
	* native/jni/java-lang/java_lang_reflect_Array.c: Likewise.
	* native/jni/java-net/gnu_java_net_PlainDatagramSocketImpl.c
	(Java_gnu_java_net_PlainDatagramSocketImpl_receive0): Mark only
	maxlen and offset as unsigned.
	* native/jni/java-net/java_net_InetAddress.c: Mark function arguments
	unused where necessary.
	(Java_java_net_InetAddress_getHostByName): New local int variable
	max_addresses.
	* native/jni/java-net/java_net_NetworkInterface.c: Mark function
	arguments unused where necessary.
	* native/jni/java-net/javanet.c (_javanet_set_int_field): Removed
	unused argument class.
	(_javanet_accept): Check result variable after it has been assigned.
	* native/jni/java-nio/gnu_java_nio_NIOServerSocket.c: Mark function
	arguments unused where necessary.
	* native/jni/java-nio/gnu_java_nio_VMPipe.c: Likewise.
	* native/jni/java-nio/gnu_java_nio_VMSelector.c: Likewise.
	* native/jni/java-nio/gnu_java_nio_VMSelector.c: Likewise.
	* native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c:
	Likewise.
	* native/jni/java-nio/java_nio_DirectByteBufferImpl.c: Likewise.
	* native/jni/java-nio/java_nio_MappedByteBufferImpl.c: Likewise.
	* native/jni/java-nio/java_nio_channels_Channels.c: Likewise.
	* native/jni/java-util/java_util_VMTimeZone.c (jint_to_charbuf):
	Mark as static function.
	(Java_java_util_VMTimeZone_getSystemTimeZoneId): Mark clazz argument
	as unused. Cast _timezone to long before use.
	* native/target/generic/target_generic_network.h: Remove asserts.
	
2004-10-25  Noa Resare  <noa@resare.com>

	* java/awt/Choice.java (add):
	Implement correct selection behavior when peer == null.
	(insert): Likewise.
	(remove): Likewise.

2004-10-25  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GtkChoicePeer.java (GtkChoicePeer):
	Call select() when Choice has a selected item.

2004-10-26  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/http/Connection.java
	(getOutputStream): Implicitely switch to POST method.

2004-10-25  Tom Tromey  <tromey@redhat.com>

	* gnu/java/text/WordBreakIterator.java (WordBreakIterator): Don't
	initialize `iter'.
	* gnu/java/text/SentenceBreakIterator.java
	(SentenceBreakIterator): Don't initialize `iter'.
	* gnu/java/text/LineBreakIterator.java (LineBreakIterator): Don't
	initialize `iter'.
	* gnu/java/text/CharacterBreakIterator.java
	(CharacterBreakIterator): Don't initialize `iter'.
	* gnu/java/text/BaseBreakIterator.java (BaseBreakIterator): New
	constructor.
	* java/text/BreakIterator.java: Updated documentation.

2004-10-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JMenuBar.java
	(updateUI): Simplified.
	* javax/swing/tree/DefaultTreeSelectionModel.java:
	Reorganized import statements.

2004-10-25  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(toString): Rename 'address' to 'addr'.

2004-10-25  Michael Koch  <konqueror@gmx.de>

	* java/awt/font/TextAttribute.java,
	javax/swing/JComponent.java,
	javax/swing/JInternalFrame.java,
	javax/swing/table/TableColumn.java,
	javax/swing/text/StyleConstants.java:
	Replaced "new Boolean(boolean)" with "Boolean.valueOf(boolean)".

2004-10-25  Michael Koch  <konqueror@gmx.de>

	* javax/security/auth/spi/package.html: New file.

2004-10-25  Michael Koch  <konqueror@gmx.de>

	* scripts/checkstyle.css,
	scripts/checkstyle2html.xsl:
	New files

2004-10-24  Casey Marshall  <csm@gnu.org>

	* gnu/java/security/action/GetSecurityPropertyAction.java: new file.
	* javax/security/auth/login/Configuration.java
	(getConfig): new method.
	* javax/security/auth/login/LoginContext.java: implemented.
	* javax/security/auth/spi/LoginModule.java: new file.

2004-10-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/DefaultTreeCellEditor.java,
	javax/swing/tree/DefaultTreeModel.java,
	javax/swing/tree/DefaultTreeSelectionModel.java:
	Jalopied.

2004-10-24  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/DefaultTreeCellEditor.java
	(EditorContainer.EditorContainer): Fixed arguments.
	(EditorContainer.EditorContainer): New method.
	(DefaultTextField.DefaultTextField): Fixed arguments, implemented.
	(DefaultTextField.getBorder): Implemented.
	(listenerList): New field.
	(addCellEditorListener): Implemented.
	(removeCellEditorListener): Implemented.
	(getCellEditorListeners): New method.
	* javax/swing/tree/DefaultTreeModel.java
	(addTreeModelListener): Fixed javadoc.
	(removeTreeModelListener): Likewise.
	(getTreeModelListeners): New method.
	(fireTreeNodesChanged): Implemented.
	(fireTreeNodesInserted): Likewise.
	(fireTreeNodesRemoved): Likewise.
	(fireTreeStructureChanged): Likewise.
	(getListeners): Fixed javadoc.
	* javax/swing/tree/DefaultTreeSelectionModel.java
	(addTreeSelectionListener): Implemented.
	(removeTreeSelectionListener): Likewise.
	(fireValueChanged): Likewise.
	(getListeners): Likewise.
	(addPropertyChangeListener): Likewise.
	(removePropertyChangeListener): Likewise.
	(getTreeSelectionListeners): New method.
	(getPropertyChangeListeners): Likewise.

2004-10-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(maximumThumbSize): Removed static keyword.
	(minimumThumbSize): Likewise.
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(CloseAction): Made public.
	(IconifyAction): Likewise.
	(MaximizeAction): Likewise.
	(MoveAction): Likewise.
	(RestoreAction): Likewise.
	(SizeAction): Likewise.
	(SystemMenuBar): Likewise.
	* javax/swing/plaf/basic/BasicSliderUI.java
	(TrackListener): Likewise.
	* javax/swing/plaf/basic/BasicSplitPaneUI.java
	(KeyboardDownRightHandler): Likewise.
	(KeyboardEndHandler): Likewise.
	(KeyboardHomeHandler): Likewise.
	(KeyboardResizeToggleHandler): Likewise.
	(KeyboardUpLeftHandler): Likewise.
	(PropertyHandler): Likewise.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(PropertyChangeHandler): Likewise.
	(TabSelectionHandler): Likewise.

2004-10-23  Michael Koch  <konqueror@gmx.de>

	* javax/print/DocFlavor.java,
	javax/print/attribute/standard/JobStateReason.java,
	javax/print/attribute/standard/MultipleDocumentHandling.java:
	Added missing constants.

2004-10-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/JTextComponent.java
	(getKeymap): Made public.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* java/lang/Character.java,
	scripts/unicode-blocks.pl:
	Reordered modifiers.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JEditorPane.java
	(getStream): Throws IOException.
	(read): Likewise.
	* javax/swing/JRootPane.java
	(createContentPane): Fixed return type.
	* javax/swing/JSpinner.java
	(commitEdit): Throws ParseException.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(serialVersionUID): New field.
	* javax/swing/table/TableColumn.java
	(resizedPostingDisableCount): Added @deprecated tag.
	(disableResizedPosting): Likewise.
	(enableResizedPosting): Likewise.
	* javax/swing/text/Document.java
	(TitleProperty): Fixed value.
	* javax/swing/tree/TreeCellEditor.java
	(TreeCellEditor): Extends CellEditor.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* scripts/checkstyle-config.xml: Uncomment checks for modifiers.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* java/lang/Class.java,
	java/lang/StringBuffer.java,
	java/lang/Throwable.java,
	java/security/spec/DSAParameterSpec.java,
	java/util/Currency.java,
	java/util/ResourceBundle.java,
	java/util/zip/DeflaterConstants.java,
	java/util/zip/DeflaterEngine.java,
	java/util/zip/DeflaterHuffman.java,
	java/util/zip/GZIPInputStream.java,
	java/util/zip/InflaterHuffmanTree.java,
	java/util/zip/OutputWindow.java,
	java/util/zip/ZipEntry.java,
	java/util/zip/ZipFile.java,
	java/util/zip/ZipInputStream.java,
	java/util/zip/ZipOutputStream.java:
	Removed redundant and reordered modifiers.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JWindow.java
	javax/swing/SpinnerModel.java
	javax/swing/Timer.java
	javax/swing/event/MenuKeyEvent.java
	javax/swing/plaf/basic/BasicButtonUI.java
	javax/swing/plaf/basic/BasicIconFactory.java
	javax/swing/plaf/basic/BasicTabbedPaneUI.java
	javax/swing/text/AttributeSet.java
	javax/swing/text/Highlighter.java
	javax/swing/text/StyleConstants.java
	javax/swing/tree/TreeCellEditor.java:
	Removed redundant and reordered modifiers.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* java/lang/Math.java,
	java/lang/StackTraceElement.java,
	java/nio/Buffer.java,
	java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/ShortBuffer.java,
	java/nio/charset/Charset.java,
	java/rmi/server/RMIClassLoader.java,
	java/rmi/server/RMISocketFactory.java,
	java/security/Policy.java,
	java/text/ChoiceFormat.java,
	java/text/CollationElementIterator.java,
	java/text/DateFormat.java,
	java/text/DecimalFormat.java,
	java/text/DecimalFormatSymbols.java,
	java/text/MessageFormat.java,
	java/text/NumberFormat.java,
	java/text/RuleBasedCollator.java,
	java/text/SimpleDateFormat.java,
	java/util/BitSet.java,
	java/util/Calendar.java,
	java/util/Collections.java,
	java/util/IdentityHashMap.java,
	java/util/Locale.java,
	java/util/TreeMap.java,
	java/util/logging/LogRecord.java,
	java/util/logging/XMLFormatter.java,
	java/util/prefs/AbstractPreferences.java,
	java/util/prefs/Preferences.java,
	javax/crypto/interfaces/DHPrivateKey.java,
	javax/crypto/interfaces/DHPublicKey.java,
	javax/crypto/interfaces/PBEKey.java,
	javax/net/ssl/HandshakeCompletedEvent.java,
	javax/security/auth/Subject.java:
	Removed redundant and reordered modifiers.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicToolTipUI.java:
	Reformatted copyright header.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractAction.java,
	javax/swing/AbstractButton.java,
	javax/swing/AbstractCellEditor.java,
	javax/swing/AbstractListModel.java,
	javax/swing/AbstractSpinnerModel.java,
	javax/swing/ActionMap.java,
	javax/swing/BorderFactory.java,
	javax/swing/Box.java,
	javax/swing/ButtonModel.java,
	javax/swing/CellEditor.java,
	javax/swing/CellRendererPane.java,
	javax/swing/DefaultBoundedRangeModel.java,
	javax/swing/DefaultButtonModel.java,
	javax/swing/DefaultCellEditor.java,
	javax/swing/DefaultDesktopManager.java,
	javax/swing/DefaultListCellRenderer.java,
	javax/swing/DefaultListSelectionModel.java,
	javax/swing/DefaultSingleSelectionModel.java,
	javax/swing/GrayFilter.java,
	javax/swing/InputMap.java,
	javax/swing/JApplet.java,
	javax/swing/JCheckBoxMenuItem.java,
	javax/swing/JColorChooser.java,
	javax/swing/JComboBox.java,
	javax/swing/JComponent.java,
	javax/swing/JDesktopPane.java,
	javax/swing/JDialog.java,
	javax/swing/JEditorPane.java,
	javax/swing/JFileChooser.java,
	javax/swing/JFormattedTextField.java,
	javax/swing/JFrame.java,
	javax/swing/JInternalFrame.java,
	javax/swing/JLabel.java,
	javax/swing/JLayeredPane.java,
	javax/swing/JList.java,
	javax/swing/JMenu.java,
	javax/swing/JMenuBar.java,
	javax/swing/JMenuItem.java,
	javax/swing/JOptionPane.java,
	javax/swing/JPanel.java,
	javax/swing/JPasswordField.java,
	javax/swing/JPopupMenu.java,
	javax/swing/JRadioButtonMenuItem.java,
	javax/swing/JRootPane.java,
	javax/swing/JSpinner.java,
	javax/swing/JSplitPane.java,
	javax/swing/JTabbedPane.java,
	javax/swing/JTable.java,
	javax/swing/JTextArea.java,
	javax/swing/JTextPane.java,
	javax/swing/JToggleButton.java,
	javax/swing/JToolBar.java,
	javax/swing/JToolTip.java,
	javax/swing/JTree.java,
	javax/swing/JViewport.java,
	javax/swing/ListModel.java,
	javax/swing/LookAndFeel.java,
	javax/swing/MenuSelectionManager.java,
	javax/swing/ProgressMonitorInputStream.java,
	javax/swing/RepaintManager.java,
	javax/swing/RootPaneContainer.java,
	javax/swing/ScrollPaneLayout.java,
	javax/swing/SpringLayout.java,
	javax/swing/SwingUtilities.java,
	javax/swing/Timer.java,
	javax/swing/ToolTipManager.java,
	javax/swing/UIDefaults.java,
	javax/swing/UIManager.java,
	javax/swing/border/MatteBorder.java,
	javax/swing/colorchooser/AbstractColorChooserPanel.java,
	javax/swing/colorchooser/ColorSelectionModel.java,
	javax/swing/colorchooser/DefaultColorSelectionModel.java,
	javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	javax/swing/colorchooser/DefaultPreviewPanel.java,
	javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	javax/swing/event/AncestorEvent.java,
	javax/swing/event/HyperlinkEvent.java,
	javax/swing/event/InternalFrameEvent.java,
	javax/swing/event/MenuDragMouseEvent.java,
	javax/swing/event/TableColumnModelEvent.java,
	javax/swing/event/TableModelEvent.java,
	javax/swing/event/TreeExpansionEvent.java,
	javax/swing/event/TreeModelEvent.java,
	javax/swing/event/TreeSelectionEvent.java,
	javax/swing/event/TreeWillExpandListener.java,
	javax/swing/event/UndoableEditEvent.java,
	javax/swing/filechooser/FileView.java,
	javax/swing/plaf/BorderUIResource.java,
	javax/swing/plaf/ComponentUI.java,
	javax/swing/plaf/FileChooserUI.java,
	javax/swing/plaf/IconUIResource.java,
	javax/swing/plaf/ListUI.java,
	javax/swing/plaf/PopupMenuUI.java,
	javax/swing/plaf/SplitPaneUI.java,
	javax/swing/plaf/TabbedPaneUI.java,
	javax/swing/plaf/TextUI.java,
	javax/swing/plaf/TreeUI.java,
	javax/swing/plaf/basic/BasicArrowButton.java,
	javax/swing/plaf/basic/BasicBorders.java,
	javax/swing/plaf/basic/BasicButtonUI.java,
	javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	javax/swing/plaf/basic/BasicColorChooserUI.java,
	javax/swing/plaf/basic/BasicComboBoxEditor.java,
	javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	javax/swing/plaf/basic/BasicComboBoxUI.java,
	javax/swing/plaf/basic/BasicComboPopup.java,
	javax/swing/plaf/basic/BasicDesktopIconUI.java,
	javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	javax/swing/plaf/basic/BasicIconFactory.java,
	javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	javax/swing/plaf/basic/BasicInternalFrameUI.java,
	javax/swing/plaf/basic/BasicListUI.java,
	javax/swing/plaf/basic/BasicLookAndFeel.java,
	javax/swing/plaf/basic/BasicMenuBarUI.java,
	javax/swing/plaf/basic/BasicMenuItemUI.java,
	javax/swing/plaf/basic/BasicMenuUI.java,
	javax/swing/plaf/basic/BasicOptionPaneUI.java,
	javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
	javax/swing/plaf/basic/BasicPopupMenuUI.java,
	javax/swing/plaf/basic/BasicProgressBarUI.java,
	javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	javax/swing/plaf/basic/BasicRootPaneUI.java,
	javax/swing/plaf/basic/BasicScrollBarUI.java,
	javax/swing/plaf/basic/BasicSeparatorUI.java,
	javax/swing/plaf/basic/BasicSliderUI.java,
	javax/swing/plaf/basic/BasicSpinnerUI.java,
	javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	javax/swing/plaf/basic/BasicSplitPaneUI.java,
	javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	javax/swing/plaf/basic/BasicTableHeaderUI.java,
	javax/swing/plaf/basic/BasicTableUI.java,
	javax/swing/plaf/basic/BasicTextAreaUI.java,
	javax/swing/plaf/basic/BasicTextFieldUI.java,
	javax/swing/plaf/basic/BasicTextUI.java,
	javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
	javax/swing/plaf/basic/BasicToolBarUI.java,
	javax/swing/plaf/basic/BasicToolTipUI.java,
	javax/swing/plaf/basic/BasicTreeUI.java,
	javax/swing/plaf/basic/BasicViewportUI.java,
	javax/swing/plaf/basic/ComboPopup.java,
	javax/swing/table/AbstractTableModel.java,
	javax/swing/table/DefaultTableCellRenderer.java,
	javax/swing/table/DefaultTableColumnModel.java,
	javax/swing/table/DefaultTableModel.java,
	javax/swing/table/JTableHeader.java,
	javax/swing/table/TableCellEditor.java,
	javax/swing/table/TableCellRenderer.java,
	javax/swing/table/TableColumn.java,
	javax/swing/table/TableColumnModel.java,
	javax/swing/text/AbstractDocument.java,
	javax/swing/text/Caret.java,
	javax/swing/text/DefaultCaret.java,
	javax/swing/text/DefaultEditorKit.java,
	javax/swing/text/DefaultHighlighter.java,
	javax/swing/text/EditorKit.java,
	javax/swing/text/JTextComponent.java,
	javax/swing/text/LayeredHighlighter.java,
	javax/swing/text/PasswordView.java,
	javax/swing/text/SimpleAttributeSet.java,
	javax/swing/text/StyleConstants.java,
	javax/swing/text/StyleContext.java,
	javax/swing/text/StyledEditorKit.java,
	javax/swing/text/TextAction.java,
	javax/swing/text/View.java,
	javax/swing/tree/AbstractLayoutCache.java,
	javax/swing/tree/DefaultTreeCellRenderer.java,
	javax/swing/tree/DefaultTreeModel.java,
	javax/swing/tree/DefaultTreeSelectionModel.java,
	javax/swing/tree/FixedHeightLayoutCache.java,
	javax/swing/tree/TreeCellRenderer.java,
	javax/swing/tree/TreeSelectionModel.java,
	javax/swing/tree/VariableHeightLayoutCache.java,
	javax/swing/undo/AbstractUndoableEdit.java,
	javax/swing/undo/UndoableEditSupport.java:
	Imports cleaned up.

2004-10-22  Andreas Tobler  <a.tobler@schweiz.ch>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c:
	New File.
	(nativeGetNumFontsFamilies) New function.
	(nativeGetFontFamilies) Likewise.
	* gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java
	(getAvailableFontFamilyNames): Implement.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h:
	New file.
	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	include/gnu_java_awt_peer_gtk_GtkLabelPeer.h: Regenerated,
	* include/Makefile.am:
	Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h.
	* native/jni/gtk-peer/Makefile.am:
	Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c.

2004-10-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/ClasspathFontPeer.java
	(setStandardAttributes(String,Map)): If size attribute doesn't
	exist, default to size 12.  Clamp size value to a minimum of 1.

2004-10-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java
	(getLabel): Added @deprecated tag.
	(setLabel): Likewise.
	* javax/swing/FocusManager.java
	(disableSwingFocusManager): Likewise.
	(isFocusManagerEnabled): Likewise.
	* javax/swing/JComponent.java
	(isManagingFocus): Added version to @deprecated tag.
	(getNextFocusableComponent): Moved @deprecated tag to bottom of
	javadoc.
	(getConditionForKeyStroke): Likewise.
	(getActionForKeyStroke): Likewise.
	* javax/swing/JDesktopPane.java
	(LIVE_DRAG_MODE): Added @specnote tag.
	(OUTLINE_DRAG_MODE): Likewise.
	* javax/swing/JInternalFrame.java
	(MENU_BAR_PROPERTY): Fixed value.
	(getMenuBar): Added @deprecated tag.
	(setMenuBar): Likewise.
	* javax/swing/JViewport.java
	(isBackingStoreEnabled): Likewise.
	(setBackingStoreEnabled): Likewise.
	* javax/swing/plaf/basic/BasicDesktopPaneUI.java
	(closeKey): Likewise.
	(maximizeKey): Likewise.
	(minimizeKey): Likewise.
	(navigateKey): Likewise.
	(navigateKey2): Likewise.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(openMenuKey): Likewise.
	* javax/swing/plaf/basic/BasicSplitPaneUI.java
	(keyboardDownRightListener): Likewise.
	(keyboardEndListener): Likewise.
	(keyboardHomeListener): Likewise.
	(keyboardResizeToggleListener): Likewise.
	(keyboardUpLeftListener): Likewise.
	(dividerResizeToggleKey): Likewise.
	(downKey): Likewise.
	(endKey): Likewise.
	(homeKey): Likewise.
	(leftKey): Likewise.
	(rightKey): Likewise.
	(upKey): Likewise.
	(createKeyboardUpLeftListener): Likewise.
	(createKeyboardDownRightListener): Likewise.
	(createKeyboardHomeListener): Likewise.
	(createKeyboardEndListener): Likewise.
	(createKeyboardResizeToggleListener): Likewise.
	(getDividerBorderSize): Likewise.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(downKey): Likewise.
	(leftKey): Likewise.
	(rightKey): Likewise.
	(upKey): Likewise.

2004-10-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Date.java
	Added missing documentation.
	

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* java/awt/Container.java,
	java/awt/Font.java,
	java/awt/font/TextLayout.java,
	java/lang/ClassLoader.java,
	java/lang/Process.java,
	java/lang/System.java,
	java/util/zip/CheckedInputStream.java,
	java/util/zip/InflaterInputStream.java,
	java/util/zip/ZipFile.java,
	java/util/zip/ZipInputStream.java:
	Import cleanups.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* java/net/NetworkInterface.java,
	java/text/Format.java,
	javax/security/auth/x500/X500Principal.java,
	javax/security/auth/x500/X500PrivateCredential.java,
	javax/security/cert/X509CertBridge.java,
	javax/security/sasl/Sasl.java,
	javax/sql/XAConnection.java:
	Import cleanup.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* javax/net/ssl/HandshakeCompletedEvent.java,
	javax/net/ssl/KeyManagerFactory.java,
	javax/net/ssl/SSLContext.java,
	javax/net/ssl/SSLServerSocketFactory.java,
	javax/net/ssl/SSLSession.java,
	javax/net/ssl/SSLSocketFactory.java,
	javax/net/ssl/TrustManagerFactory.java:
	Import cleanup.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* javax/naming/directory/BasicAttribute.java,
	javax/naming/directory/BasicAttributes.java,
	javax/naming/directory/InitialDirContext.java,
	javax/naming/event/NamingEvent.java,
	javax/naming/ldap/ControlFactory.java,
	javax/naming/ldap/ExtendedRequest.java,
	javax/naming/ldap/InitialLdapContext.java,
	javax/naming/ldap/LdapReferralException.java,
	javax/naming/spi/DirObjectFactory.java,
	javax/naming/spi/DirStateFactory.java,
	javax/naming/spi/DirectoryManager.java,
	javax/naming/spi/InitialContextFactory.java,
	javax/naming/spi/InitialContextFactoryBuilder.java,
	javax/naming/spi/NamingManager.java,
	javax/naming/spi/ObjectFactory.java,
	javax/naming/spi/ObjectFactoryBuilder.java,
	javax/naming/spi/StateFactory.java:
	Import cleanup.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/event/IIOReadProgressListener.java,
	javax/imageio/event/IIOReadUpdateListener.java,
	javax/imageio/event/IIOReadWarningListener.java,
	javax/imageio/event/IIOWriteProgressListener.java,
	javax/imageio/event/IIOWriteWarningListener.java,
	javax/imageio/metadata/IIOMetadataFormat.java,
	javax/imageio/stream/FileCacheImageInputStream.java,
	javax/imageio/stream/FileCacheImageOutputStream.java,
	javax/imageio/stream/ImageInputStreamImpl.java:
	Import cleanup.
	* javax/imageio/metadata/package.html: New file.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* javax/crypto/Cipher.java,
	javax/crypto/EncryptedPrivateKeyInfo.java,
	javax/crypto/ExemptionMechanism.java,
	javax/crypto/KeyAgreement.java,
	javax/crypto/KeyGenerator.java,
	javax/crypto/Mac.java,
	javax/crypto/SecretKeyFactory.java,
	javax/crypto/SecretKeyFactorySpi.java,
	javax/crypto/spec/SecretKeySpec.java:
	Import cleanup.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* java/security/AlgorithmParameterGenerator.java,
	java/security/AlgorithmParameters.java,
	java/security/AlgorithmParametersSpi.java,
	java/security/AllPermission.java,
	java/security/BasicPermission.java,
	java/security/Certificate.java,
	java/security/CodeSource.java,
	java/security/DigestInputStream.java,
	java/security/DigestOutputStream.java,
	java/security/GuardedObject.java,
	java/security/KeyFactory.java,
	java/security/KeyFactorySpi.java,
	java/security/KeyPairGenerator.java,
	java/security/KeyStore.java,
	java/security/KeyStoreSpi.java,
	java/security/Permissions.java,
	java/security/Security.java,
	java/security/Signature.java,
	java/security/UnresolvedPermission.java,
	java/security/cert/CertPathBuilder.java,
	java/security/cert/CertPathValidator.java,
	java/security/cert/CertStore.java,
	java/security/cert/Certificate.java,
	java/security/cert/CertificateFactory.java,
	java/security/cert/PolicyQualifierInfo.java,
	java/security/cert/TrustAnchor.java,
	java/security/cert/X509CRL.java,
	java/security/cert/X509CRLSelector.java,
	java/security/cert/X509CertSelector.java:
	Import cleanup.

2004-10-21  Michael Koch  <konqueror@gmx.de>

	* java/rmi/MarshalledObject.java,
	java/rmi/Naming.java,
	java/rmi/activation/Activatable.java,
	java/rmi/activation/ActivationGroup.java,
	java/rmi/activation/ActivationGroupDesc.java,
	java/rmi/activation/ActivationInstantiator.java,
	java/rmi/activation/ActivationMonitor.java,
	java/rmi/activation/ActivationSystem.java,
	java/rmi/activation/Activator.java,
	java/rmi/registry/LocateRegistry.java,
	java/rmi/registry/Registry.java,
	java/rmi/server/LogStream.java,
	java/rmi/server/ObjID.java,
	java/rmi/server/RMIClientSocketFactory.java,
	java/rmi/server/RMIServerSocketFactory.java,
	java/rmi/server/RMISocketFactory.java,
	java/rmi/server/RemoteCall.java,
	java/rmi/server/RemoteServer.java,
	java/rmi/server/ServerRef.java,
	java/rmi/server/UID.java,
	java/rmi/server/UnicastRemoteObject.java:
	Import cleanup.

2004-10-21  Steven Augart  <augart@watson.ibm.com>

	* autogen.sh: Invoke $ACLOCAL with the flag "-I .".

2004-10-20  Andrew John Hughes <gnu_andrew@member.fsf.org>

	* java/util/Currency.java
	Documented variables and methods more fully.
	Caches the currency instances, so that a request
	for a locale, l, only ever returns the same
	instance (i.e. successive calls to getInstance(l)
	are reference equivalent (==)).
	
2004-10-20  Andrew John Hughes <gnu_andrew@member.fsf.org>

	* java/util/Collections.java
	Added documentation.
	* java/util/SortedMap.java
	Clarified some method examples.
	* java/util/SortedSet.java
	Clarified some method examples.
	
2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/print/attribute/standard/ColorSupported.java,
	javax/print/attribute/standard/Compression.java,
	javax/print/attribute/standard/Copies.java,
	javax/print/attribute/standard/CopiesSupported.java,
	javax/print/attribute/standard/DateTimeAtCompleted.java,
	javax/print/attribute/standard/DateTimeAtCreation.java,
	javax/print/attribute/standard/DateTimeAtProcessing.java,
	javax/print/attribute/standard/DocumentName.java,
	javax/print/attribute/standard/Fidelity.java,
	javax/print/attribute/standard/Finishings.java,
	javax/print/attribute/standard/JobHoldUntil.java,
	javax/print/attribute/standard/JobImpressions.java,
	javax/print/attribute/standard/JobImpressionsCompleted.java,
	javax/print/attribute/standard/JobImpressionsSupported.java,
	javax/print/attribute/standard/JobKOctets.java,
	javax/print/attribute/standard/JobKOctetsProcessed.java,
	javax/print/attribute/standard/JobKOctetsSupported.java,
	javax/print/attribute/standard/JobMediaSheets.java,
	javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	javax/print/attribute/standard/JobMediaSheetsSupported.java,
	javax/print/attribute/standard/JobMessageFromOperator.java,
	javax/print/attribute/standard/JobName.java,
	javax/print/attribute/standard/JobOriginatingUserName.java,
	javax/print/attribute/standard/JobPriority.java,
	javax/print/attribute/standard/JobPrioritySupported.java,
	javax/print/attribute/standard/JobSheets.java,
	javax/print/attribute/standard/JobState.java,
	javax/print/attribute/standard/JobStateReason.java,
	javax/print/attribute/standard/JobStateReasons.java,
	javax/print/attribute/standard/Media.java,
	javax/print/attribute/standard/MultipleDocumentHandling.java,
	javax/print/attribute/standard/NumberOfDocuments.java,
	javax/print/attribute/standard/NumberOfInterveningJobs.java,
	javax/print/attribute/standard/NumberUp.java,
	javax/print/attribute/standard/NumberUpSupported.java,
	javax/print/attribute/standard/OrientationRequested.java,
	javax/print/attribute/standard/OutputDeviceAssigned.java,
	javax/print/attribute/standard/PDLOverrideSupported.java,
	javax/print/attribute/standard/PageRanges.java,
	javax/print/attribute/standard/PagesPerMinute.java,
	javax/print/attribute/standard/PagesPerMinuteColor.java,
	javax/print/attribute/standard/PrintQuality.java,
	javax/print/attribute/standard/PrinterInfo.java,
	javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	javax/print/attribute/standard/PrinterLocation.java,
	javax/print/attribute/standard/PrinterMakeAndModel.java,
	javax/print/attribute/standard/PrinterMessageFromOperator.java,
	javax/print/attribute/standard/PrinterMoreInfo.java,
	javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	javax/print/attribute/standard/PrinterName.java,
	javax/print/attribute/standard/PrinterStateReason.java,
	javax/print/attribute/standard/PrinterStateReasons.java,
	javax/print/attribute/standard/PrinterURI.java,
	javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	javax/print/attribute/standard/RequestingUserName.java:
	Reorganized imports and removed redundant final modifiers.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/spi/ImageReaderSpi.java
	(isOwnReader): New method.
	* javax/imageio/spi/ImageWriterSpi.java
	(isOwnWriter): Likewise.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/security/sasl/SaslClient.java,
	javax/security/sasl/SaslClientFactory.java,
	javax/security/sasl/SaslException.java,
	javax/security/sasl/SaslServer.java,
	javax/security/sasl/SaslServerFactory.java:
	Remvoed CVS tags.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/security/auth/login/NullConfiguration.java,
	javax/security/auth/x500/X500Principal.java,
	javax/security/cert/X509Certificate.java,
	javax/security/sasl/AuthenticationException.java,
	javax/security/sasl/AuthorizeCallback.java,
	javax/security/sasl/RealmCallback.java,
	javax/security/sasl/RealmChoiceCallback.java,
	javax/security/sasl/Sasl.java,
	javax/security/sasl/SaslClient.java,
	javax/security/sasl/SaslClientFactory.java,
	javax/security/sasl/SaslException.java,
	javax/security/sasl/SaslServer.java,
	javax/security/sasl/SaslServerFactory.java:
	Cleaned up import statements and copyright notices.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageWriter.java
	(convertImageMetadata): New abstract method.
	(convertStreamMetadata): Likewise.
	(write): Likewise.
	* javax/imageio/stream/FileCacheImageInputStream.java
	(close): Fixed setting of stream to null.
	(checkStreamClosed): Throws IOException.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/rmi/rmic/RMIC.java: Reformatted.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/FileCacheImageInputStream.java,
	javax/imageio/stream/FileCacheImageOutputStream.java,
	javax/imageio/stream/FileImageInputStream.java,
	javax/imageio/stream/FileImageOutputStream.java,
	javax/imageio/stream/MemoryCacheImageInputStream.java,
	javax/imageio/stream/MemoryCacheImageOutputStream.java:
	New files.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* java/io/File.java:
	Fixed @author tag to be HTML compatible.
	* java/sql/Timestamp.java,
	java/text/AttributedCharacterIterator.java,
	java/text/AttributedString.java,
	java/util/zip/CheckedOutputStream.java,
	java/util/zip/DeflaterOutputStream.java,
	java/util/zip/GZIPInputStream.java,
	java/util/zip/ZipFile.java,
	javax/crypto/Cipher.java,
	javax/crypto/ExemptionMechanismException.java,
	javax/crypto/SecretKey.java,
	javax/crypto/SecretKeyFactory.java,
	javax/naming/directory/ModificationItem.java,
	javax/naming/directory/SearchControls.java,
	javax/naming/event/NamingListener.java,
	javax/naming/ldap/Control.java,
	javax/naming/ldap/ExtendedResponse.java,
	javax/net/ssl/SSLSocketFactory.java:
	Reorganized imports and fixed copyright headers.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* java/util/logging/ConsoleHandler.java,
	java/util/logging/ErrorManager.java,
	java/util/logging/FileHandler.java,
	java/util/logging/Filter.java,
	java/util/logging/Formatter.java,
	java/util/logging/Handler.java,
	java/util/logging/Level.java,
	java/util/logging/LogManager.java,
	java/util/logging/LogRecord.java,
	java/util/logging/Logger.java,
	java/util/logging/LoggingPermission.java,
	java/util/logging/MemoryHandler.java,
	java/util/logging/SimpleFormatter.java,
	java/util/logging/SocketHandler.java,
	java/util/logging/StreamHandler.java,
	java/util/logging/XMLFormatter.java:
	Standardized copyrigth header.

2004-10-20  Michael Koch  <konqueror@gmx.de>

	* java/security/AlgorithmParameterGenerator.java,
	java/security/AlgorithmParameters.java,
	java/security/DigestInputStream.java,
	java/security/Identity.java,
	java/security/KeyFactory.java,
	java/security/KeyPairGenerator.java,
	java/security/KeyStore.java,
	java/security/MessageDigest.java,
	java/security/MessageDigestSpi.java,
	java/security/Policy.java,
	java/security/SecureRandom.java,
	java/security/Security.java,
	java/security/Signature.java,
	java/security/SignatureSpi.java,
	java/security/cert/CertPathBuilder.java,
	java/security/cert/CertPathValidator.java,
	java/security/cert/CertStore.java,
	java/security/cert/Certificate.java,
	java/security/cert/CertificateFactory.java,
	java/security/cert/PolicyQualifierInfo.java,
	java/security/cert/TrustAnchor.java,
	java/security/cert/X509CRL.java,
	java/security/cert/X509CRLEntry.java,
	java/security/cert/X509Certificate.java,
	java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java:
	Import statements reorganized, some little formatting issues,
	used java-style array declarations, added comments in empty catch
	blocks.

2004-10-19  Jeroen Frijters  <jeroen@frijters.net>

	* vm/reference/java/lang/VMClassLoader.java: Added imports
	that I forgot in the previous commit.

2004-10-18  Michael Koch  <konqueror@gmx.de>

	* java/text/RuleBasedCollator.java:
	Reorganized import statements.

2004-10-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/security/provider/DSAParameters.java:
	Fixed copyright years.

2004-10-17  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/ClassLoader.java
	(getExtClassLoaderUrls): New method.
	(getSystemClassLoaderUrls): New method.
	(defaultGetSystemClassLoader): New method.
	(getSystemProperty): New method.
	* vm/reference/java/lang/VMClassLoader.java
	(getResource): Changed to provide default implementation.
	(getResources): Likewise.
	(getSystemClassLoader): Removed broken default implementation
	and changed to call ClassLoader.defaultGetSystemClassLoader.

2004-10-17  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Calendar.java
	(setTimeInMillis): Added call to clear, removed computeFields call.
	* java/util/Date.java
	(Date(int,int,int,int,int,int)): Removed workaround for
	GregorianCalendar bug.
	* java/util/GregorianCalendar.java
	(GregorianCalendar): Chained all constructors to a (new)
	common constructor.
	(computeTime): Fixed support for lenient month treatment.
	(getLinearDay): Return long instead of int.
	(calculateDay): Added fields argument and changed day argument
	to long.

2004-10-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(setNativeBounds): Set GtkEventBox, GtkButton and GtkLabel size
	requests.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(setNativeBounds): Make package private.  Set size request even
	if GTK parent is NULL.
	* gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c
	(setNativeBounds): Set GtkEventBox and GtkLabel size requests.

2004-10-16  Michael Koch  <konqueror@gmx.de>

	* vm/reference/java/lang/reflect/Method.java
	(toString): Fix names of arguments.
	(getUserTypeName): New Method.

2004-10-16  Michael Koch  <konqueror@gmx.de>

	* autogen.sh: Fixed check for AUTOGEN_SUBDIR_MODE.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/rmi/activation/ActivationSystem.java
	(SYSTEM_PORT): Initialize with correct port number.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/rmi/server/RemoteRef.java
	(serialVersionUID): Revert latest change to it.
	* java/rmi/server/ServerRef.java
	(serialVersionUID): Revert latest change to it.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java
	(InetAddress): Don't initialize address field. Its only used during
	serialization.
	(toString): Simplified.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/rmi/MarshalledObject.java,
	java/rmi/Naming.java,
	java/rmi/RMISecurityManager.java,
	java/rmi/Remote.java,
	java/rmi/activation/Activatable.java,
	java/rmi/activation/ActivationDesc.java,
	java/rmi/activation/ActivationGroup.java,
	java/rmi/activation/ActivationGroupDesc.java,
	java/rmi/activation/ActivationGroupID.java,
	java/rmi/activation/ActivationID.java,
	java/rmi/activation/ActivationInstantiator.java,
	java/rmi/activation/ActivationMonitor.java,
	java/rmi/activation/ActivationSystem.java,
	java/rmi/activation/Activator.java,
	java/rmi/dgc/DGC.java,
	java/rmi/dgc/Lease.java,
	java/rmi/dgc/VMID.java,
	java/rmi/registry/LocateRegistry.java,
	java/rmi/registry/Registry.java,
	java/rmi/registry/RegistryHandler.java,
	java/rmi/server/LoaderHandler.java,
	java/rmi/server/LogStream.java,
	java/rmi/server/ObjID.java,
	java/rmi/server/Operation.java,
	java/rmi/server/RMIClassLoader.java,
	java/rmi/server/RMIClassLoaderSpi.java,
	java/rmi/server/RMIClientSocketFactory.java,
	java/rmi/server/RMIFailureHandler.java,
	java/rmi/server/RMIServerSocketFactory.java,
	java/rmi/server/RMISocketFactory.java,
	java/rmi/server/RemoteCall.java,
	java/rmi/server/RemoteObject.java,
	java/rmi/server/RemoteRef.java,
	java/rmi/server/RemoteServer.java,
	java/rmi/server/RemoteStub.java,
	java/rmi/server/ServerRef.java,
	java/rmi/server/Skeleton.java,
	java/rmi/server/SkeletonMismatchException.java,
	java/rmi/server/UID.java,
	java/rmi/server/UnicastRemoteObject.java,
	java/rmi/server/Unreferenced.java:
	Fixed file headers and import statements.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/net/HttpURLConnection.java: Removed redundant parenthesis.
	* java/net/MimeTypeMapper.java: Reformatted.
	* java/net/NetworkInterface.java: Added comment to empty catch block.
	* java/net/PasswordAuthentication.java: Reformatted.
	* java/net/ServerSocket.java: Added comment to empty catch block.
	* java/net/Socket.java: Reworked import statements.
	* java/net/SocketPermission.java: Removed redundant parenthesis.
	* java/net/URI.java: Removed redundant parenthesis.
	* java/net/URL.java: Reworked import statements.
	* java/net/URLStreamHandler.java: Removed redundant semicolon.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/net/Inet4Address.java
	(writeReplace): Use two-argument constructor of InetAddress.
	(Inet4Address): Remove unused constructors. Use two-argument
	constructor of InetAddress in remaining constructor.
	* java/net/Inet6Address.java
	(Inet6Address): Use two-argument constructor of InetAddress.
	* java/net/InetAddress.java
	(LOCALHOST): New static field to store object for localhost.
	(static): Initialize LOCALHOST.
	(hostname_alias): Removed.
	(InetAdress): Removed hostname_alias argument.
	(getHostName): Don't handle alias anymore.
	(getCanonicalHostName): New method.
	(toString): Don't handle alias anymore.
	(getByName): Simply call getAllByName() and return its first result
	entry.
	(getAllByName): Handle null argument properly.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/charset/UTF_16Encoder.java
	(UTF_16Encoder): Fixed maxBytesPerChar handling.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/lang/Object.java (equals): Rename 'o' to 'obj'.
	* java/lang/Runtime.java, java/lang/Thread.java,
	java/lang/ThreadLocal.java, java/lang/Void.java:
	Improved javadocs to be valid XHTML.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/lang/reflect/Proxy.java: Improved javadocs.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/lang/reflect/AccessibleObject.java
	(checkPermission): Removed redundant final modifier.
	(secureSetAccessible): Likewise.
	* java/lang/reflect/Proxy.java:
	Reworked import statements.
	(generate): Removed redundant final modifier.
	* java/lang/reflect/ReflectPermission.java:
	Reorder package declaration and import statement.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* java/nio/ByteOrder.java,
	java/nio/MappedByteBuffer.java,
	java/nio/MappedByteBufferImpl.java,
	java/nio/channels/Channels.java,
	java/nio/channels/spi/SelectorProvider.java,
	java/nio/charset/Charset.java:
	Cleanup.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* configure.ac: Removed CNI "support".
	* native/Makefile.am (SUBDIRS): Don't compile cni subdir
	* native/cni/.cvsignore, native/cni/Makefile.am: Removed.

2004-10-15  Michael Koch  <konqueror@gmx.de>

	* autogen.sh: Replaced with a GNOME-like script that aborts when the
	versions of autoconf, automake or libtool are not sufficient.


2004-10-14  Tom Tromey  <tromey@redhat.com>

	* java/lang/StringBuilder.java (append): Typo fix; indentation
	fix.
	* java/beans/BeanDescriptor.java (BeanDescriptor): Typo fix.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/ByteLookupTable.java
	(ByteLookupTable) :Fixed HTML entities in javadocs.
	(lookupPixel): Fix case when dst is null.
	* java/awt/image/ShortLookupTable.java
	(ShortLookupTable) :Fixed HTML entities in javadocs.
	(lookupPixel): Fix case when dst is null.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/BitwiseXORComposite.java,
	gnu/java/awt/ClasspathToolkit.java,
	gnu/java/awt/image/XBMDecoder.java,
	gnu/java/awt/peer/GLightweightPeer.java,
	gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	gnu/java/io/EncodingManager.java,
	gnu/java/net/PlainDatagramSocketImpl.java,
	gnu/java/net/protocol/http/Connection.java,
	gnu/java/nio/NIODatagramSocket.java,
	gnu/java/nio/ServerSocketChannelImpl.java,
	gnu/java/nio/charset/UTF_16.java,
	gnu/java/nio/charset/UTF_16BE.java,
	gnu/java/nio/charset/UTF_16LE.java,
	gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	gnu/java/rmi/rmic/RMIC.java,
	gnu/java/rmi/server/RMIHashes.java,
	gnu/java/rmi/server/RMIObjectInputStream.java,
	gnu/java/rmi/server/RMIObjectOutputStream.java,
	gnu/java/rmi/server/UnicastConnection.java,
	gnu/java/rmi/server/UnicastConnectionManager.java,
	gnu/java/rmi/server/UnicastRemoteCall.java,
	gnu/java/rmi/server/UnicastServer.java,
	gnu/java/rmi/server/UnicastServerRef.java,
	gnu/java/security/OID.java,
	gnu/java/security/provider/DSAParameters.java,
	gnu/java/security/provider/DSASignature.java,
	gnu/java/security/x509/X500DistinguishedName.java,
	gnu/java/security/x509/X509CRL.java,
	gnu/javax/rmi/CORBA/DelegateFactory.java,
	gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	gnu/javax/rmi/PortableServer.java:
	Reorganized import statements.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* gnu/java/beans/ExplicitBeanInfo.java:
	Explicitely import java.awt.Image.
	(getIcon): Fixed off-by-one error.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/DataBufferByte.java,
	java/awt/image/DataBufferDouble.java,
	java/awt/image/DataBufferFloat.java,
	java/awt/image/DataBufferInt.java,
	java/awt/image/DataBufferShort.java,
	java/awt/image/DataBufferUShort.java:
	Fix initialization of bankData in constructors.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* java/net/BindException.java, java/net/ConnectException.java,
	java/net/ContentHandler.java, java/net/ContentHandlerFactory.java,
	java/net/DatagramPacket.java, java/net/DatagramSocket.java,
	java/net/DatagramSocketImpl.java, java/net/DatagramSocketImplFactory.java,
	java/net/FileNameMap.java, java/net/JarURLConnection.java,
	java/net/MalformedURLException.java, java/net/MulticastSocket.java,
	java/net/NoRouteToHostException.java, java/net/PortUnreachableException.java,
	java/net/ProtocolException.java, java/net/SocketException.java,
	java/net/SocketImpl.java, java/net/SocketImplFactory.java,
	java/net/SocketOptions.java, java/net/SocketTimeoutException.java,
	java/net/URISyntaxException.java, java/net/URL.java,
	java/net/URLDecoder.java, java/net/URLEncoder.java,
	java/net/URLStreamHandlerFactory.java, java/net/UnknownHostException.java,
	java/net/UnknownServiceException.java:
	Fixed @author tags to be valid HTML.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* java/lang/Character.java, java/lang/Class.java,
	java/lang/Math.java, java/lang/Object.java,
	java/lang/Package.java, java/lang/Runtime.java,
	java/lang/StrictMath.java, java/lang/System.java:
	Reorganized import statements. Reworked modifiers.
	Fix @author tags to be valid HTML.

2004-10-13  Michael Koch  <konqueror@gmx.de>

	* java/math/BigDecimal.java, java/math/BigInteger.java:
	Reorganized import statements, removed redundant and reorganized
	modifiers.

2004-10-12  Michael Koch  <konqueror@gmx.de>

	* java/util/zip/GZIPInputStream.java
	(GZIP_MAGIC): Fixed value.
	(readHeader): Fixed GZIP_MAGIC handling.
	* java/util/zip/GZIPOutputStream.java
	(GZIPOutputStream): Likewise.

2004-10-12  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/SecurityManager.java
	(checkPackageAccess, checkPackageDefinition): Pass complete
	restriction.
	(checkPackageList): Simplified and corrected the code.

2004-10-12  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Date.java
	(Date(int,int,int), Date(int,int,int,int,int)): Delegate to other
	constructor.
	(Date(int,int,int,int,int,int)): Fixed to handle out-of-range
	arguments.
	(getTimezoneOffset): Inverted sign.

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/ClassLoader.java
	(defineClass(String,byte[],int,int,ProtectionDomain)):
	Reverted previous commit.

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/ClassLoader.java
	(defineClass(String,byte[],int,int,ProtectionDomain)):
	Added call to SecurityManager.checkPackageDefinition().

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/PrintStream.java
	(ForwardStream): New inner class.
	(PrintStream(OutputStream,boolean),
	PrintStream(OutputStream,boolean,String)):
	Changed to use ForwardStream.
	(write(int), write(byte[],int,int)):
	Don't consume thread interrupts.

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/logging/LogManager.java
	(findAncestor): Fixed IndexOutOfBoundsException.

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/SecurityManager.java
	(checkPackageList): Use AccessController.doPrivileged to get
	security property.
	* java/security/Security.java
	(static): Use AccessController.doPrivileged to get system property.

2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/EventDispatchThread.java
	(dispatchThreadNum): Removed initializer.
	(EventDispatchThread): Pre-increment dispatchThreadNum.
	* java/awt/Button.java
	(next_button_number): Removed useless initializer.
	* java/awt/Frame.java
	(next_frame_number): Likewise.
	* java/awt/Scrollbar.java
	(next_scrollbar_number): Likewise.
	* java/awt/TextArea.java
	(next_text_number): Likewise.
	* java/io/ObjectInputStream.java
	(dump): Likewise.
	* java/lang/reflect/Proxy.java
	(count): Likewise.
	* java/security/IdentityScope.java
	(systemScope): Likewise.
	* java/security/Policy.java
	(currentPolicy): Likewise.
	* java/util/Timer.java
	(nr): Likewise.
	* java/util/logging/LogRecord.java
	(lastSeqNum): Likewise.
	* javax/naming/spi/NamingManager.java
	(icfb, ofb): Likewise.
	* javax/swing/JDialog.java
	(decorated): Likewise.
	* javax/swing/JFrame.java
	(defaultLookAndFeelDecorated): Likewise.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(offset, regular): Made final.
	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(DECREASE_HIGHLIGHT, INCREASE_HIGHLIGHT, NO_HIGHLIGHT,
	POSITIVE_SCROLL, NEGATIVE_SCROLL): Made final.	
	* java/util/zip/ZipEntry.java
	(KNOWN_SIZE, KNOWN_CSIZE, KNOWN_CRC, KNOWN_TIME): Made final.
	* java/net/HttpURLConnection.java
	(valid_methods): Made final.	

2004-10-11  Michael Koch  <konqueror@gmx.de>

	* java/io/DataInputStream.java
	(readUTF): Reorder modifiers.
	* java/io/DataOutputStream.java
	(writeUTF): Likewise.
	* java/io/ObjectInputStream.java
	(GetField): Likewise.
	* java/io/ObjectOutputStream.java
	(PutField): Likewise.
	(BUFFER_SIZE): Likewise.
	* java/io/InputStreamReader.java:
	Merged file header.

2004-10-10  Sven de Marothy  <sven@physto.se>

        * native/jni/java-lang/java_lang_Double.c
        (parseDouble): Add handling of NaN/Infinity (bug #10491)
        * java/nio/ByteBufferHelper.java
        (putDouble): Use Double.toRawLongBits instead (bug #9106)

2004-10-10  Andreas Tobler  <a.tobler@schweiz.ch>

	* jni/gtk-peer/gdkfont.h: Mark native_text_layout_state_table extern.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: Use
	native_text_layout_state_table here.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/metadata/IIOInvalidTreeException.java,
	javax/imageio/metadata/IIOMetadataFormatImpl.java,
	javax/imageio/metadata/IIOMetadataNode.java:
	New stub files.

2004-10-09  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Don't create a link to the VM specific files.
	* include/Makefile.am: Remove vm/current with topsrc_dir vm/reference.
	* lib/Makefile.am: Likewise.
	* lib/gen-classlist.sh.in: Likewise.
	* lib/mkdep.pl.in: Likewise.

2004-10-09  Mark Wielaard  <mark@klomp.org>

	* include/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.h: Removed.
	* include/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.h:
	Removed.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/ImageInputStreamImpl.java,
	javax/imageio/stream/ImageOutputStreamImpl.java:
	New files.

2004-10-09  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gdkfont.h: Include gtkpeer.h not gtkcairopeer.h.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/rmi/server/UnicastConnectionManager.java:
	Fix file header.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* configure.ac: Use AC_C_BIGENDIAN instead of AC_C_BIGENDIAN_CROSS as
	we don't support cross compiling anyway.

2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/swing/JList.java (init): Revert accidental commit.

2004-10-09  Tom Tromey  <tromey@redhat.com>

	* java/beans/EventHandler.java (create): Now generic methods.
	* java/beans/Beans.java (getInstanceOf): Updated argument type.
	(isInstanceOf): Likewise.
	* java/beans/BeanDescriptor.java (beanClass, customizerClass):
	Updated type.
	(BeanDescriptor): Updated argument types.
	(getBeanClass, getCustomizerClass): Updated return types.

	* java/lang/reflect/Proxy.java (getProxyClass): Updated argument
	and return types.
	(isProxyClass): Likewise.
	(newProxyInstance): Likewise.

	* java/applet/AppletContext.java (getApplets): Updated return
	type.
	(getStreamKeys): Likewise.

	* java/lang/String.java: Implement Comparable<String>.

	* java/util/Properties.java: Extend Hashtable<Object, Object>.
	(save): Mark as @Deprecated.
	* java/lang/System.java (clearProperty): New method.
	(setProperty): Check for empty key.
	(getProperty): Likewise.

	* java/lang/SecurityManager.java (currentLoadedClass): Updated
	return type.

	* java/lang/Float.java: Updated status.
	* java/lang/Void.java: Updated status.
	* java/lang/Double.java: Updated status.
	* java/lang/Long.java: Updated status.
	* java/lang/Character.java: Updated status.
	* java/lang/Integer.java: Updated status.
	* java/lang/Short.java: Updated status.
	* java/lang/Byte.java: Updated status.
	* java/lang/Boolean.java: Updated status.

	* java/lang/ClassLoader.java (defineClass): New method.
	(findClass): Updated return type.
	(findLoadedClass): Likewise.
	(findSystemClass): Likewise.
	(findResources): Likewise.
	(getSystemResources): Likewise.
	(loadClass): Likewise.
	(resolveClass): Updated argument type.
	(setSigners): Likewise.
	(loadedClasses, definedPackages): Updated types.
	(packageAssertionStatus): Likewise.
	(systemClassAssertionStatus): Likewise.
	(classAssertionStatus): Likewise.
	(defineClass): Updated return type.
	(getResource): Likewise.
	(clearAssertionStatus): Clear packageAssertionStatus and
	classAssertionStatus.

	* java/lang/Void.java (TYPE): Changed type.
	* java/lang/Character.java: Implement Comparable<Character>.
	(TYPE): Changed type.
	(SIZE): New field.
	(MAX_CACHE, charCache): New fields.
	(valueOf): New method.
	(reverseBytes): Likewise.
	* java/lang/Double.java: Implement Comparable<Double>.
	(TYPE): Changed type.
	(SIZE): New field.
	(valueOf): New method.
	* java/lang/Float.java: Implement Comparable<Float>
	(TYPE): Changed type.
	(SIZE): New field.
	(valueOf): New method.
	* java/lang/Short.java: Implement Comparable<Short>.
	(TYPE): Changed type.
	(MIN_CACHE, MAX_CACHE, shortCache): New fields.
	(valueOf): New method.
	(reverseBytes): Likewise.
	* java/lang/Byte.java: Implement Comparable<Byte>.
	(TYPE): Changed type.
	(SIZE): New field.
	(byteCache): Likewise.
	(valueOf): New method.
	* java/lang/Boolean.java (TYPE): Changed type.
	* java/lang/Long.java (TYPE): Changed type.
	(SIZE): New field.
	(valueOf): New method.
	(bitCount, rotateLeft, rotateRight, highestOneBit,
	numberOfLeadingZeros, lowestOneBit, numberOfTrailingZeros,
	signum, reverseBytes, reverse): New methods.
	Implement Comparable<Long>.
	* java/lang/Integer.java: Implement Comparable<Integer>.
	(SIZE): New field.
	(intCache): Likewise.
	(MIN_CACHE, MAX_CACHE): Likewise.
	(valueOf): New method.
	(bitCount, rotateLeft, rotateRight, highestOneBit,
	numberOfLeadingZeros, lowestOneBit, numberOfTrailingZeros,
	signum, reverseBytes, reverse): New methods.
	(TYPE): Changed type.

2004-10-08  Bryce McKinlay  <mckinlay@redhat.com>

	* java/util/Calendar.java (set): Invalidate DST_OFFSET
	field as a DST boundary may have been crossed.
	* java/util/GregorianCalendar.java (add): Throw 
	IllegalArgumentException on attempt to add to DST_OFFSET or 
	ZONE_OFFSET fields. Update javadoc.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
	Removed.
	* native/jni/gtk-peer/Makefile.am: Removed files.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	gnu/java/awt/peer/gtk/GdkGraphics.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	gnu/java/awt/peer/gtk/GtkToolkit.java,
	java/awt/font/TextLayout.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	native/jni/gtk-peer/gtkpeer.h:
	Merged whitespace stuff with java-gui-branch.

2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkContainerPeer.java (endValidate):
	Don't call setParentAndBounds on GtkWindowPeers.

2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Component.java (static): Don't set default keyboard
	focus manager.
	* java/awt/KeyboardFocusManager.java
	(getCurrentKeyboardFocusManager): If current keyboard focus
	manager is null set a default.

2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(gtkWidgetSetBackground): New method.
	(block_expose_events_cb): New function.
	(connectSignals): Block the AWT's expose event processing on
	button press and release.
	(gtkSetLabel): Set text on proper widget.
	(gtkWidgetModifyFont): Modify font on proper widget.
	(gtkWidgetSetBackground): Set normal, active and prelight
	colours.
	(gtkWidgetSetForeground): Set forground colour of proper widget.
	(gtkActivate): Activate the correct widget.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (clearRect):
	Only clear rectangle if the backing component is not an event
	box.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
	(beginNativeRepaintID): New variable.
	(endNativeRepaintID): Likewise.
	(gtkInit): Initialize new fields with method IDs.
	* jni/gtk-peer/gtkpeer.h (beginNativeRepaintID): Declare extern.
	(endNativeRepaintID): Likewise.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h: Regenerated.

2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (GdkGraphics):
	Call initComponentGraphics or connectSignals depending on
	component's realization status.
	(realize_cb): New function.
	(initComponentGraphics): New method.
	(connectSignals): New method.
	(clipRect): Return immediately if component is not realized.
	(setClip): Likewise.
	(translate): Likewise.
	(drawImage variants): Return false immediately if component is
	not realized.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(connectSignals): New method.
	(GdkGraphics2D): Call initComponentGraphics2D or connectSignals
	depending on component's realization status.  Move other
	initialization calls to ...
	(initComponentGraphics2D): New method.
	(realize_cb): New function.
	(cairoSetMatrix): Return immediately if gr is NULL.
	(cairoNewPath): Likewise.
	(cairoRectangle): Likewise.
	(cairoClip): Likewise.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetRepaintArea): Remove method.
	(isRealized): New method.
	(GtkComponentPeer): Move setParent, connectJObject and setCursor
	calls to setParentAndBounds.  Call setParentAndBounds.
	(setParentAndBounds): New method.
	(setComponentBounds): Return immediately if bounds are all zero.
	(repaint): Remove call to gtkWidgetRepaintArea.  Return
	immediately if requested paint region is 0x0.
	(setCursor): New method.
	(gtkWidgetSetParent): Only set widget's parent if its parent is
	currently NULL.
	(setNativeBounds): Only set widget's bounds if it has a parent.
	(connectSignals): Don't call gtk_widget_realize.  Connect
	"realize" signal to connect_awt_hook_cb handler.
	* gnu/java/awt/peer/gtk/GtkContainerPeer.java (isValidating):
	New field.
	(beginValidate): Set isValidating true.
	(endValidate): Set parents and bounds for children first, then
	for this.  Set isValidating false.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
	(connectJObject): Remove method.
	(connectSignals): Don't call gtk_widget_realize.
	* gnu/java/awt/peer/gtk/GtkListPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c
	(connectJObject): Remove method.
	(connectSignals): Don't call gtk_widget_realize.
	* gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c
	(connectJObject): Remove method.
	* gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c
	(connectJObject): Remove method.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(create): Don't call gtk_widget_realize.
	(connectJObject): Remove method.
	(connectSignals): Don't call gtk_widget_realize.  Connect
	"realize" signal to connect_awt_hook_cb handler.
	(nativeSetBounds): Don't attempt to move GDK window if it is
	NULL.
	* java/awt/Container.java (addImpl): Don't call comp.addNotify
	if peer is not null.
	(validateTree): Create peers for all children before calling
	doLayout.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(connectSignals): Don't call gtk_widget_realize.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(connect_awt_hook_cb): New function.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
	(initComponentGraphicsID): New variable.
	(initComponentGraphics2DID): Likewise.
	(setCursorID): Likewise.
	(gtkInit): Initialize new fields with method IDs.
	* jni/gtk-peer/gtkpeer.h (initComponentGraphicsID): Declare
	extern.
	(initComponentGraphics2DID): Declare extern.
	(setCursorID): Likewise.
	(connect_awt_hook_cb): Declare function.

2004-10-09  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	include/gnu_java_awt_peer_gtk_GdkGraphics2D.h,
	include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	include/gnu_java_awt_peer_gtk_GtkWindowPeer.h:
	Regenerated.

2004-10-09  Graydon Hoare  <graydon@redhat.com>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(install_font_peer): Minor bug fixes to track cairo font
	semantics.

2004-10-08  Michael Koch  <konqueror@gmx.de>

	* examples/.cvsignore,
	lib/.cvsignore,
	gnu/classpath/.cvsignore:
	Fixes for builddir == srcdir.

2004-10-08  Graydon Hoare  <graydon@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java
	(getClasspathTextLayoutPeer) Add.
	* gnu/java/awt/peer/ClasspathFontPeer.java
	(copyStyleToAttrs)
	(copySizeToAttrs): Make public.
	* gnu/java/awt/peer/ClasspathTextLayoutPeer.java: New file.
	* gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java: Remove.
	* gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java: Remove.
	* gnu/java/awt/peer/gtk/GdkFontMetrics.java: Rewrite.
	* gnu/java/awt/peer/gtk/GdkFontPeer.java: New file.
	* gnu/java/awt/peer/gtk/GdkGlyphVector.java: Adjust type names.
	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(getFontPeer): New function.
	(drawString): Pass font peer to native side.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(cairoSetFont)
	(cairoShowGlyphs)
	(PainterThread): Remove.
	(GdkGraphics2D): Set hints during construction.
	(shifted)
	(walkPath)
	(draw)
	(setRenderingHint)
	(setRenderingHints): Reimplement normalization logic.
	(getDefaultHints)
	(updateBufferedImage)
	(isBufferedImageGraphics)
	(updateImagePixels)
	(drawImage): Make final.
	(drawImage): Always paint synchronously.
	(drawString)
	(drawGlyphVector): Rewrite.
	(releasePeerGraphicResource)
	(getPeerTextMetrics)
	(getPeerFontMetrics)
	(drawGdkGlyphVector)
	(drawGdkTextLayout)
	(cairoDrawGdkGlyphVector)
	(cairoDrawGdkTextLayout)
	(cairoDrawString)
	(getFontPeer): New functions.
	* gnu/java/awt/peer/gtk/GdkTextLayout.java: New file.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java
	(getFontMetrics): Get metrics via toolkit, to hit cache.
	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java: Use getFontMetrics.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkToolkit.java (LRUCache): New class.
	(fontCache)
	(metricsCache)
	(imageCache): New members.
	(getFontMetrics)
	(getImage)
	(getClasspathFontPeer): Use caches.
	(getFontPeer): Route through getClasspathFontPeer.
	* java/awt/Font.java (attrsToMap): Remove, adjust ctors.
	* java/awt/font/TextLayout.java: Implement in terms of peer.
	* javax/swing/plaf/basic/BasicSliderUI.java
	(paintThumb): Use polyline rather than polygon.
	* javax/swing/plaf/basic/BasicGraphicsUtils.java:
	Update comment but, alas, still do not switch to using TextLayouts.
	* javax/swing/text/Utilities.java (drawTabbedText):
	Draw text run-at-a-time, not char-at-a-time.
	* jni/gtk-peer/gdkfont.h: Publicize some of the font interface, add
	layout table.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c:
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
	Remove files.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c: Rewrite to
	incorporate brains of old GdkClasspathFontPeerMetrics.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c: Rewrite to
	incorporate brains of old GdkClasspathFontPeer.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: New file.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(drawString): Rewrite to use persistent layout in peer font.
	Comment out extraneous gdk_flush calls.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(metrics_cairo)
	(metrics_surface): New static variables.
	(paint_glyph_run)
	(install_font_peer): New helper functions.
	(releasePeerGraphicResource)
	(getPeerTextMetrics)
	(getPeerFontMetrics)
	(cairoDrawGdkTextLayout)
	(cairoDrawGdkGlyphVector): New native methods.
	(cairoDrawString): Rewrite, leaving layout-based version
	commented out for the time being.
	* jni/gtk-peer/gtkpeer.h (graphics): Add fields for pango stuff.

2004-10-08  Michael Koch  <konqueror@gmx.de>

	* include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	include/gnu_java_awt_peer_gtk_GdkGraphics2D.h: Regenerated.
	* include/gnu_java_awt_peer_gtk_GdkFontPeer.h,
	include/gnu_java_awt_peer_gtk_GdkTextLayout.h: New files
	* include/Makefile.am: Added new files.
	* native/jni/gtk-peer/Makefile.am: Added new files.

2004-10-08 Andreas Tobler <a.tobler@schweiz.ch>

	* configure.ac: Introduce AC_C_BIGENDIAN_CROSS for WORDS_BIGENDIAN.
	* native/jni/gtk-peer/gtkpeer.h (SWAPU32): Introduce macro to swap pixels.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c: Moved SWAPU32
	macro to gtkpeer.h.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_getImagePixels): Convert
	pixels from  0xBBGGRRAA to 0xAARRGGBB only on Little Endian
	architectures.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
	(area_updated): Likewise.

2004-10-08  Paul Jenner  <psj.home@ntlworld.com>

	* javax/swing/JTree.java
	(isRootVisible): Fixed typo in method name.
	* javax/swing/JScrollBar.java
	(setValues): Likewise.
	* javax/swing/JScrollPane.java
	(createScrollListener): Call JScrollBar.setValues.

2004-10-07  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/BufferedImageFilter.java: Implement.

2004-10-06  Patrik Reali  <reali@acm.org>

	* doc/www.gnu.org/README: a few custom tag documented
	* doc/www.gnu.org/external.wml: external package table reformatted,
	added external tools from tools.wml page (only those without website)
	* doc/www.gnu.org/home.wml: added "news" anchor for news
	* doc/www.gnu.org/inetlib.wml: first version
	* doc/www.gnu.org/newsitems.txt: cp-tools savannah merge
	* doc/www.gnu.org/include/layout.wml doc/www.gnu.org/include/macros.wml
	doc/www.gnu.org/stories.wml: custom tag jvm renamed to project and
	moved to macros.wml, custom tags moved from layout to macros

2004-10-05  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageIO.java:
	Added much new methods.

2004-10-05  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageReader.java,
	javax/imageio/ImageWriter.java,
	javax/imageio/spi/ImageWriterSpi.java:
	Add SOME new methods.

2004-10-05  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/IIOParam.java,
	javax/imageio/ImageReadParam.java,
	javax/imageio/ImageReader.java,
	javax/imageio/ImageWriter.java:
	Mostly implemented.
	* javax/imageio/spi/ImageReaderSpi.java,
	javax/imageio/spi/ImageWriterSpi.java:
	New files.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageWriteParam.java,
	javax/imageio/metadata/IIOMetadataFormat.java:
	Implemented.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageTypeSpecifier.java:
	Mostly implemented.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/metadata/IIOMetadata.java:
	Mostly implemented.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/IIOImage.java,
	javax/imageio/ImageReadParam.java,
	javax/imageio/metadata/IIOMetadataController.java,
	javax/imageio/metadata/IIOMetadataFormat.java:
	New files.
	* javax/imageio/stream/ImageOutputStream.java:
	Implemented.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/IIOParam.java,
	javax/imageio/IIOParamController.java,
	javax/imageio/ImageTypeSpecifier.java,
	javax/imageio/ImageWriteParam.java,
	javax/imageio/metadata/IIOMetadata.java:
	New files.
	* javax/imageio/ImageTranscoder.java:
	Implemented.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/spi/ImageInputStreamSpi.java,
	javax/imageio/spi/ImageOutputStreamSpi.java:
	Reworked import startments.
	* javax/imageio/spi/ServiceRegistry.java:
	Reworked import startments. Fixed XHTML in javadocs.
	(ServiceRegistry): Added @param tag to javadoc.
	* javax/imageio/stream/ImageInputStream.java
	(mark): Doesn't throws IOException;

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/ImageIO.java:
	New file.

2004-10-04  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/spi/IIORegistry.java
	(static): Don't register ImageReaderSpi.class and
	ImageWriterSpi.class yet.

2004-10-03  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/spi/IIORegistry.java:
	New file.

2004-10-02  Tom Tromey  <tromey@redhat.com>

	* resource/java/util/logging/.cvsignore: New file.

2004-10-02  Michael Koch  <konqueror@gmx.de>

	* java/io/CharArrayWriter.java
	(resize): Remove redundant final modifier.
	* java/io/FileDescriptor.java,
	java/io/FileInputStream.java,
	java/io/FileOutputStream.java,
	java/io/ObjectOutputStream.java,
	java/io/ObjectStreamClass.java,
	java/io/PipedInputStream.java,
	java/io/RandomAccessFile.java:
	Reworked import statements.

2004-10-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/rmi/rmic/RMIC.java,
	gnu/java/rmi/server/RMIHashes.java,
	gnu/java/rmi/server/RMIObjectInputStream.java,
	gnu/java/rmi/server/UnicastConnection.java,
	gnu/java/rmi/server/UnicastConnectionManager.java,
	gnu/java/rmi/server/UnicastRemoteCall.java,
	gnu/java/rmi/server/UnicastServerRef.java:
	Import statements cleaned up.

2004-10-02  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
	gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	gnu/java/awt/peer/gtk/GtkClipboard.java,
	gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	gnu/java/awt/peer/gtk/GtkFontPeer.java,
	gnu/java/awt/peer/gtk/GtkListPeer.java,
	gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	gnu/java/awt/peer/gtk/GtkToolkit.java,
	gnu/java/awt/peer/gtk/GtkWindowPeer.java: Import statements reworked.
	Some little reformattings.

2004-10-01  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/AffineTransformOp.java
	(TYPE_BILINEAR): Initialize with 2.
	* java/awt/print/Printable.java: Jalopied.
	(PAGE_EXISTS): Initialize with 0;
	(NO_SUCH_PAGE): Initialized with 1.

2004-10-01  Michael Koch  <konqueror@gmx.de>

	* java/io/DataInputStream.java
	(readFully): Throw IndexOutOfBoundsException if len is negative.

2004-10-01  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/geom/AffineTransform.java:
	Fixed javadocs overall.

2004-10-01  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/IndexColorModel.java: Fix use of immutable
	BigIntegers.
	* java/awt/image/ComponentColorModel.java: Remove FIXME comment
	since it's correct.

2004-09-30  Michael Koch  <konqueror@gmx.de>

	* java/net/InetAddress.java: Reformatted.
	Removed redundant parenthesis.
	(getHostAddress): Merged with version from llibgcj.

2004-09-30  Michael Koch  <konqueror@gmx.de>

	* java/beans/Beans.java,
	java/beans/EventHandler.java,
	java/beans/EventSetDescriptor.java,
	java/beans/Introspector.java,
	java/beans/PropertyEditorManager.java,
	java/beans/beancontext/BeanContext.java,
	java/beans/beancontext/BeanContextChild.java,
	java/beans/beancontext/BeanContextChildSupport.java,
	java/beans/beancontext/BeanContextMembershipEvent.java:
	Reordered import statements and removed redundant modifiers.

2004-09-30   Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/plaf/basic/BasicComboPopup.java
	(SCROLL_DOWN): made final.
	(SCROLL_UP): made final.

2004-09-30  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/RescaleOp.java: Fix formatting.

2004-09-30  Tom Tromey  <tromey@redhat.com>

	* javax/swing/plaf/basic/BasicOptionPaneUI.java (MessageIcon):
	Renamed from 'messageIcon'.
	(errorIcon, infoIcon, warningIcon, questionIcon): Updated.

2004-09-28  Tom Tromey  <tromey@redhat.com>

	* java/text/MessageFormat.java (Field): Constructor now
	protected.

	* java/net/URLConnection.java (setFileNameMap): Now synchronized.

	* javax/crypto/MacSpi.java: Fixed typo.

	* java/lang/System.java (getenv): Added @specnote.

2004-09-28  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/IndexColorModel.java: Add class docs.
	(getRGBs, convertToIntDiscrete): Implement.
	(isValid, getValidPixels): Implement.
	* java/awt/image/RescaleOp.java: Implement.

2004-09-28  Michael Koch  <konqueror@gmx.de>

	* java/net/URLConnection.java:
	Reformatted.
	(getContent): Make sure we are connected. Moved code to get content
	handler to getContentHandler() method for easier merging with libgcj's
	version.
	(getContentHandler): New method.

2004-09-28  Michael Koch  <konqueror@gmx.de>

	* java/net/URLClassLoader.java:
	Reformated.
	(addURLImpl): Partly merged with libgcj's version.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* java/awt/AWTKeyStroke.java,
	java/awt/Canvas.java,
	java/awt/CardLayout.java,
	java/awt/CheckboxMenuItem.java,
	java/awt/Component.java,
	java/awt/Container.java,
	java/awt/DefaultKeyboardFocusManager.java,
	java/awt/EventDispatchThread.java,
	java/awt/FileDialog.java,
	java/awt/FlowLayout.java,
	java/awt/Font.java,
	java/awt/Frame.java,
	java/awt/Graphics2D.java,
	java/awt/GraphicsEnvironment.java,
	java/awt/GridBagConstraints.java,
	java/awt/GridBagLayout.java,
	java/awt/GridLayout.java,
 	java/awt/Image.java,
	java/awt/KeyboardFocusManager.java,
 	java/awt/Label.java,
 	java/awt/List.java,
	java/awt/MediaTracker.java,
 	java/awt/Menu.java,
 	java/awt/MenuBar.java,
 	java/awt/MenuComponent.java,
 	java/awt/Panel.java,
 	java/awt/PopupMenu.java,
	java/awt/ScrollPane.java,
 	java/awt/Scrollbar.java,
 	java/awt/SystemColor.java,
 	java/awt/TextArea.java,
 	java/awt/TextField.java,
 	java/awt/Toolkit.java,
	java/awt/Window.java,
	java/awt/color/ICC_Profile.java,
	java/awt/datatransfer/DataFlavor.java,
	java/awt/datatransfer/StringSelection.java,
	java/awt/datatransfer/SystemFlavorMap.java,
	java/awt/dnd/Autoscroll.java,
	java/awt/dnd/DropTarget.java,
	java/awt/dnd/DropTargetContext.java,
	java/awt/dnd/DropTargetDragEvent.java,
	java/awt/dnd/peer/DropTargetContextPeer.java,
 	java/awt/event/AdjustmentEvent.java,
	java/awt/event/InputEvent.java,
	java/awt/event/InvocationEvent.java,
	java/awt/event/KeyEvent.java,
	java/awt/event/MouseEvent.java,
	java/awt/font/TextLayout.java,
	java/awt/geom/GeneralPath.java,
	java/awt/geom/Point2D.java,
	java/awt/im/InputContext.java,
	java/awt/im/spi/InputMethodContext.java,
	java/awt/image/AffineTransformOp.java,
	java/awt/image/BufferedImage.java,
	java/awt/image/ColorModel.java,
	java/awt/image/ComponentColorModel.java,
	java/awt/image/CropImageFilter.java,
	java/awt/image/DirectColorModel.java,
	java/awt/image/MemoryImageSource.java,
	java/awt/image/PackedColorModel.java,
	java/awt/image/PixelGrabber.java,
	java/awt/image/RasterOp.java,
	java/awt/peer/MenuBarPeer.java:
	Some fixes for checkstyle. Import statement and modifier order
	redordering.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(setModel): Reimplemented.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(insert): Renaming of method local variables.

2004-09-27  Per Bothner  <per@bothner.com>

	* java/util/Collections.java (sort):  Copy from array in forwards
	order, rather than reverse order which may be much less
	efficient.

2004-09-27  Bryce McKinlay  <mckinlay@redhat.com>
 
	* java.util.Calendar.java (cache): New private static field. Cached
	mappings of locales->calendar classes.
	(ctorArgTypes): New private static field. Singleton argument for
	calendar class constructor lookup.
	(getInstance): Cache Locale->Calendar class mappings using HashMap.
	Optimize by bypassing reflection instantiation for the
	GregorianCalendar case.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpinnerNumberModel.java
	(SpinnerNumberModel): Implements java.io.Serializable.

2004-09-27  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/BandedSampleModel.java: Implement.
	* java/awt/image/ColorModel.java (getDataElement,
	getDataElements): Document since 1.4.
	* java/awt/image/ComponentColorModel.java (ComponentColorModel):
	Implement missing 1.4 constructor.
	* java/awt/image/IndexColorModel.java (IndexColorModel): Implement
	missing constructor.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java,
	javax/swing/JRadioButton.java,
	javax/swing/JRootPane.java,
	javax/swing/JTextField.java,
	javax/swing/SpinnerNumberModel.java,
	javax/swing/plaf/basic/BasicArrowButton.java,
	javax/swing/plaf/basic/BasicScrollBarUI.java,
	javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	javax/swing/table/DefaultTableColumnModel.java,
	javax/swing/table/JTableHeader.java,
	javax/swing/text/DocumentFilter.java,
	javax/swing/text/JTextComponent.java,
	javax/swing/text/NavigationFilter.java:
	Whitespace cleanup.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(getColumnWidth): New method.
	(getLineCount): Likewise.
	(getLineStartOffset): Likewise.
	(getLineEndOffset): Likewise.
	(getLineOfOffset): Likewise.
	(getRowHeight): Likewise.
	(replaceRange): Likewise.
 	(insert): Reformatted.

2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JSpinner.java:
	Some Re-formatting.
	(spinner): New field.
	(DefaultEditor): New method.
	(getSpinner): Likewise.
	(NumberEdito): Likewise.
	(getModel): Likewise.
	(setModel): Likewise.

2004-09-27  Tom Tromey  <tromey@redhat.com>

	* java/lang/Deprecated.java: Fixed retention.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java
	(scrollOffset): new field.
	(getScrollOffset): New method.
	(setScrollOffset): Likewise.
	(getColumnWidth): Likewise.
	(action): New field.
	(actionCommand): Likewise.
	(actionPropertyChangeListener): Likewise.
	(setHorizontalAlignment): Abort soon if new value == old value. Fire
	event before repainting.
	(postActionEvent): New method.
	(getAction): Likewise.
	(setAction): Likewise.
	(getActionCommand): Likewise.
	(setActionCommand): Likewise.
	(createActionPropertyChangeListener): Likewise.
	(configurePropertiesFromAction): Likewise.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/JTextComponent.java
	(dragEnabled): New field.
	(getSelectedText): New method.
	(getDragEnabled): Likewise.
	(setDragEnabled): Likewise.
	(replaceSelection): Reimplemented.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JRootPane.java
	(NONE): New static field.
	(FRAME): Likewise.
	(PLAIN_DIALOG): Likewise.
	(INFORMATION_DIALOG): Likewise.
	(ERROR_DIALOG): Likewise.
	(COLOR_CHOOSER_DIALOG): Likewise.
	(FILE_CHOOSER_DIALOG): Likewise.
	(QUESTION_DIALOG): Likewise.
	(WARNING_DIALOG): Likewise.
	(defaultButton): New field.
	(getDefaultButton): New method.
	(setDefaultButton): Likewise.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DefaultHighlighter.java
	(drawsLayeredHighlights): New field.
	(getDrawsLayeredHighlights): New method.
	(setDrawsLayeredHighlights): Likewise.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpringLayout.java
	(Constraints): May not be final.

2004-09-26  Mark Wielaard  <mark@klomp.org>

	* java/lang/Throwable.java (StaticData.nl): Make package private.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpinnerNumberModel.java
	(SpinnerNumberModel): Implements java.io.Serializable.
	(serialVersionUID): New field.
	(SpinnerNumberModel): Added missing @throws tags to javadocs.
	(getMinimum): New method.
	(setMinimum): Likewise.
	(getMaximum): Likewise.
	(setMaximum): Likewise.
	(getStepSize): Likewise.
	(setStepSize): Likewise.

2004-09-26  Kim Ho  <kho@redhat.com>

	* javax/swing/plaf/basic/BasicArrowButton.java:
	Jalopy. Reimplement.
	* javax/swing/plaf/basic/BasicScrollBarUI.java:
	Jalopy.
	(arrowIcon, upIcon, downIcon, leftIcon,
	rightIcon): Removed.
	(createIncreaseButton): Use BasicArrowButton.
	(createDecreaseButton): Ditto.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java:
	(createRightOneTouchButton): Remove button border.
	(createLeftOneTouchButton): Ditto.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(ANCHOR_SELECTION_PATH_PROPERTY): New static field.
	(CELL_EDITOR_PROPERTY): Likewise.
	(CELL_RENDERER_PROPERTY): Likewise.
	(EDITABLE_PROPERTY): Likewise.
	(EXPANDS_SELECTED_PATHS_PROPERTY): Likewise.
	(INVOKES_STOP_CELL_EDITING_PROPERTY): Likewise.
	(LARGE_MODEL_PROPERTY): Likewise.
	(LEAD_SELECTION_PATH_PROPERTY): Likewise.
	(ROOT_VISIBLE_PROPERTY): Likewise.
	(ROW_HEIGHT_PROPERTY): Likewise.
	(SCROLLS_ON_EXPAND_PROPERTY): Likewise.
	(SELECTION_MODEL_PROPERTY): Likewise.
	(SHOWS_ROOT_HANDLES_PROPERTY): Likewise.
	(TOGGLE_CLICK_COUNT_PROPERTY): Likewise.
	(TREE_MODEL_PROPERTY): Likewise.
	(VISIBLE_ROW_COUNT_PROPERTY): Likewise.
	(cellEditor): New field.
	(invokesStopCellEditing): Likewise.
	(largeModel): Likewise.
	(rowHeight): Likewise.
	(scrollsOnExpand): Likewise.
	(selectionModel): Likewise.
	(toggleClickCount): Likewise.
	(visibleRowCount): Likewise.
	(setShowsRootHandles): Fixed typo in method name.
	(getCellEditor): New method.
	(setCellEditor): Likewise.
	(getSelectionModel): Likewise.
	(setSelectionModel): Likewise.
	(getVisibleRowCount): Likewise.
	(setVisibleRowCount): Likewise.
	(isLargeModel): Likewise.
	(setLargeModel): Likewise.
	(getRowHeight): Likewise.
	(setRowHeight): Likewise.
	(getInvokesStopCellEditing): Likewise.
	(setInvokesStopCellEditing): Likewise.
	(getToggleClickCount): Likewise.
	(setToggleClickCount): Likewise.
	(getScrollsOnExpand): Likewise.
	(setScrollsOnExpand): Likewise.
	* javax/swing/table/DefaultTableColumnModel.java
	(addColumnModelListener): Fixed javadoc.
	(removeColumnModelListener): Implemented. Fixed javadoc.
	(getColumnModelListeners): New method.
	* javax/swing/table/JTableHeader.java
	(columnModel): Made protected.
	(draggedColumn): Likewise.
	(draggedDistance): Likewise.
	(reorderingAllowed): Likewise.
	(resizingAllowed): Likewise.
	(resizingColumn): Likewise.
	(table): Likewise.
	(updateTableInRealTime): Likewise.
	(createDefaultColumnModel): Renamed from
	createDefaultTableColumnModel.
	(setDefaultRenderer): New method.
	* javax/swing/table/TableColumn.java
	(getPropertyChangeListeners): New method.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JPasswordField.java:
	Reformated. Implemented construtors.
	* javax/swing/plaf/basic/BasicPasswordFieldUI.java
	(create): New method.
	* javax/swing/text/PlainView.java
	(selectedColor): Made package-private to allow access from sub-classes
	in same package too.
	(unselectedColor): Likewise.
	(font): Likewise.
	(drawSelectedText): Make protected.
	(drawUnselectedText): Likewise.
	* javax/swing/text/PasswordView.java: New file.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DocumentFilter.java
	(FilterBypass): New inner class.
	(insertString): New method.
	(remove): Likewise.
	(replace): Likewise.
	* javax/swing/text/NavigationFilter.java
	(FilterBypass): New inner class.
	(NavigationFilter): New method.
	(moveDot): Likewise.
	(setDot): Likewise.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/SimpleAttributeSet.java
	(EMPTY): Made public final.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIManager.java
	(get): New method.
	(getBoolean): Likewise.
	(getBorder): Likewise.
	(getColor): Likewise.
	(getDimension): Likewise.
	(getFont): Likewise.
	(getIcon): Likewise.
	(getInsets): Likewise.
	(getInt): Likewise.
	(getString): Likewise.

2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIDefaults.java
	(removePropertyChangeListener): Made public.

2004-09-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Appendable.java
	Documented this class.
	(append(CharSequence, int, int)): added.

2004-09-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/lang/Comparable.java
	Updated status to be 1.5.
	* java/lang/Iterable.java
	Added missing documentation.
	* java/lang/Readable.java
	Added documentation.
	* java/lang/Thread.java
	(UncaughtExceptionHandler): documented.
	
2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java:
	Whitespace fixes.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java
	(rootPaneCheckingEnabled): Renamed from checking.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(getUI): Javadoc added.
	(setUI): New method.

2004-09-25  Shashank Bapat  <shashankbapat@yahoo.com>
           Mark Wielaard  <mark@klomp.org>

	* gnu/regexp/RE.java (initialize): Add RETokenLookAhead support.
	* gnu/regexp/RETokenLookAhead.java: New file.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JViewport.java
	(getUI): New method.
	(setUI): Likewise.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JScrollPane.java
	(getUI): New method.
	(setUI): Likewise.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JMenu.java
	(getMenuListeners): New method.
	(fireMenuSelected): Simplified.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java
	Re-formatted a bit and reordered some methods.
	(rootPaneCheckingEnabled): Renamed from checking.
	(getPreferredSize): Simplified.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(isMaximumSizeSet): New method.
	(isMinimumSizeSet): Likewise.
	(isPreferredSizeSet): Likewise.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(JComponent): Added javadoc comment.
	(setBorder): Fire property change event.
	(setEnabled): Likewise.
	(setMaximumSize): Likewise.
	(setMinimumSize): Likewise.
	(setPreferredSize): Likewise.
	(setOpaque): Likewise.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JCheckBox.java
	(BORDER_PAINTED_FLAT_CHANGED_PROPERTY): New static field.

2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java, javax/swing/JFrame.java:
	Re-indented.

2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/security/BasicPermission.java: Don't check wildcards.

2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/io/ObjectInputStream.java
	(readObject): Save and restore this.currentObject and
	this.currentObjectStreamClass around calls to callReadMethod().

2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/io/ObjectOutputStream.java
	(readObject): Save and restore this.currentObject and
	this.currentObjectStreamClass around calls to callReadMethod().

2004-09-24  David Daney  <ddaney@avtrex.com>

	* java/net/URL.java (URL): Copy userInfo from context.
	(getUserInfo): Return cached userInfo if present.

2004-09-23  Mark Wielaard  <mark@klomp.org>

	* javax/swing/table/DefaultTableModel.java: Whitespace cleanup.

2004-09-23  Mark Wielaard  <mark@klomp.org>

	* java/awt/Component.java: Whitespace cleanup.
	* java/awt/Container.java: Likewise.
	* java/awt/DefaultFocusTraversalPolicy.java: Likewise.
	* java/awt/DefaultKeyboardFocusManager.java: Likewise.
	* java/awt/KeyboardFocusManager.java: Likewise.

2004-09-23  Mark Wielaard  <mark@klomp.org>

	* examples/gnu/classpath/examples/awt/Demo.java: Add help menu
	example.

	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h: Regenerate with gcjh
	from CVS.
	* include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkFramePeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkGenericPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkLabelPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkListPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h: Likewise.

2004-09-23  David Jee  <djee@redhat.com>

	PR AWT/17059
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java
	(nativeSetHelpMenu): New native method declaration.
	(addHelpMenu): Call nativeSetHelpMenu().
	(addMenu): Remove.
	* java/awt/MenuBar.java
	(setHelpMenu): Call addNotify() on the new help menu.
	(add): Call addNotify() on the new menu.
	(addNotify): Set the help menu if one exists.
	* java/awt/peer/MenuBarPeer.java
	(addMenu): Remove.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c
	(nativeSetHelpMenu): New method.

2004-09-23  Mark Wielaard  <mark@klomp.org>

	* javax/swing/AbstractButton.java: Whitespace cleanup.
	* javax/swing/DefaultButtonModel.java: Likewise.
	* javax/swing/JLabel.java: Likewise.
	* javax/swing/KeyStroke.java: Likewise.
	* javax/swing/plaf/basic/BasicButtonListener.java: Likewise.
	* javax/swing/plaf/basic/BasicComboBoxUI.java: Likewise.
	* javax/swing/plaf/basic/BasicComboPopup.java: Likewise.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java: Likewise.
	* javax/swing/plaf/basic/BasicTableUI.java: Likewise.
	* javax/swing/plaf/basic/BasicTextUI.java: Likewise.
	* javax/swing/table/DefaultTableCellRenderer.java: Likewise.
	* javax/swing/text/AbstractDocument.java: Likewise.
	* javax/swing/text/AttributeSet.java: Likewise.
	* javax/swing/text/DefaultEditorKit.java: Likewise.

2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/InputVerifier.java:
	Re-formatted.
	* javax/swing/JComponent.java
	(inputVerifier): New property field.
	(getInputVerifier): New method.
	(setInputVerifier): Likewise.

2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DebugGraphics.java:
	Re-formatted. Fixed some javadocs.

2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java:
	Little re-formatting.
	(changeEvent): Made protected.
	(fireStateChanged): Removed argument.
	(setHorizontalAlignment): Abort method when old value is equal too new
	value.
	(setHorizontalTextPosition): Likewise.
	(setVerticalAlignment): Likewise.
	(setVerticalTextPosition): Likewise.
	(setBorderPainted): Likewise.
	(setIcon): Likewise.
	(setText): Likewise.
	(setIconTextGap): Likewise.
	(setMargin): Likewise.
	(setPressedIcon): Likewise.
	(setFocusPainted): Likewise.
	(setDisabledSelectedIcon): Likewise.
	(setRolloverIcon): Likewise.
	(setRolloverSelectedIcon): Likewise.
	(setSelectedIcon): Likewise.
	(setContentAreaFilled): Likewise.

2004-09-23  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ComponentSampleModel.java: Add documentation.

2004-09-22  Patrik Reali  <reali@acm.org>

	* doc/www.gnu.org/announce/20040913.wml: classpath 0.11 release announce
	* doc/www.gnu.org/downloads/downloads.wml: classpath 0.11 download added
	* doc/www.gnu.org/newsitems.txt: classpath 0.11, inetlib 1.1 

2004-09-22  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkMenuItemPeer.java
	(setEnabled): Make it a native method.
	* java/awt/DefaultKeyboardFocusManager.java
	(postProcessKeyEvent): Only post event if the menu item
	is active.
	* java/awt/MenuItem.java:
	Private field 'enabled' should be true by default.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(setEnabled): New function.

2004-09-22  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ColorModel.java (getDataElement): Implemented.
	Update javadoc.
	(getDataElements): Add missing version.  Remove bogus version.
	Update javadoc.
	* java/awt/image/MultiPixelPackedSampleModel.java: Implement.
	* java/awt/image/Raster.java
	(createPackedRaster(int,int,int,int,int,Point)): Implement for
	bands>1.
	(getNumBands): Implement.
	* java/awt/image/SinglePixelPackedSampleModel.java
	(SinglePixelPackedSampleModel): Throw exception for unsupported
	datatype.
			

2004-09-22  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java:
	(paintCurrentValue): Pass correct parameters to 
	getListCellRendererComponent().
	(ListDataHandler.intervalRemoved): Implemented. 
	(PropertyChangeHandler.propertyChange): Handle changes in
	MODEL_CHANGED_PROPERTY of the JComboBox
	* javax/swing/plaf/basic/BasicComboPopup.java:
	(BasicComboPopup): Moved code that configures popup to 
	configurePopup() and call it instead. 
	(firePopupMenuWillBecomeVisible): Implemented.
	(firePopupMenuWillBecomeInvisible): Likewise.
	(firePopupMenuCanceled): Likewise.
	(configureList): Set list's visibleRowCount same as 
	comboBox's visibleRowCount.
	(configurePopup): Implemented.
	(getPopupHeightForRowCount): Get item's from JComboBox's model and 
	not from model of the JList.
	(ListMouseMotionHandler.mouseMoved): Implemented.
	(PropertyChangeHandler.propertyChange): Handles change in the
	JComboBox's model.

2004-09-22  Kim Ho  <kho@redhat.com>

	* javax/swing/colorchooser/DefaultHSBChooserPanel.java:
	(stateChanged): Only update the image and the track if
	the values are not being adjusted.
	(updateChooser): Grab the new mouse point from the
	spinner values. Update the image and track only if 
	the values are not being adjusted. 
	(getHSBValues): New method.
	* javax/swing/colorchooser/DefaultRGBChooserPanel.java:
	(SliderHandler::stateChanged): Changed internalChange 
	to updateChange. Set sliderChange.
	(SpinnerHandler::stateChanged): Ditto. Set spinnerChange.
	(spinnerChange): New variable.
	(sliderChange): Ditto.
	(updateChange): Renamed from internalChange.
	(updateChooser): Do not update sliders if the sliders
	were the original source of the change. Ditto for spinners.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java:
	(mousePress): Don't scroll the JViewport if there will
	be extra space at the end of the run. Change layout() to
	revalidate().
	(calculateSize): Use the component's width/height unless
	it is smaller than the max tab width/height.
	(calculateTabRects): Subtract the tab run overlay.
	(rotateTabRuns): Don't rotate if there's only one run.
	(layoutContainer): Reuse the viewport point.
	(createLayoutManager): Set the viewport to use no layout.
	(paintTabArea): Don't paint the tabs that are not visible
	to the JViewport.
	(paintContentBorderTopEdge): Check for scroll tab layout before
	looking for gap.
	(paintContentBorderLeftEdge): Ditto.
	(paintContentBorderBottomEdge): Ditto.
	(paintContentBorderRightEdge): Ditto.

2004-09-22  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GtkClipboard.java,
	java/awt/datatransfer/Clipboard.java,
	java/awt/datatransfer/ClipboardOwner.java:
	Reformated to make it use our coding standard.

2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFramePeer.java (setMenuBar): Set menu
	bar's width.
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java (nativeSetHelpMenu):
	Add FIXME comment.
	(addHelpMenu): Elide call to nativeSetHelpMenu.
	* java/awt/Menu.java (isTearOff): Rename to tearOff.
	(menuSerializedDataVersion): Initialize to 1.
	(separatorLabel): Mark transient.
	(insert(MenuItem,int)): Implement.
	* java/awt/MenuBar.java (setHelpMenu): Call getPeer to retrieve
	peer.
	(countMenus): Count help menu.
	* java/awt/MenuItem.java: Remove event mask FIXME.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(gtkWidgetModifyFont): Only set font if label is non-NULL.
	(setLabel): Don't treat "-" specially.

2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java (gtkWidgetSetFont):
	Rename ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c
	(setMenuBarWidth): New method.
	(setBounds): Set the menu bar width.
	(postConfigureEvent): Set the menu bar width if the window's
	width has changed.
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java (GtkMenuBarPeer):
	Don't call create.
	(setFont): New method.
	* gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java (create): New
	method.
	(setFont): Likewise.
	(GtkMenuComponentPeer): Call create and setFont.
	* gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(connectSignals): Make package private.
	(gtkWidgetModifyFont): New method.
	(create): Likewise.
	(GtkMenuItemPeer): Don't call create.
	(setFont): New method.
	* java/awt/CheckboxMenuItem.java (addNotify): Fix peer == null
	condition.
	* java/awt/Container.java (validateTree): Fix comment typos.
	* java/awt/MenuComponent.java (getFont): Return parent's font if
	our font is null.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c
	(create): Remove call to deprecated
	gtk_check_menu_item_set_show_toggle function.

2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFramePeer.java:
	(gtkFixedMove): Remove method.

2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (gtk_c_source_files): Add
	gnu_java_awt_peer_gtk_GtkFramePeer.c.
	* Makefile.in: Regenerate.
	* gnu/java/awt/peer/gtk/GdkGraphics.java (getClipBounds): Remove
	comment.
	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(create): Pack GtkButton in GtkEventBox.
	(connectJObject): Remove.
	(focus_in_cb): New function.
	(focus_out_cb): Likewise.
	(connectSignals): Connect focus-in-event and focus-out-event
	signals.
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	(gtkWidgetRequestFocus): New method.
	* gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(isInRepaint): New field.
	(gtkSetFont): Remove method.
	(addExposeFilter): Likewise.
	(removeExposeFilter): Likewise.
	(gtkWidgetQueueDrawArea): Rename to ...
	(gtkWidgetRepaintArea): New method.
	(beginNativeRepaint): New method.
	(endNativeRepaint): New method.
	(setComponentBounds): Move implementation here from
	GtkComponentPeer.
	(paint): Remove implementation.
	(repaint): Wrap call to gtkWidgetRepaintArea with calls to
	beginNativeRepaint and endNativeRepaint.
	(setBounds): Use menu bar height in bounds calculation.
	(postExposeEvent): Only post paint event if we're not doing a
	native repaint.
	(gtkWidgetSetParent): Replace gtk_layout_put with gtk_fixed_put.
	(setNativeBounds): Replace gtk_layout_move with gtk_fixed_move.
	(find_gtk_layout): Remove function.
	(filter_expose_event_handler): Likewise.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (postExposeEvent):
	Likewise.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
	(setComponentBounds): Call GtkComponentPeer's
	setComponentBounds.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (getMenuBarHeight):
	New method.
	(moveLayout): Rename to ...
	(gtkFixedMove): New method.
	(gtkLayoutSetVisible): Rename to ...
	(gtkFixedSetVisible): New method.
	(setMenuBar): Rearrange, to make the three separate cases
	clearer.
	(postExposeEvent): Only post paint event if we're not doing a
	native repaint.
	* gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkImagePainter.java
	(GtkImagePainter(GtkImage,GdkGraphics,int,int,int,int,Color)):
	Call run directly, rather than spawning a new thread.
	(GtkImagePainter(GtkImage,GdkGraphics,int,int,int,int,int,int,int,int,Color)):
	Likewise.
	* gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c (gtkSetFont):
	Rename to ...
	(gtkWidgetModifyFont): New method.
	(create): Rename ebox to eventbox.
	* gnu/java/awt/peer/gtk/GtkListPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c (gtkSetFont):
	Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java
	(GtkMenuComponentPeer): Set the default font.
	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c: Likewise.
	* java/awt/Component.java (locale): Initialize to default
	locale.
	* java/awt/Container.java (invalidateTree): Make
	package-private.
	(paint): Paint self first.
	(setMenuBar): Call invalidateTree.
	* java/awt/Panel.java (dispatchEventImpl): Remove method.
	* java/awt/Window.java (show): Call no-parameter variant of
	requestFocusInWindow.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (initState):
	Remove special case for window widget.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(grab_current_drawable): Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c
	(create): Replace GtkLayout with GtkFixed.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(pre_event_handler): Remove special cases for GDK_EXPOSE events.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: New file.
	Move all GtkFramePeer native method implementations here from
	gnu_java_awt_peer_gtk_GtkWindowPeer.c.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c (create):
	Replace GtkLayout with GtkFixed.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(find_layout): Remove function.
	(create): Replace GtkLayout with GtkFixed.
	(connectSignals): Remove find_layout call.
	(toBack): Replace XFlush with gdk_flush.
	(toFront): Replace XFlush with gdk_flush.
	Move GtkFramePeer native method implementations to
	gnu_java_awt_peer_gtk_GtkFramePeer.c.
	* jni/gtk-peer/gtkpeer.h: Remove declaration of find_gtk_layout.

2004-09-22  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/Makefile.am:
	Added new file gnu_java_awt_peer_gtk_GtkFramePeer.c.

2004-09-21  Mark Wielaard  <mark@klomp.org>

	* vm/reference/java/util/VMTimeZone.java
	(getDefaultTimeZoneId): Remove debug output.

2004-09-21  Mark Wielaard  <mark@klomp.org>

	Fixes bug #10447
	* java/util/Collections.java
	(binarySearch(List, Object, Comparator): Explicitly reverse direction
	in list iterator.

2004-09-21  Michael Koch  <konqueror@gmx.de>

	* java/applet/Applet.java,
	java/applet/AppletContext.java,
	java/applet/AppletStub.java,
	java/applet/AudioClip.java:
	Jalopied and checkstyle clean.

2004-09-21  Michael Koch  <konqueror@gmx.de>

	* scripts/jalopy-gnu.xml: throws clauses have to be indented by
	two spaces.

2004-09-21  Michael Koch  <konqueror@gmx.de>

	* scripts/checkstyle-config.xml:
	Enabled check for ordered import statements.
	* scripts/jalopy-gnu.xml:
	Fix grouping of import statements.

2004-09-21  Michael Koch  <konqueror@gmx.de>

	* scripts/jalopy-gnu.xml: Converted to use Unix-style EOL.

2004-09-21  Michael Koch  <konqueror@gmx.de>

	* javax/crypto/package.html,
	javax/crypto/interfaces/package.html,
	javax/crypto/spec/package.html,
	javax/net/package.html,
	javax/net/ssl/package.html,
	javax/security/package.html,
	javax/security/auth/package.html,
	javax/security/auth/callback/package.html,
	javax/security/auth/login/package.html,
	javax/security/cert/package.html,
	javax/security/sasl/package.html:
	New files for package documentation.

2004-09-20  Michael Koch  <konqueror@gmx.de>

	* java/net/Socket.java
	(getLocalAddress): Return InetAddress.ANY_IF if not bound yet.

2004-09-20  Michael Koch  <konqueror@gmx.de>

	* scripts/checkstyle-config.xml,
	scripts/checkstyle-header.regex,
	scripts/checkstyle-suppressions.xml:
	New files to check GNU classpath with checkstyle.

2004-09-20  Tom Tromey  <tromey@redhat.com>

	* .settings/org.eclipse.core.resources.prefs: New file.
	* .classpath: Updated.

2004-09-20  Tom Tromey  <tromey@redhat.com>

	* scripts/jalopy-gnu.xml: New file.

2004-09-20  Michael Koch  <konqueror@gmx.de>

	* javax/net/ssl/SSLServerSocket.java:
	Removed comment about "Do not edit this file, it's generated.".

2004-09-20  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/StackTraceElement.java
	(className): Renamed field to declaringClass to be compatible
	with Sun serialization format.

2004-09-20  Ilya Perminov  <iperminov@logicalsoft.com>

	* gnu/java/rmi/server/UnicastServer.java
	(incomingMessageCall): Added code to handle Errors.
	* gnu/java/rmi/server/UnicastServerRef.java
	(incomingMessageCall): Added code to handle Errors.

2004-09-20  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Handler.java
	(openConnection): Clarified comment.

2004-09-20  Jeroen Frijters  <jeroen@frijters.net>

	* javax/swing/JInternalFrame.java
	(CONTENT_PANE_PROPERTY,FRAME_ICON_PROPERTY,GLASS_PANE_PROPERTY,
	IS_CLOSED_PROPERTY,IS_ICON_PROPERTY,IS_MAXIMUM_PROPERTY,
	IS_SELECTED_PROPERTY,LAYERED_PANE_PROPERTY,MENU_BAR_PROPERTY,
	ROOT_PANE_PROPERTY,TITLE_PROPERTY): Made final as per API spec.
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(CLOSE_CMD,ICONIFY_CMD,MAXIMIZE_CMD,MOVE_CMD,RESTORE_CMD,SIZE_CMD):
	Made final as per API spec.

2004-09-19  Tom Tromey  <tromey@redhat.com>

	* java/lang/ClassLoader.java (loadedClasses): Declare as HashMap.
	(definedPackages): Likewise.

2004-09-19  Mark Wielaard  <mark@klomp.org>

	* java/util/Collections.java (rotate): Just return when list is empty.

2004-09-19  Mark Wielaard  <mark@klomp.org>

	Fixes bug #10383 reported by Ilya Perminov.
	* java/util/TreeMap.java (root): Don't initialize.
	(TreeMap(Comparator)): Call fabricateTree(0).
	(fabricateTree): Initialize root and size when count is 0.

2004-09-18  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Set version to 0.11+cvs.

2004-09-18  Tom Tromey  <tromey@redhat.com>

	* java/lang/annotation/Retention.java: Documented.
	* java/lang/annotation/RetentionPolicy.java: Documented.
	* java/lang/StringBuilder.java: Updated documentation.

2004-09-17  Tom Tromey  <tromey@redhat.com>

	* vm/reference/java/lang/VMProcess.java (ProcessThread): Added
	explicit constructor.

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* java/awt/Component.java (postEvent):
	Only delegate to parent if a parent exists.

	Reported by: Stephane Meslin-Weber <steph@tangency.co.uk>

2004-09-17  Sven de Marothy <sven@physto.se>

	* java/nio/ByteBuffer.java:
	(hashCode): Implemented.
	* java/nio/CharBuffer.java:
	* java/nio/DoubleBuffer.java:
	* java/nio/FloatBuffer.java:
	* java/nio/LongBuffer.java:
	* java/nio/IntBuffer.java:
	* java/nio/ShortBuffer.java:
	Likewise.

2004-09-13  Mark Wielaard  <mark@klomp.org>

	* NEWS: Set release date.
	* configure.ac: Set version to 0.11. Add java/util/logging/Makefile.

	* java/util/logging/logging.properties: Removed.
	* resource/java/util/Makefile.am (SUBDIRS): Add logging.
	* resource/java/util/logging/Makefile.am: Added.
	* resource/java/util/logging/logging.properties: Added.

2004-09-12  Tom Tromey  <tromey@redhat.com>

	* javax/naming/CompoundName.java (CompoundName): Don't check for
	separator in "flat" case.

2004-09-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/MenuComponent.java
	(newEventsOnly): added additional serialization
	comment
	
2004-09-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Component.java
	(translateEvent): made static with package access
	rather than private
	* java/awt/MenuBar.java
	Added documentation
	(getAccessibleContext()): implemented
	(AccessibleAWTMenuBar): new class
	(AccessibleAWTMenuBar()): new constructor
	(getAccessibleRole()): implemented
	* java/awt/MenuComponent.java
	(accessibleContext, newEventsOnly, nameExplicitlySet,
	focusHandler): new variables
	(setName(String)): adding setting of nameExplicitlySet
	(dispatchEventImpl(java.awt.AWTEvent)): converts 1.1 events
	to 1.0
	(processEvent): added focus handling for accessible component
	(getAccessibleContext()): implemented
	(AccessibleAWTMenuComponent): new class
	(AccessibleAWTMenuComponent()): new constructor
	(addAccessibleSelection(int)): stub for subclasses
	(addFocusListener(java.awt.event.FocusListener)): implemented
	(clearAccessibleSelection()): stub for subclasses
	(contains(java.awt.Point)): implemented against getBounds()
	(getAccessibleAt(java.awt.Point)): stub for subclasses
	(getAccessibleChild(int)): stub for subclasses
	(getAccessibleChildrenCount()): stub for subclasses
	(getAccessibleComponent()): implemented
	(getAccessibleDescription()): implemented
	(getAccessibleIndexInParent()): implemented
	(getAccessibleName()): implemented
	(getAccessibleParent()): implemented
	(getAccessibleRole()): implemented
	(getAccessibleSelection()): implemented
	(getAccessibleSelection(int)): stub for subclasses
	(getAccessibleSelectionCount()): stub for subclasses
	(getAccessibleStateSet()): implemented
	(getBackground()): implemented
	(getBounds()): stub for subclasses
	(getCursor()): implemented
	(getFont()): implemented
	(getFontMetrics(java.awt.Font)): implemented
	(getForeground()): implemented
	(getLocale()): implemented
	(getLocation()): implemented against getBounds()
	(getLocationOnScreen()): stub for subclasses
	(getSize()): implemented against getBounds()
	(isAccessibleChildSelected(int)): stub for subclasses
	(isEnabled()): stub for subclasses
	(isFocusTraversable()): stub for subclasses
	(isShowing()): stub for subclasses
	(isVisible()): stub for subclasses
	(removeAccessibleSelection(int)): stub for subclasses
	(removeFocusListener(java.awt.event.FocusListener)): implemented
	(selectAllAccessibleSelection()): implemented against addAccessibleSelection(int)
	(setBackground(java.awt.Color)): stub for subclasses
	(setBounds(java.awt.Rectangle)): stub for subclasses
	(setCursor(java.awt.Cursor)): stub for subclasses
	(setEnabled(boolean)): stub for subclasses
	(setFont(java.awt.Font)): implemented
	(setForeground(java.awt.Color)): stub for subclasses
	(setLocation(java.awt.Point)): implemented against setBounds()
	(setSize(java.awt.Dimension)): implemented against setBounds()
	(setVisible(boolean)): stub for subclasses

2004-09-10  Bryce McKinlay  <mckinlay@redhat.com>

	* gnu/java/net/protocol/file/Connection.java
	(dateFormat): New static field.
	(getHeaderField): Implemented.

2004-09-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(exists): Removed.
	(isDirectory): Likewise.
	(getListing): Likewise.

2004-09-09  Mark Wielaard  <mark@klomp.org>

	Fixes bug #8991.
	* java/net/URLConnection.java (getContent): Add support for
	explicit mime types. Call getInputStream() if no handler found.
	* gnu/java/net/content/text/plain.java: Removed

2004-09-09  Casey Marshall  <csm@gnu.org>

	* java/io/ObjectInputStream.java (callReadMethod): re-throw
	`ClassNotFoundException'.

2004-09-09  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/SystemColor.java: Fix @link doc entries.

2004-09-09  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/DataBuffer.java: Update API documentation.
	* java/awt/image/DataBufferByte.java: Likewise.
	* java/awt/image/DataBufferDouble.java: Likewise.
	* java/awt/image/DataBufferFloat.java: Likewise.
	* java/awt/image/DataBufferInt.java: Likewise.
	* java/awt/image/DataBufferShort.java: Likewise.
	* java/awt/image/DataBufferUShort.java: Likewise.

2004-09-09  Mark Wielaard  <mark@klomp.org>

	* NEWS: Mention JColorChooser, JComboBox and JTextField addition.
	Set release date.

2004-09-09  Mark Wielaard  <mark@klomp.org>

	* LICENSE: Reindent. List examples and all external libraries
	distributed together with GNU Classpath.
	* examples/README: Fix is/are as indicated by FSF legal.

2004-09-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(lineSeparator): Made non-final.
	(static): Removed.
	(connect): Initialize lineSeparator lazily. Use ByteArrayInputStream
	instead of StringBufferInputStream.

2004-09-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(connect): Handle file is a directory case.

2004-09-08  Sven de Marothy  <sven@physto.se>
	
	Patch from David Gilbert <david.gilbert@object-refinery.com>:
	* java/awt/AWTEventMulticaster.java:
	Fix a big number of documentation errors.
	* java/awt/Adjustable.java
	* java/awt/Point.java
	* java/awt/Polygon.java
	* java/awt/Rectangle.java
	* java/awt/Shape.java
	* java/awt/geom/Area.java
	* java/awt/geom/Ellipse2D.java
	* java/awt/geom/PathIterator.java 
	* java/awt/geom/Point2D.java
	* java/awt/geom/Rectangle2D.java 
	* java/lang/Comparable.java
	* java/util/Arrays.java:
	Likewise. Thank you David!

2004-09-07  Sven de Marothy  <sven@physto.se>

	* java/awt/geom/doc-files/Area-1.png:
	Graphics for Area documentation. New file.

	* java/awt/geom/doc-files/Ellipse-1.png:
	Graphics for Ellipse2D documentation. New file.

	* java/awt/geom/doc-files/GeneralPath-1.png:
	Graphics for GeneralPath documentation. New file.

	* java/awt/geom/Arc2D.java:
	(intersects): Fix: Now checks the arc segment.
	(contains): Cleaned up.

	* java/awt/geom/Area.java:
	(isRectangular): Should return true on an empty path.
	(equals): Check for null.
	(rayIntersects): Fix insideness-test

	* java/awt/geom/CubicCurve2D.java:
	Fix insideness-test to comply with the correct behavior on edges
	* java/awt/geom/GeneralPath.java:
	Likewise
	* java/awt/geom/QuadCurve2D.java:
	Likewise
	
2004-09-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/TimeZone.java
	(getDefaultTimeZone): Fixed test to distinguish between hours and
	minutes in specified timezone.

2004-09-07  Tom Tromey  <tromey@redhat.com>

	* java/lang/SuppressWarnings.java: Document.

	* java/lang/StringBuilder.java: New file.
	* java/lang/String.java (String(StringBuilder)): New constructor.
	* java/lang/StringBuffer.java: Added comment.

	* java/lang/Override.java: Documented.
	* java/lang/Deprecated.java: Documented.

2004-09-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Canvas.java
	(AccessibleAWTCanvas): added serialization UID
	* java/awt/Label.java
	(AccessibleAWTLabel): added serialization UID
	* java/net/Inet4Address.java
	(Inet4Address): added comment to serialization UID
	* java/text/Format.java
	(Format): added comment to serialization UID
	* javax/rmi/CORBA/Stub.java
	(Stub): added serialization UID
	* javax/security/auth/PrivateCredentialPermission.java
	(PrivateCredentialPermission): added serialization UID
	* javax/swing/JRootPane.java
